2020-08-04  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 6d403f2e1b82ceeac69c9dc0123dffcf23ddcff8
	Regenerate configure scripts.

	* sysdeps/unix/sysv/linux/arc/configure: Modified.
	* sysdeps/unix/sysv/linux/csky/configure: Modified.

2020-08-04  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 923adfcb588dabf6b8dee60b00e2de4e88afdb97
	Update NEWS with bugs.

	* NEWS: Modified.

2020-08-04  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 0ffaa7be6ea3649f883248f41a2bea5065383976
	Update translations.

	* po/be.po: Modified.
	* po/bg.po: Modified.
	* po/ca.po: Modified.
	* po/cs.po: Modified.
	* po/da.po: Modified.
	* po/de.po: Modified.
	* po/el.po: Modified.
	* po/eo.po: Modified.
	* po/es.po: Modified.
	* po/fi.po: Modified.
	* po/fr.po: Modified.
	* po/gl.po: Modified.
	* po/hr.po: Modified.
	* po/hu.po: Modified.
	* po/ia.po: Modified.
	* po/id.po: Modified.
	* po/it.po: Modified.
	* po/ja.po: Modified.
	* po/ko.po: Modified.
	* po/lt.po: Modified.
	* po/nb.po: Modified.
	* po/nl.po: Modified.
	* po/pl.po: Modified.
	* po/pt.po: Modified.
	* po/pt_BR.po: Modified.
	* po/ru.po: Modified.
	* po/rw.po: Modified.
	* po/sk.po: Modified.
	* po/sl.po: Modified.
	* po/sv.po: Modified.
	* po/tr.po: Modified.
	* po/uk.po: Modified.
	* po/vi.po: Modified.
	* po/zh_CN.po: Modified.
	* po/zh_TW.po: Modified.

2020-08-04  Alan Modra  <amodra@gmail.com>

	COMMIT: bd7a8e038ac01fc61f0fe58b57ae52ccb85a562f
	Don't mix linker error messages into edited scripts

	* Makerules: Modified.

2020-08-04  Paul Zimmermann  <Paul.Zimmermann@inria.fr>

	COMMIT: 50a8dd367e305bb6c6146c564fd48c193cc94069
	benchtests/README update.

	* benchtests/README: Modified.

2020-08-04  Maciej W. Rozycki  <macro@wdc.com>

	COMMIT: 45069ac2a994758d06c035804a600066016801f9
	RISC-V: Update lp64d libm-test-ulps according to HiFive Unleashed

	* sysdeps/riscv/rv64/rvd/libm-test-ulps: Modified.

2020-08-03  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 42c9e9af22dc645c06395879d36a565c6dc19f3a
	aarch64: update NEWS about branch protection

	* NEWS: Modified.

2020-08-03  Aurelien Jarno  <aurelien@aurel32.net>

	COMMIT: 17a0126abf02955cabf6256c67f8f9462a64163f
	Add NEWS entry for CVE-2016-10228 (bug 19519)

	* NEWS: Modified.

2020-08-03  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 7650321ce037302bfc2f026aa19e0213b8d02fe6
	powerpc: Fix incorrect cache line size load in memset (bug 26332)

	* sysdeps/powerpc/powerpc32/sysdep.h: Modified.
	[__ASSEMBLER__][! PIC](__GLRO): Modified.

2020-08-03  Chung-Lin Tang  <cltang@codesourcery.com>

	COMMIT: 783fdd969fe6652e0ee5b6b574a14a7dc28dee5f
	Update Nios II libm-test-ulps file.

	* sysdeps/nios2/libm-test-ulps: Modified.

2020-07-31  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 7f1a08cff82255cd4252a2c75fd65b80a6a170bf
	Move NEWS entry for CVE-2020-1751 to the 2.31 section

	* NEWS: Modified.

2020-07-31  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 89c255294a5b14dd88e45ed3b2a2a66517ed1a6f
	NEWS: Deprecate weak libpthread symbols for single-threaded checks

	* NEWS: Modified.

2020-07-31  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 20fb7452c04221608be1359cc100387db3e36356
	NEWS: Deprecate nss_hesiod

	* NEWS: Modified.

2020-07-27  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 0ad926f34937f7b4843a8b49e5d93199601fe324
	nptl: Zero-extend arguments to SETXID syscalls [BZ #26248]

	* nptl/Makefile: Modified.
	* nptl/descr.h: Modified.
	(xid_command): Modified.
	* nptl/tst-setgroups.c: New file.

2020-07-27  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: b51c1500e02cec3a61c385d5aa919287f32bbd58
	Use binutils 2.35 branch in build-many-glibcs.py.

	* scripts/build-many-glibcs.py: Modified.

2020-07-27  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 2dc33b928b389f50e7fd8cadd952b79112a071ab
	aarch64: Use future HWCAP2_MTE in ifunc resolver

	* sysdeps/aarch64/multiarch/strlen.c: Modified.
	(MTE_ENABLED): Modified.
	(FUTURE_HWCAP2_MTE): New.

2020-07-25  Andreas K. Hüttel  <dilfridge@gentoo.org>

	COMMIT: 180d5a045f6c2e245beafef3e2036bd7286c8c17
	Update x86-64 libm-test-ulps

	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.

2020-07-24  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 7ebd114211dcd290efd54e610bbde0765bd7764c
	aarch64: Respect p_flags when protecting code with PROT_BTI

	* sysdeps/aarch64/dl-bti.c: Modified.
	(enable_bti): Modified function.

2020-07-23  Arjun Shankar  <arjun@redhat.com>

	COMMIT: 04726be814c6fd6d9cf974e15d684dd3ac1a180e
	Disable warnings due to deprecated libselinux symbols used by nss and nscd

	* nscd/selinux.c: Modified.
	[HAVE_SELINUX](nscd_avc_cache_stats): Modified function.
	[HAVE_SELINUX](DIAG_IGNORE_NEEDS_COMMENT): New function.
	[HAVE_SELINUX](DIAG_IGNORE_NEEDS_COMMENT): New function.
	(libc-diag.h): Include file.
	* nss/makedb.c: Modified.
	[HAVE_SELINUX](reset_file_creation_context): Modified function.
	[HAVE_SELINUX](DIAG_IGNORE_NEEDS_COMMENT): New function.
	(libc-diag.h): Include file.

2020-07-22  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: ba0ec34c62a3a108f2db5575a92ace9bd3ac8a8f
	Regenerate INSTALL for ARC port updates.

	* INSTALL: Modified.

2020-07-22  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 0bede41cf38dc8d3b4d611e31900d5d6cff6c06c
	Update libc.pot for 2.32 release.

	* po/libc.pot: Modified.

2020-07-21  Tulio Magno Quites Machado Filho  <tuliom@linux.ibm.com>

	COMMIT: f6add169c89bbdd139a2eb845686127ead5799cd
	powerpc: Fix POWER10 selection

	* sysdeps/powerpc/dl-procinfo.h: Modified.
	(_dl_string_platform): Modified function.

2020-07-21  Paul E. Murphy  <murphyp@linux.vnet.ibm.com>

	COMMIT: c79607a474439d50e9f0bcae59709817112900cc
	powerpc64le: guarantee a .gnu.attributes section [BZ #26220]

	* sysdeps/powerpc/powerpc64/le/Makefile: Modified.

2020-07-21  Florian Weimer  <fweimer@redhat.com>

	COMMIT: ec2f1fddf29053957d061dfe310f106388472a4f
	libio: Remove __libc_readline_unlocked

	* include/stdio.h: Modified.
	[! _ISOMAC](__libc_readline_unlocked): Remove.
	[! _ISOMAC](libc_hidden_proto): Remove.
	* libio/Makefile: Modified.
	* libio/Versions: Modified.
	* libio/readline.c: Delete file.
	* libio/tst-readline.c: Delete file.

2020-07-21  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 00bc6830e3fe3f10495917afe0835ddd19133c6a
	shadow: Implement fgetspent_r using __nss_fgetent_r

	* gshadow/tst-fgetsgent_r.c: Modified.
	(run_test): Modified function.
	* shadow/fgetspent_r.c: Modified.
	(flockfile): Remove.
	(funlockfile): Remove.
	(__fgetspent_r): Modified function.

2020-07-21  Florian Weimer  <fweimer@redhat.com>

	COMMIT: ee1c062be09da006e82ab34c1c9b5c82dd2af92c
	pwd: Implement fgetpwent_r using __nss_fgetent_r

	* pwd/fgetpwent_r.c: Modified.
	(flockfile): Remove.
	(funlockfile): Remove.
	(p): Remove.
	(flockfile): Remove.
	(buffer): Remove.
	(p): Remove.
	(p): Remove.
	(result): Modified.
	(__set_errno): Remove.
	(errno): Remove.
	(p): Remove.
	(result): Remove.
	(__set_errno): Remove.
	(errno): Remove.
	(p): Remove.
	(p): Remove.
	(funlockfile): Remove.
	(result): Remove.
	(0): Remove.
	(ret): New.
	(ret): New.
	(ret): New.

2020-07-21  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 2add4235ef674988948155f9a8f60a8c7b09bcff
	gshadow: Implement fgetsgent_r using __nss_fgetent_r (bug 20338)

	* gshadow/Makefile: Modified.
	* gshadow/fgetsgent_r.c: Modified.
	(__fgetsgent_r): Modified function.
	* gshadow/tst-fgetsgent_r.c: New file.

2020-07-21  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 4f62a21d0ed19ff29bba704167179b862140d011
	grp: Implement fgetgrent_r using __nss_fgetent_r

	* grp/fgetgrent_r.c: Modified.
	(libio/iolibio.h): Remove include.
	(flockfile): Remove.
	(funlockfile): Remove.
	(gr_name): Modified.
	(parse_result): Remove.
	(flockfile): Remove.
	(buffer): Remove.
	(p): Remove.
	(p): Remove.
	(result): Modified.
	(__set_errno): Remove.
	(errno): Remove.
	(p): Remove.
	(result): Remove.
	(__set_errno): Remove.
	(errno): Remove.
	(p): Remove.
	(p): Remove.
	(funlockfile): Remove.
	(if): Remove function.
	(result): Remove.
	(0): Remove.
	(ret): New.
	(ret): New.

2020-07-21  Florian Weimer  <fweimer@redhat.com>

	COMMIT: bdee910e88006ae33dc83ac3d2c0708adb6627d0
	nss: Add __nss_fgetent_r

	* include/nss_files.h: Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(libc_hidden_proto): Modified.
	(__nss_readline): New function.
	(__nss_readline_seek): New function.
	(__nss_parse_line_result): New function.
	(libc_hidden_proto): New.
	(libc_hidden_proto): New.
	(__nss_fgetent_r): New function.
	* nss/Makefile: Modified.
	* nss/Versions: Modified.
	* nss/nss_fgetent_r.c: New file.
	* nss/nss_files/files-XXX.c: Modified.
	(internal_getent): Modified function.
	* nss/nss_parse_line_result.c: New file.
	* nss/nss_readline.c: New file.

2020-07-21  Florian Weimer  <fweimer@redhat.com>

	COMMIT: d4b4586315974d2471486d41891aa9463a5838ad
	libio: Add fseterr_unlocked for internal use

	* include/stdio.h: Modified.
	[! _ISOMAC](fseterr_unlocked): New function.

2020-07-21  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 9980bf0b307368959cb29f3ca3f7446ad92347f1
	nss_files: Use generic result pointer in parse_line

	* include/nss_files.h: Modified.
	(etherent): Remove.
	(group): Remove.
	(netent): Remove.
	(passwd): Remove.
	(protoent): Remove.
	(rpcent): Remove.
	(servent): Remove.
	(sgrp): Remove.
	(spwd): Remove.
	(_nss_files_parse_etherent): Remove.
	(_nss_files_parse_grent): Remove.
	(_nss_files_parse_netent): Remove.
	(_nss_files_parse_protoent): Remove.
	(_nss_files_parse_pwent): Remove.
	(_nss_files_parse_rpcent): Remove.
	(_nss_files_parse_servent): Remove.
	(_nss_files_parse_sgent): Remove.
	(_nss_files_parse_spent): Remove.
	(nss_files_parse_line): New function.
	(_nss_files_parse_etherent): New.
	(_nss_files_parse_grent): New.
	(_nss_files_parse_netent): New.
	(_nss_files_parse_protoent): New.
	(_nss_files_parse_pwent): New.
	(_nss_files_parse_rpcent): New.
	(_nss_files_parse_servent): New.
	(_nss_files_parse_sgent): New.
	(_nss_files_parse_spent): New.
	* nss/nss_files/files-parse.c: Modified.
	[! EXTERN_PARSER](LINE_PARSER): Modified.
	[EXTERN_PARSER](parse_line): Modified.

2020-07-21  Florian Weimer  <fweimer@redhat.com>

	COMMIT: e9b2340998ab22402a8e968ba674c380a625b9dc
	nss_files: Consolidate line parse declarations in <nss_files.h>

	* include/grp.h: Modified.
	[! _ISOMAC](parser_data): Remove.
	[! _ISOMAC](_nss_files_parse_grent): Remove.
	[! _ISOMAC](libc_hidden_proto): Remove.
	* include/gshadow.h: Modified.
	[! _ISOMAC](parser_data): Remove.
	[! _ISOMAC](_nss_files_parse_sgent): Remove.
	[! _ISOMAC](libc_hidden_proto): Remove.
	* include/netdb.h: Modified.
	[! _ISOMAC](parser_data): Remove.
	[! _ISOMAC](_nss_files_parse_protoent): Remove.
	[! _ISOMAC](_nss_files_parse_servent): Remove.
	[! _ISOMAC](_nss_files_parse_netent): Remove.
	[! _ISOMAC](libnss_files_hidden_proto): Modified.
	[! _ISOMAC](libnss_files_hidden_proto): Remove.
	[! _ISOMAC](libnss_files_hidden_proto): Remove.
	[! _ISOMAC](libnss_files_hidden_proto): Remove.
	* include/netinet/ether.h: Modified.
	[! _ISOMAC](parser_data): Remove.
	[! _ISOMAC](_nss_files_parse_etherent): Remove.
	[! _ISOMAC](libnss_files_hidden_proto): Remove.
	* include/nss_files.h: Modified.
	(parser_data): New.
	(etherent): New.
	(group): New.
	(netent): New.
	(passwd): New.
	(protoent): New.
	(rpcent): New.
	(servent): New.
	(sgrp): New.
	(spwd): New.
	(_nss_files_parse_etherent): New function.
	(_nss_files_parse_grent): New function.
	(_nss_files_parse_netent): New function.
	(_nss_files_parse_protoent): New function.
	(_nss_files_parse_pwent): New function.
	(_nss_files_parse_rpcent): New function.
	(_nss_files_parse_servent): New function.
	(_nss_files_parse_sgent): New function.
	(_nss_files_parse_spent): New function.
	(libnss_files_hidden_proto): New.
	(libc_hidden_proto): New.
	(libnss_files_hidden_proto): New.
	(libnss_files_hidden_proto): New.
	(libc_hidden_proto): New.
	(libnss_files_hidden_proto): New.
	(libnss_files_hidden_proto): New.
	(libc_hidden_proto): New.
	(libc_hidden_proto): New.
	* include/pwd.h: Modified.
	[! _ISOMAC](parser_data): Remove.
	[! _ISOMAC](_nss_files_parse_pwent): Remove.
	[! _ISOMAC](libc_hidden_proto): Remove.
	* include/rpc/netdb.h: Modified.
	[! _ISOMAC](parser_data): Remove.
	[! _ISOMAC](_nss_files_parse_rpcent): Remove.
	[! _ISOMAC](libnss_files_hidden_proto): Remove.
	* include/shadow.h: Modified.
	[! _ISOMAC](parser_data): Remove.
	[! _ISOMAC](_nss_files_parse_spent): Remove.
	[! _ISOMAC](libc_hidden_proto): Remove.
	* nss/nss_files/files-parse.c: Modified.
	(nss_files.h): Include file.

2020-07-21  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 23ed36735af09c258e542266aaed92cdd8571c6c
	nss_compat: Do not use mmap to read database files (bug 26258)

	* nss/nss_compat/compat-grp.c: Modified.
	(internal_setgrent): Modified function.
	(nss_files.h): Include file.
	* nss/nss_compat/compat-initgroups.c: Modified.
	(internal_setgrent): Modified function.
	(nss_files.h): Include file.
	* nss/nss_compat/compat-pwd.c: Modified.
	(internal_setpwent): Modified function.
	(nss_files.h): Include file.
	* nss/nss_compat/compat-spwd.c: Modified.
	(internal_setspent): Modified function.
	(nss_files.h): Include file.

2020-07-21  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 299210c1fa67e2dfb564475986fce11cd33db9ad
	nss_files: Consolidate file opening in __nss_files_fopen

	* include/nss_files.h: New file.
	* nss/Makefile: Modified.
	* nss/Versions: Modified.
	* nss/nss_files/files-XXX.c: Modified.
	(internal_setent): Modified function.
	(nss_files.h): Include file.
	* nss/nss_files/files-alias.c: Modified.
	(internal_setent): Modified function.
	(get_next_alias): Modified function.
	(nss_files.h): Include file.
	* nss/nss_files/files-initgroups.c: Modified.
	(NSS_DECLARE_MODULE_FUNCTIONS): Modified function.
	(nss_files.h): Include file.
	* nss/nss_files/files-netgrp.c: Modified.
	(NSS_DECLARE_MODULE_FUNCTIONS): Modified function.
	(nss_files.h): Include file.
	* nss/nss_files_fopen.c: New file.

2020-07-20  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 469c03907b116c37c98d8ad7a9edac2bdbf3e934
	Update powerpc-nofpu libm-test-ulps.

	* sysdeps/powerpc/nofpu/libm-test-ulps: Modified.

2020-07-20  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 63ce2425c224330b9add994c2811a103610d0995
	Use MPFR 4.1.0 in build-many-glibcs.py.

	* scripts/build-many-glibcs.py: Modified.

2020-07-20  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 07ed32f920f0bcb1ddb400e4ed606104756dee32
	elf: Change TLS static surplus default back to 1664

	* elf/Makefile: Modified.
	* elf/dl-tls.c: Modified.
	(LIBC_IE_TLS): Modified.
	(_dl_tls_static_surplus_init): Modified function.
	(DEFAULT_NNS): New.
	(OPTIONAL_TLS): New.
	(tls_static_surplus): New function.
	(LEGACY_TLS): New.
	* elf/tst-tls-surplus.c: New file.

2020-07-18  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 5baad9a6f948b7822db3392097e7d79e9e018655
	hurd: Fix longjmp check for sigstate

	* sysdeps/mach/hurd/i386/____longjmp_chk.S: Modified.
	* sysdeps/mach/hurd/i386/__longjmp.S: Modified.

2020-07-18  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 115bcf921a52005b89ff2859ccae4a8fc6d6deed
	hurd: Fix longjmp early in initialization

	* sysdeps/mach/hurd/i386/____longjmp_chk.S: Modified.
	* sysdeps/mach/hurd/i386/__longjmp.S: Modified.

2020-07-17  Florian Weimer  <fweimer@redhat.com>

	COMMIT: e9422236a2dd4cf2b7e900af5e84706da68bd43e
	manual: New signal and errno string functions are AS-safe

	* manual/errno.texi: Modified.
	* manual/signal.texi: Modified.

2020-07-17  Wilco Dijkstra  <wdijkstr@arm.com>

	COMMIT: f46ef33ad134bec7ac992f28ee4b8b0614590e3e
	AArch64: Improve strlen_asimd performance (bug 25824)

	* sysdeps/aarch64/multiarch/Makefile: Modified.
	* sysdeps/aarch64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/aarch64/multiarch/strlen.c: Modified.
	(USE_ASIMD_STRLEN): Remove.
	(__strlen_generic): Remove.
	(libc_ifunc): Modified.
	(MTE_ENABLED): New.
	(__strlen_mte): New.
	* sysdeps/aarch64/multiarch/strlen_asimd.S: Modified.
	* sysdeps/aarch64/multiarch/strlen_generic.S: Move to...
	* sysdeps/aarch64/multiarch/strlen_mte.S: ... here.

2020-07-17  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 76b8442db51a8976de19934638a42532a3af607f
	Move <rpc/netdb.h> from sunrpc to inet

	* include/rpc/netdb.h: Modified.
	(sunrpc/rpc/netdb.h): Remove include.
	(inet/rpc/netdb.h): Include file.
	* inet/Makefile: Modified.
	* sunrpc/rpc/netdb.h: Move to...
	* inet/rpc/netdb.h: ... here.
	* resolv/Makefile: Modified.
	* resolv/rpc/netdb.h: Delete file.

2020-07-16  Carlos O'Donell  <carlos@redhat.com>

	COMMIT: 8cde977077b3568310c743b21a905ca9ab286724
	en_US: Minimize changes to date_fmt (Bug 25923)

	* localedata/locales/en_US: Modified.

2020-07-16  Florian Weimer  <fweimer@redhat.com>

	COMMIT: efedd1ed3d211941fc66d14ba245be3552b2616a
	Linux: Remove rseq support

	* NEWS: Modified.
	* csu/libc-tls.c: Modified.
	(__libc_setup_tls): Modified function.
	* elf/dl-tls.c: Modified.
	[SHARED](_dl_determine_tlsoffset): Modified function.
	(LIBC_IE_TLS): Modified.
	* elf/libc_early_init.c: Modified.
	(rseq-internal.h): Remove include.
	(__libc_early_init): Modified function.
	* manual/threads.texi: Modified.
	* nptl/pthread_create.c: Modified.
	(rseq-internal.h): Remove include.
	(rseq_register_current_thread): Remove.
	* sysdeps/generic/rseq-internal.h: Delete file.
	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/Versions: Modified.
	* sysdeps/unix/sysv/linux/aarch64/bits/rseq.h: Delete file.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/bits/rseq.h: Delete file.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/bits/rseq.h: Delete file.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/bits/rseq.h: Delete file.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/bits/rseq.h: Delete file.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/rseq-internal.h: Delete file.
	* sysdeps/unix/sysv/linux/rseq-sym.c: Delete file.
	* sysdeps/unix/sysv/linux/s390/bits/rseq.h: Delete file.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sched_getcpu.c: Modified.
	[! RSEQ_SIG](sched_getcpu): Remove.
	[RSEQ_SIG](sched_getcpu): Remove.
	(atomic.h): Remove include.
	(sys/rseq.h): Remove include.
	(vsyscall_sched_getcpu): Remove function.
	(sched_getcpu): New function.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sys/rseq.h: Delete file.
	* sysdeps/unix/sysv/linux/tst-rseq-nptl.c: Delete file.
	* sysdeps/unix/sysv/linux/tst-rseq.c: Delete file.
	* sysdeps/unix/sysv/linux/tst-rseq.h: Delete file.
	* sysdeps/unix/sysv/linux/x86/bits/rseq.h: Delete file.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.

2020-07-16  Florian Weimer  <fweimer@redhat.com>

	COMMIT: da7d62b50396c8b6d67c1ba800a196e83e2ec469
	manual: Use Unicode instead HTML entities for characters (bug 19737)

	* manual/math.texi: Modified.

2020-07-16  Aurelien Jarno  <aurelien@aurel32.net>

	COMMIT: 17400c4bcd57d84add1da3aa93248ef2efdb0ccb
	Add NEWS entry for CVE-2020-6096 (bug 25620)

	* NEWS: Modified.

2020-07-16  Aurelien Jarno  <aurelien@aurel32.net>

	COMMIT: 7b5f02dc2a9278cd068a58a3db3644e24707be49
	arm: remove string/tst-memmove-overflow XFAIL

	* sysdeps/arm/Makefile: Modified.

2020-07-15  Wilco Dijkstra  <wdijkstr@arm.com>

	COMMIT: 0f6278a8793a5d04ea31878119eccf99f469a02d
	AArch64: Rename IS_ARES to IS_NEOVERSE_N1

	* sysdeps/aarch64/multiarch/memcpy.c: Modified.
	(libc_ifunc): Modified.
	* sysdeps/aarch64/multiarch/memmove.c: Modified.
	(libc_ifunc): Modified.
	* sysdeps/unix/sysv/linux/aarch64/cpu-features.h: Modified.
	(IS_ARES): Remove.
	(IS_NEOVERSE_N1): New.

2020-07-15  Wilco Dijkstra  <wdijkstr@arm.com>

	COMMIT: 4a733bf375238a6a595033b5785cea7f27d61307
	AArch64: Add optimized Q-register memcpy

	* sysdeps/aarch64/multiarch/Makefile: Modified.
	* sysdeps/aarch64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/aarch64/multiarch/memcpy.c: Modified.
	(libc_ifunc): Modified.
	(__memcpy_simd): New.
	* sysdeps/aarch64/multiarch/memcpy_advsimd.S: New file.
	* sysdeps/aarch64/multiarch/memmove.c: Modified.
	(libc_ifunc): Modified.
	(__memmove_simd): New.

2020-07-15  Wilco Dijkstra  <wdijkstr@arm.com>

	COMMIT: 34f0d01d5e43c7dedd002ab47f6266dfb5b79c22
	AArch64: Align ENTRY to a cacheline

	* sysdeps/aarch64/sysdep.h: Modified.
	[__ASSEMBLER__](ENTRY): Modified.

2020-07-14  H.J. Lu  <hjl.tools@gmail.com>
            Lucas A. M. Magalhaes  <lamm@linux.ibm.com>

	COMMIT: f896fc0f2bfc9f3f8df0563a7c99dcbf24bab655
	Correct timespec implementation [BZ #26232]

	* support/Makefile: Modified.
	* support/timespec.c: Modified.
	(support_timespec_ns): Modified function.
	(support_timespec_check_in_range): Modified function.
	* support/timespec.h: Modified.
	(support_timespec_ns): Modified.
	* support/tst-timespec.c: Modified.
	(timespec_ns_test_case): Modified.
	(TEST_COMPARE): Modified.
	(printf): Modified.
	(result): Modified.
	(printf): Modified.
	(intprops.h): Include file.
	(TIME_T_MIN): New.
	(TIME_T_MAX): New.
	(printf): New function.
	(printf): New function.

2020-07-13  Petr Vorel  <pvorel@suse.cz>

	COMMIT: 5500cdba4018ddbda7909bc7f4f9718610b43cf0
	Remove --enable-obsolete-rpc configure flag

	* NEWS: Modified.
	* benchtests/strcoll-inputs/filelist#en_US.UTF-8: Modified.
	* config.h.in: Modified.
	* config.make.in: Modified.
	* configure: Modified.
	* configure.ac: Modified.
	* include/libc-symbols.h: Modified.
	[! _ISOMAC][IS_IN (libc)][! LINK_OBSOLETE_RPC](libc_hidden_nolink_sunrpc): Remove.
	[! _ISOMAC][IS_IN (libc)][LINK_OBSOLETE_RPC](libc_hidden_nolink_sunrpc): Remove.
	[! _ISOMAC][IS_IN (libc)](libc_hidden_nolink_sunrpc): New.
	* include/shlib-compat.h: Modified.
	[! LINK_OBSOLETE_RPC](libc_sunrpc_symbol): Remove.
	[LINK_OBSOLETE_RPC](libc_sunrpc_symbol): Remove.
	(libc_sunrpc_symbol): New.
	* malloc/thread-freeres.c: Modified.
	(__libc_thread_freeres): Modified function.
	(shlib-compat.h): Include file.
	* manual/nss.texi: Modified.
	* scripts/build-many-glibcs.py: Modified.
	* sunrpc/Makefile: Modified.
	* sunrpc/bug20790.x: Delete file.
	* sunrpc/proto.h: Delete file.
	* sunrpc/rpc_clntout.c: Delete file.
	* sunrpc/rpc_cout.c: Delete file.
	* sunrpc/rpc_hout.c: Delete file.
	* sunrpc/rpc_main.c: Delete file.
	* sunrpc/rpc_parse.c: Delete file.
	* sunrpc/rpc_parse.h: Delete file.
	* sunrpc/rpc_sample.c: Delete file.
	* sunrpc/rpc_scan.c: Delete file.
	* sunrpc/rpc_scan.h: Delete file.
	* sunrpc/rpc_svcout.c: Delete file.
	* sunrpc/rpc_tblout.c: Delete file.
	* sunrpc/rpc_util.c: Delete file.
	* sunrpc/rpc_util.h: Delete file.
	* sunrpc/rpcgen.c: Delete file.
	* sunrpc/rpcsvc/bootparam.h: Delete file.
	* sunrpc/rpcsvc/bootparam_prot.x: Delete file.
	* sunrpc/rpcsvc/key_prot.x: Delete file.
	* sunrpc/rpcsvc/klm_prot.x: Delete file.
	* sunrpc/rpcsvc/mount.x: Delete file.
	* sunrpc/rpcsvc/nfs_prot.x: Delete file.
	* sunrpc/rpcsvc/nlm_prot.x: Delete file.
	* sunrpc/rpcsvc/rex.x: Delete file.
	* sunrpc/rpcsvc/rquota.x: Delete file.
	* sunrpc/rpcsvc/rstat.x: Delete file.
	* sunrpc/rpcsvc/rusers.x: Delete file.
	* sunrpc/rpcsvc/sm_inter.x: Delete file.
	* sunrpc/rpcsvc/spray.x: Delete file.
	* sunrpc/rpcsvc/yppasswd.x: Delete file.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: Modified.

2020-07-13  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 3486924dc749d87ca7e5983b59baab474c6808a8
	hurd: Fix build-many-glibcs.py

	* sysdeps/hurd/include/sys/msg.h: New file.
	* sysdeps/hurd/include/sys/sem.h: New file.
	* sysdeps/hurd/include/sys/shm.h: New file.

2020-07-13  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 107e6a3c2212ba7a3a4ec7cae8d82d73f7c95d0b
	x86: Support usable check for all CPU features

	* sysdeps/i386/fpu/fclrexcpt.c: Modified.
	(__feclearexcept): Modified function.
	* sysdeps/i386/fpu/fedisblxcpt.c: Modified.
	(fedisableexcept): Modified function.
	* sysdeps/i386/fpu/feenablxcpt.c: Modified.
	(feenableexcept): Modified function.
	* sysdeps/i386/fpu/fegetenv.c: Modified.
	(__fegetenv): Modified function.
	* sysdeps/i386/fpu/fegetmode.c: Modified.
	(fegetmode): Modified function.
	* sysdeps/i386/fpu/feholdexcpt.c: Modified.
	(__feholdexcept): Modified function.
	* sysdeps/i386/fpu/fesetenv.c: Modified.
	(__fesetenv): Modified function.
	* sysdeps/i386/fpu/fesetmode.c: Modified.
	(fesetmode): Modified function.
	* sysdeps/i386/fpu/fesetround.c: Modified.
	(__fesetround): Modified function.
	* sysdeps/i386/fpu/feupdateenv.c: Modified.
	(__feupdateenv): Modified function.
	* sysdeps/i386/fpu/fgetexcptflg.c: Modified.
	(__fegetexceptflag): Modified function.
	* sysdeps/i386/fpu/fsetexcptflg.c: Modified.
	(__fesetexceptflag): Modified function.
	* sysdeps/i386/fpu/ftestexcept.c: Modified.
	(fetestexcept): Modified function.
	* sysdeps/i386/i686/fpu/multiarch/s_cosf.c: Modified.
	(libm_ifunc): Modified.
	* sysdeps/i386/i686/fpu/multiarch/s_sincosf.c: Modified.
	(libm_ifunc): Modified.
	* sysdeps/i386/i686/fpu/multiarch/s_sinf.c: Modified.
	(libm_ifunc): Modified.
	* sysdeps/i386/i686/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/i386/i686/multiarch/ifunc-memmove.h: Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/i386/i686/multiarch/ifunc-memset.h: Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/i386/i686/multiarch/ifunc-sse2-bsf.h: Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/i386/i686/multiarch/ifunc-sse2-ssse3.h: Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/i386/i686/multiarch/ifunc-sse2.h: Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/i386/i686/multiarch/ifunc-sse4_2.h: Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/i386/i686/multiarch/ifunc-ssse3-sse4_2.h: Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/i386/i686/multiarch/s_fma.c: Modified.
	(libm_ifunc): Modified.
	* sysdeps/i386/i686/multiarch/s_fmaf.c: Modified.
	(libm_ifunc): Modified.
	* sysdeps/i386/i686/multiarch/wcscpy.c: Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/i386/setfpucw.c: Modified.
	(__setfpucw): Modified function.
	* sysdeps/unix/sysv/linux/x86/elision-conf.c: Modified.
	[HAVE_TUNABLES](do_set_elision_enable): Modified function.
	* sysdeps/x86/cacheinfo.c: Modified.
	(get_common_cache_info): Modified function.
	(init_cacheinfo): Modified function.
	* sysdeps/x86/cpu-features.c: Modified.
	(get_extended_indices): Modified function.
	(get_common_indices): Modified function.
	(init_cpu_features): Modified function.
	(update_usable): New function.
	* sysdeps/x86/cpu-features.h: Modified.
	[(_LIBC) && !IS_IN (nonlib)](x86_get_cpuid_registers): Remove.
	(<anoymous>): Modified.
	(<anoymous>): Modified.
	(<anoymous>): Remove.
	(cpu_features): Modified.
	(CPU_FEATURES_CPU_P): Modified.
	(CPU_FEATURES_ARCH_P): Modified.
	(HAS_CPU_FEATURE): Modified.
	(HAS_ARCH_FEATURE): Modified.
	(CPU_FEATURE_USABLE): Modified.
	(bit_arch_AVX_Usable): Remove.
	(bit_arch_AVX2_Usable): Remove.
	(bit_arch_AVX512F_Usable): Remove.
	(bit_arch_AVX512CD_Usable): Remove.
	(bit_arch_AVX512ER_Usable): Remove.
	(bit_arch_AVX512PF_Usable): Remove.
	(bit_arch_AVX512VL_Usable): Remove.
	(bit_arch_AVX512DQ_Usable): Remove.
	(bit_arch_AVX512BW_Usable): Remove.
	(bit_arch_AVX512_4FMAPS_Usable): Remove.
	(bit_arch_AVX512_4VNNIW_Usable): Remove.
	(bit_arch_AVX512_BITALG_Usable): Remove.
	(bit_arch_AVX512_IFMA_Usable): Remove.
	(bit_arch_AVX512_VBMI_Usable): Remove.
	(bit_arch_AVX512_VBMI2_Usable): Remove.
	(bit_arch_AVX512_VNNI_Usable): Remove.
	(bit_arch_AVX512_VPOPCNTDQ_Usable): Remove.
	(bit_arch_FMA_Usable): Remove.
	(bit_arch_FMA4_Usable): Remove.
	(bit_arch_VAES_Usable): Remove.
	(bit_arch_VPCLMULQDQ_Usable): Remove.
	(bit_arch_XOP_Usable): Remove.
	(bit_arch_XSAVEC_Usable): Remove.
	(bit_arch_F16C_Usable): Remove.
	(bit_arch_AVX512_VP2INTERSECT_Usable): Remove.
	(bit_arch_AVX512_BF16_Usable): Remove.
	(bit_arch_PKU_Usable): Remove.
	(bit_arch_AMX_BF16_Usable): Remove.
	(bit_arch_AMX_TILE_Usable): Remove.
	(bit_arch_AMX_INT8_Usable): Remove.
	(index_arch_AVX_Usable): Remove.
	(index_arch_AVX2_Usable): Remove.
	(index_arch_AVX512F_Usable): Remove.
	(index_arch_AVX512CD_Usable): Remove.
	(index_arch_AVX512ER_Usable): Remove.
	(index_arch_AVX512PF_Usable): Remove.
	(index_arch_AVX512VL_Usable): Remove.
	(index_arch_AVX512BW_Usable): Remove.
	(index_arch_AVX512DQ_Usable): Remove.
	(index_arch_AVX512_4FMAPS_Usable): Remove.
	(index_arch_AVX512_4VNNIW_Usable): Remove.
	(index_arch_AVX512_BITALG_Usable): Remove.
	(index_arch_AVX512_IFMA_Usable): Remove.
	(index_arch_AVX512_VBMI_Usable): Remove.
	(index_arch_AVX512_VBMI2_Usable): Remove.
	(index_arch_AVX512_VNNI_Usable): Remove.
	(index_arch_AVX512_VPOPCNTDQ_Usable): Remove.
	(index_arch_FMA_Usable): Remove.
	(index_arch_FMA4_Usable): Remove.
	(index_arch_VAES_Usable): Remove.
	(index_arch_VPCLMULQDQ_Usable): Remove.
	(index_arch_XOP_Usable): Remove.
	(index_arch_XSAVEC_Usable): Remove.
	(index_arch_F16C_Usable): Remove.
	(index_arch_AVX512_VP2INTERSECT_Usable): Remove.
	(index_arch_AVX512_BF16_Usable): Remove.
	(index_arch_PKU_Usable): Remove.
	(index_arch_AMX_BF16_Usable): Remove.
	(index_arch_AMX_TILE_Usable): Remove.
	(index_arch_AMX_INT8_Usable): Remove.
	(feature_AVX_Usable): Remove.
	(feature_AVX2_Usable): Remove.
	(feature_AVX512F_Usable): Remove.
	(feature_AVX512CD_Usable): Remove.
	(feature_AVX512ER_Usable): Remove.
	(feature_AVX512PF_Usable): Remove.
	(feature_AVX512VL_Usable): Remove.
	(feature_AVX512BW_Usable): Remove.
	(feature_AVX512DQ_Usable): Remove.
	(feature_AVX512_4FMAPS_Usable): Remove.
	(feature_AVX512_4VNNIW_Usable): Remove.
	(feature_AVX512_BITALG_Usable): Remove.
	(feature_AVX512_IFMA_Usable): Remove.
	(feature_AVX512_VBMI_Usable): Remove.
	(feature_AVX512_VBMI2_Usable): Remove.
	(feature_AVX512_VNNI_Usable): Remove.
	(feature_AVX512_VPOPCNTDQ_Usable): Remove.
	(feature_FMA_Usable): Remove.
	(feature_FMA4_Usable): Remove.
	(feature_VAES_Usable): Remove.
	(feature_VPCLMULQDQ_Usable): Remove.
	(feature_XOP_Usable): Remove.
	(feature_XSAVEC_Usable): Remove.
	(feature_F16C_Usable): Remove.
	(feature_AVX512_VP2INTERSECT_Usable): Remove.
	(feature_AVX512_BF16_Usable): Remove.
	(feature_PKU_Usable): Remove.
	(feature_AMX_BF16_Usable): Remove.
	(feature_AMX_TILE_Usable): Remove.
	(feature_AMX_INT8_Usable): Remove.
	(feature_Fast_Rep_String): Remove.
	(feature_Fast_Copy_Backward): Remove.
	(feature_Slow_BSF): Remove.
	(feature_Fast_Unaligned_Load): Remove.
	(feature_Prefer_PMINUB_for_stringop): Remove.
	(feature_Fast_Unaligned_Copy): Remove.
	(feature_I586): Remove.
	(feature_I686): Remove.
	(feature_Slow_SSE4_2): Remove.
	(feature_AVX_Fast_Unaligned_Load): Remove.
	(feature_Prefer_MAP_32BIT_EXEC): Remove.
	(feature_Prefer_No_VZEROUPPER): Remove.
	(feature_Prefer_ERMS): Remove.
	(feature_Prefer_No_AVX512): Remove.
	(feature_MathVec_Prefer_No_AVX512): Remove.
	(feature_Prefer_FSRM): Remove.
	(cpuid_features): New.
	(CPU_FEATURE_CHECK_P): New.
	(CPU_FEATURE_SET): New.
	(CPU_FEATURE_UNSET): New.
	(CPU_FEATURE_SET_USABLE): New.
	(CPU_FEATURE_PREFERRED_P): New.
	(CPU_FEATURE_CPU_P): New.
	(CPU_FEATURE_USABLE_P): New.
	(CPU_FEATURE_PREFERRED): New.
	(bit_cpu_INDEX_1_ECX_16): New.
	(bit_cpu_INDEX_1_ECX_31): New.
	(bit_cpu_INDEX_1_EDX_10): New.
	(bit_cpu_INDEX_1_EDX_20): New.
	(bit_cpu_INDEX_1_EDX_30): New.
	(bit_cpu_INDEX_7_EBX_6): New.
	(bit_cpu_DEPR_FPU_CS_DS): New.
	(bit_cpu_INDEX_7_EBX_22): New.
	(bit_cpu_INDEX_7_ECX_13): New.
	(bit_cpu_INDEX_7_ECX_15): New.
	(bit_cpu_INDEX_7_ECX_16): New.
	(bit_cpu_INDEX_7_ECX_23): New.
	(bit_cpu_INDEX_7_ECX_24): New.
	(bit_cpu_INDEX_7_ECX_26): New.
	(bit_cpu_INDEX_7_EDX_0): New.
	(bit_cpu_INDEX_7_EDX_1): New.
	(bit_cpu_INDEX_7_EDX_5): New.
	(bit_cpu_INDEX_7_EDX_6): New.
	(bit_cpu_INDEX_7_EDX_7): New.
	(bit_cpu_INDEX_7_EDX_9): New.
	(bit_cpu_INDEX_7_EDX_11): New.
	(bit_cpu_INDEX_7_EDX_12): New.
	(bit_cpu_INDEX_7_EDX_13): New.
	(bit_cpu_INDEX_7_EDX_17): New.
	(bit_cpu_INDEX_7_EDX_19): New.
	(bit_cpu_INDEX_7_EDX_21): New.
	(bit_cpu_INDEX_7_EDX_23): New.
	(index_cpu_INDEX_1_ECX_16): New.
	(index_cpu_INDEX_1_ECX_31): New.
	(index_cpu_INDEX_1_EDX_10): New.
	(index_cpu_INDEX_1_EDX_20): New.
	(index_cpu_INDEX_1_EDX_30): New.
	(index_cpu_INDEX_7_EBX_6): New.
	(index_cpu_DEPR_FPU_CS_DS): New.
	(index_cpu_INDEX_7_EBX_22): New.
	(index_cpu_INDEX_7_ECX_13): New.
	(index_cpu_INDEX_7_ECX_15): New.
	(index_cpu_INDEX_7_ECX_16): New.
	(index_cpu_INDEX_7_ECX_23): New.
	(index_cpu_INDEX_7_ECX_24): New.
	(index_cpu_INDEX_7_ECX_26): New.
	(index_cpu_INDEX_7_EDX_0): New.
	(index_cpu_INDEX_7_EDX_1): New.
	(index_cpu_INDEX_7_EDX_5): New.
	(index_cpu_INDEX_7_EDX_6): New.
	(index_cpu_INDEX_7_EDX_7): New.
	(index_cpu_INDEX_7_EDX_9): New.
	(index_cpu_INDEX_7_EDX_11): New.
	(index_cpu_INDEX_7_EDX_12): New.
	(index_cpu_INDEX_7_EDX_13): New.
	(index_cpu_INDEX_7_EDX_17): New.
	(index_cpu_INDEX_7_EDX_19): New.
	(index_cpu_INDEX_7_EDX_21): New.
	(index_cpu_INDEX_7_EDX_23): New.
	(reg_INDEX_1_ECX_16): New.
	(reg_INDEX_1_ECX_31): New.
	(reg_INDEX_1_EDX_10): New.
	(reg_INDEX_1_EDX_20): New.
	(reg_INDEX_1_EDX_30): New.
	(reg_INDEX_7_EBX_6): New.
	(reg_DEPR_FPU_CS_DS): New.
	(reg_INDEX_7_EBX_22): New.
	(reg_INDEX_7_ECX_13): New.
	(reg_INDEX_7_ECX_15): New.
	(reg_INDEX_7_ECX_16): New.
	(reg_INDEX_7_ECX_23): New.
	(reg_INDEX_7_ECX_24): New.
	(reg_INDEX_7_ECX_26): New.
	(reg_INDEX_7_EDX_0): New.
	(reg_INDEX_7_EDX_1): New.
	(reg_INDEX_7_EDX_5): New.
	(reg_INDEX_7_EDX_6): New.
	(reg_INDEX_7_EDX_7): New.
	(reg_INDEX_7_EDX_9): New.
	(reg_INDEX_7_EDX_11): New.
	(reg_INDEX_7_EDX_12): New.
	(reg_INDEX_7_EDX_13): New.
	(reg_INDEX_7_EDX_17): New.
	(reg_INDEX_7_EDX_19): New.
	(reg_INDEX_7_EDX_21): New.
	(reg_INDEX_7_EDX_23): New.
	* sysdeps/x86/cpu-tunables.c: Modified.
	(CHECK_GLIBC_IFUNC_CPU_OFF): Modified.
	(CHECK_GLIBC_IFUNC_ARCH_OFF): Remove.
	(CHECK_GLIBC_IFUNC_ARCH_BOTH): Remove.
	(CHECK_GLIBC_IFUNC_ARCH_NEED_ARCH_BOTH): Remove.
	(CHECK_GLIBC_IFUNC_ARCH_NEED_CPU_BOTH): Remove.
	(TUNABLE_CALLBACK): Modified function.
	(CHECK_GLIBC_IFUNC_PREFERRED_OFF): New.
	(CHECK_GLIBC_IFUNC_PREFERRED_BOTH): New.
	(CHECK_GLIBC_IFUNC_PREFERRED_NEED_BOTH): New.
	* sysdeps/x86/dl-cet.c: Modified.
	(dl_cet_check): Modified function.
	* sysdeps/x86/tst-get-cpu-features.c: Modified.
	(do_test): Modified function.
	* sysdeps/x86_64/Makefile: Modified.
	* sysdeps/x86_64/dl-machine.h: Modified.
	[! dl_machine_h](elf_machine_runtime_setup): Modified function.
	* sysdeps/x86_64/fpu/math-tests-arch.h: Modified.
	[REQUIRE_AVX](CHECK_ARCH_EXT): Modified.
	[REQUIRE_AVX2](CHECK_ARCH_EXT): Modified.
	[REQUIRE_AVX512F](CHECK_ARCH_EXT): Modified.
	* sysdeps/x86_64/fpu/multiarch/ifunc-avx-fma4.h: Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/fpu/multiarch/ifunc-fma.h: Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/fpu/multiarch/ifunc-fma4.h: Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/fpu/multiarch/ifunc-mathvec-avx2.h: Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/fpu/multiarch/ifunc-mathvec-avx512.h: Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/fpu/multiarch/ifunc-mathvec-sse4_1.h: Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/fpu/multiarch/ifunc-sse4_1.h: Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/fpu/multiarch/s_fma.c: Modified.
	(libm_ifunc): Modified.
	* sysdeps/x86_64/fpu/multiarch/s_fmaf.c: Modified.
	(libm_ifunc): Modified.
	* sysdeps/x86_64/multiarch/ifunc-avx2.h: Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/x86_64/multiarch/ifunc-memcmp.h: Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/multiarch/ifunc-memmove.h: Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/multiarch/ifunc-memset.h: Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/multiarch/ifunc-sse4_2.h: Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/multiarch/ifunc-strcasecmp.h: Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/multiarch/ifunc-strcpy.h: Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/multiarch/ifunc-wmemset.h: Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/multiarch/sched_cpucount.c: Modified.
	(libc_ifunc): Modified.
	* sysdeps/x86_64/multiarch/strchr.c: Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/multiarch/strcmp.c: Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/multiarch/strncmp.c: Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/multiarch/test-multiarch.c: Modified.
	(do_test): Modified function.
	* sysdeps/x86_64/multiarch/wcscpy.c: Modified.
	(IFUNC_SELECTOR): Modified function.
	* sysdeps/x86_64/multiarch/wcsnlen.c: Modified.
	(IFUNC_SELECTOR): Modified function.

2020-07-13  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 10b01bd4529336bffc2c398ce43a171ed94aacc7
	string: Make tst-strerror/tst-strsignal unsupported if msgfmt is not installed

	* string/Makefile: Modified.
	* string/tst-strerror.c: Modified.
	(do_test): Modified function.
	(stdlib.h): Include file.
	* string/tst-strsignal.c: Modified.
	(do_test): Modified function.
	(stdlib.h): Include file.

2020-07-13  Florian Weimer  <fweimer@redhat.com>

	COMMIT: e72b98e6f858583a3ef904e27c6fbd932bdc86c8
	malloc: Deprecate more hook-related functionality

	* NEWS: Modified.
	* malloc/malloc.h: Modified.
	(__morecore): Remove.
	(__attribute_malloc__): Remove.
	(__MALLOC_DEPRECATED): Modified.
	(__MALLOC_DEPRECATED): Modified.
	(__MALLOC_DEPRECATED): Modified.
	(__MALLOC_DEPRECATED): Modified.
	(void): Remove.
	(__MALLOC_DEPRECATED): New.
	(__MALLOC_DEPRECATED): New.
	(__MALLOC_DEPRECATED): New.

2020-07-12  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 48699da1c468543ade14777819bd1b4d652709de
	elf: Support at least 32-byte alignment in static dlopen

	* csu/libc-tls.c: Modified.
	(__libc_setup_tls): Modified function.

2020-07-11  H.J. Lu  <hjl.tools@gmail.com>
            H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 43530ba1dc4fccd438fefa26f50977ff6bf284c7
	x86: Remove __ASSEMBLER__ check in init-arch.h

	* sysdeps/x86/init-arch.h: Modified.
	[! __ASSEMBLER__](ldsodefs.h): Remove.
	[__ASSEMBLER__](cpu-features.h): Remove.
	(ldsodefs.h): Include file.

2020-07-11  H.J. Lu  <hjl.tools@gmail.com>
            H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 9016b6f3893789ddfbd978aa572b46b3d3ce762f
	x86: Remove the unused __x86_prefetchw

	* sysdeps/i386/Makefile: Modified.
	* sysdeps/i386/cacheinfo.c: Delete file.
	* sysdeps/x86/Makefile: Modified.
	* sysdeps/x86/cacheinfo.c: Modified.
	[! DISABLE_PREFETCHW](__x86_prefetchw): Remove.
	(init_cacheinfo): Modified function.
	* sysdeps/x86_64/Makefile: Modified.

2020-07-10  Vineet Gupta  <vgupta@synopsys.com>

	COMMIT: 758caf37366c3bebd349cd3107341dbfd761189a
	Documentation for ARC port

	* NEWS: Modified.
	* README: Modified.
	* manual/install.texi: Modified.

2020-07-10  Vineet Gupta  <vgupta@synopsys.com>

	COMMIT: 2fc2260ba467831ddd4e0809c4df20bb5cdecd0e
	build-many-glibcs.py: Enable ARC builds

	* scripts/build-many-glibcs.py: Modified.

2020-07-10  Vineet Gupta  <vgupta@synopsys.com>

	COMMIT: 0be8ae3679570ff9a193615a035fc8074a8c704f
	ARC: Build Infrastructure

	* config.h.in: Modified.
	* sysdeps/arc/Implies: New file.
	* sysdeps/arc/Makefile: New file.
	* sysdeps/arc/Versions: New file.
	* sysdeps/arc/configure: New file.
	* sysdeps/arc/configure.ac: New file.
	* sysdeps/arc/nptl/Makefile: New file.
	* sysdeps/arc/preconfigure: New file.
	* sysdeps/unix/sysv/linux/arc/Implies: New file.
	* sysdeps/unix/sysv/linux/arc/Makefile: New file.
	* sysdeps/unix/sysv/linux/arc/Versions: New file.
	* sysdeps/unix/sysv/linux/arc/configure: New file.
	* sysdeps/unix/sysv/linux/arc/configure.ac: New file.
	* sysdeps/unix/sysv/linux/arc/ldconfig.h: New file.
	* sysdeps/unix/sysv/linux/arc/shlib-versions: New file.

2020-07-10  Vineet Gupta  <vgupta@synopsys.com>

	COMMIT: 33ff7b398830522ef5ef39fa3bbd9249944f7404
	ARC: ABI lists

	* sysdeps/arc/fpu/libm-test-ulps: New file.
	* sysdeps/arc/fpu/libm-test-ulps-name: New file.
	* sysdeps/arc/nofpu/libm-test-ulps: New file.
	* sysdeps/arc/nofpu/libm-test-ulps-name: New file.
	* sysdeps/unix/sysv/linux/arc/c++-types.data: New file.
	* sysdeps/unix/sysv/linux/arc/ld.abilist: New file.
	* sysdeps/unix/sysv/linux/arc/libBrokenLocale.abilist: New file.
	* sysdeps/unix/sysv/linux/arc/libanl.abilist: New file.
	* sysdeps/unix/sysv/linux/arc/libc.abilist: New file.
	* sysdeps/unix/sysv/linux/arc/libcrypt.abilist: New file.
	* sysdeps/unix/sysv/linux/arc/libdl.abilist: New file.
	* sysdeps/unix/sysv/linux/arc/libm.abilist: New file.
	* sysdeps/unix/sysv/linux/arc/libpthread.abilist: New file.
	* sysdeps/unix/sysv/linux/arc/libresolv.abilist: New file.
	* sysdeps/unix/sysv/linux/arc/librt.abilist: New file.
	* sysdeps/unix/sysv/linux/arc/libthread_db.abilist: New file.
	* sysdeps/unix/sysv/linux/arc/libutil.abilist: New file.
	* sysdeps/unix/sysv/linux/arc/localplt.data: New file.

2020-07-10  Vineet Gupta  <vgupta@synopsys.com>

	COMMIT: c86a9483f4fbb401be4125b7b6ca490a6d3e776c
	ARC: Linux Startup and Dynamic Loading

	* sysdeps/unix/sysv/linux/arc/dl-static.c: New file.
	* sysdeps/unix/sysv/linux/arc/ldsodefs.h: New file.

2020-07-10  Vineet Gupta  <vgupta@synopsys.com>

	COMMIT: e5ccf113cdcf053815bc368119eb992aa39c2cc6
	ARC: Linux ABI

	* sysdeps/arc/nptl/pthreaddef.h: New file.
	* sysdeps/unix/sysv/linux/arc/bits/procfs.h: New file.
	* sysdeps/unix/sysv/linux/arc/bits/types/__sigset_t.h: New file.
	* sysdeps/unix/sysv/linux/arc/getcontext.S: New file.
	* sysdeps/unix/sysv/linux/arc/makecontext.c: New file.
	* sysdeps/unix/sysv/linux/arc/setcontext.S: New file.
	* sysdeps/unix/sysv/linux/arc/sigcontextinfo.h: New file.
	* sysdeps/unix/sysv/linux/arc/swapcontext.S: New file.
	* sysdeps/unix/sysv/linux/arc/sys/cachectl.h: New file.
	* sysdeps/unix/sysv/linux/arc/sys/ucontext.h: New file.
	* sysdeps/unix/sysv/linux/arc/sys/user.h: New file.
	* sysdeps/unix/sysv/linux/arc/ucontext-macros.h: New file.
	* sysdeps/unix/sysv/linux/arc/ucontext_i.sym: New file.

2020-07-10  Vineet Gupta  <vgupta@synopsys.com>

	COMMIT: add5071a5c95083b628a3bd03654437fcc6d8f81
	ARC: Linux Syscall Interface

	* sysdeps/unix/sysv/linux/arc/arch-syscall.h: New file.
	* sysdeps/unix/sysv/linux/arc/bits/timesize.h: New file.
	* sysdeps/unix/sysv/linux/arc/clone.S: New file.
	* sysdeps/unix/sysv/linux/arc/fixup-asm-unistd.h: New file.
	* sysdeps/unix/sysv/linux/arc/jmp_buf-macros.h: New file.
	* sysdeps/unix/sysv/linux/arc/kernel-features.h: New file.
	* sysdeps/unix/sysv/linux/arc/kernel_stat.h: New file.
	* sysdeps/unix/sysv/linux/arc/mmap_internal.h: New file.
	* sysdeps/unix/sysv/linux/arc/sigaction.c: New file.
	* sysdeps/unix/sysv/linux/arc/sigrestorer.S: New file.
	* sysdeps/unix/sysv/linux/arc/syscall.S: New file.
	* sysdeps/unix/sysv/linux/arc/syscalls.list: New file.
	* sysdeps/unix/sysv/linux/arc/sysdep.c: New file.
	* sysdeps/unix/sysv/linux/arc/sysdep.h: New file.
	* sysdeps/unix/sysv/linux/arc/vfork.S: New file.

2020-07-10  Vineet Gupta  <vgupta@synopsys.com>

	COMMIT: 3ab8611a229fc2bd9a165d067390f7b6165ef6d4
	ARC: hardware floating point support

	* sysdeps/arc/fpu/fclrexcpt.c: New file.
	* sysdeps/arc/fpu/fegetenv.c: New file.
	* sysdeps/arc/fpu/fegetmode.c: New file.
	* sysdeps/arc/fpu/fegetround.c: New file.
	* sysdeps/arc/fpu/feholdexcpt.c: New file.
	* sysdeps/arc/fpu/fesetenv.c: New file.
	* sysdeps/arc/fpu/fesetexcept.c: New file.
	* sysdeps/arc/fpu/fesetmode.c: New file.
	* sysdeps/arc/fpu/fesetround.c: New file.
	* sysdeps/arc/fpu/feupdateenv.c: New file.
	* sysdeps/arc/fpu/fgetexcptflg.c: New file.
	* sysdeps/arc/fpu/fraiseexcpt.c: New file.
	* sysdeps/arc/fpu/fsetexcptflg.c: New file.
	* sysdeps/arc/fpu/ftestexcept.c: New file.
	* sysdeps/arc/fpu/math-use-builtins-fma.h: New file.
	* sysdeps/arc/fpu/math-use-builtins-sqrt.h: New file.
	* sysdeps/arc/fpu_control.h: New file.
	* sysdeps/arc/get-rounding-mode.h: New file.
	* sysdeps/arc/math-tests-trap.h: New file.
	* sysdeps/arc/tininess.h: New file.

2020-07-10  Vineet Gupta  <vgupta@synopsys.com>

	COMMIT: fd9dec20c8f53383ffdc9fb259f5529d85f5cf24
	ARC: math soft float support

	* sysdeps/arc/bits/fenv.h: New file.
	* sysdeps/arc/nofpu/Implies: New file.
	* sysdeps/arc/nofpu/math-tests-exceptions.h: New file.
	* sysdeps/arc/nofpu/math-tests-rounding.h: New file.
	* sysdeps/arc/sfp-machine.h: New file.

2020-07-10  Vineet Gupta  <vgupta@synopsys.com>

	COMMIT: 9679dd5ecdf46fc697b287ec5cba0c4dc9a7afa7
	ARC: Atomics and Locking primitives

	* sysdeps/arc/atomic-machine.h: New file.

2020-07-10  Vineet Gupta  <vgupta@synopsys.com>

	COMMIT: 0261315289cfd3183cd447dc1d7a7a5ab5aeb93d
	ARC: Thread Local Storage support

	* sysdeps/arc/dl-tls.h: New file.
	* sysdeps/arc/libc-tls.c: New file.
	* sysdeps/arc/nptl/tcb-offsets.sym: New file.
	* sysdeps/arc/nptl/tls.h: New file.
	* sysdeps/arc/stackinfo.h: New file.

2020-07-10  Vineet Gupta  <vgupta@synopsys.com>

	COMMIT: dd2e6ef179e1b50496ae6afc057b276a7786a78f
	ARC: startup and dynamic linking code

	* sysdeps/arc/bits/link.h: New file.
	* sysdeps/arc/dl-machine.h: New file.
	* sysdeps/arc/entry.h: New file.
	* sysdeps/arc/ldsodefs.h: New file.
	* sysdeps/arc/sotruss-lib.c: New file.
	* sysdeps/arc/start.S: New file.
	* sysdeps/arc/tst-audit.h: New file.

2020-07-10  Vineet Gupta  <vgupta@synopsys.com>

	COMMIT: 0e7d930c4c11de896fe807f67fa1eb756c9c1e05
	ARC: ABI Implementation

	* sysdeps/arc/__longjmp.S: New file.
	* sysdeps/arc/abort-instr.h: New file.
	* sysdeps/arc/bits/endianness.h: New file.
	* sysdeps/arc/bits/setjmp.h: New file.
	* sysdeps/arc/bsd-_setjmp.S: New file.
	* sysdeps/arc/bsd-setjmp.S: New file.
	* sysdeps/arc/dl-runtime.h: New file.
	* sysdeps/arc/dl-sysdep.h: New file.
	* sysdeps/arc/dl-trampoline.S: New file.
	* sysdeps/arc/gccframe.h: New file.
	* sysdeps/arc/jmpbuf-offsets.h: New file.
	* sysdeps/arc/jmpbuf-unwind.h: New file.
	* sysdeps/arc/machine-gmon.h: New file.
	* sysdeps/arc/memusage.h: New file.
	* sysdeps/arc/setjmp.S: New file.
	* sysdeps/arc/sysdep.h: New file.
	* sysdeps/arc/tls-macros.h: New file.

2020-07-10  Lucas A. M. Magalhaes  <lamm@linux.ibm.com>

	COMMIT: 04deeaa9ea74b0679dfc9d9155a37b6425f19a9f
	Fix time/tst-cpuclock1 intermitent failures

	* support/Makefile: Modified.
	* support/timespec.c: Modified.
	(assert.h): Include file.
	(intprops.h): Include file.
	(support_timespec_ns): New function.
	(support_timespec_normalize): New function.
	(support_timespec_check_in_range): New function.
	* support/timespec.h: Modified.
	(support_timespec_ns): New function.
	(support_timespec_normalize): New function.
	(support_timespec_check_in_range): New function.
	* support/tst-timespec.c: New file.
	* time/tst-cpuclock1.c: Modified.
	(do_test): Modified function.
	(support/timespec.h): Include file.

2020-07-10  Tulio Magno Quites Machado Filho  <tuliom@linux.ibm.com>

	COMMIT: 7c7bcf3634e44cf7e001aaa302138c1ee0e58f8c
	powerpc64: Fix calls when r2 is not used [BZ #26173]

	* config.h.in: Modified.
	* sysdeps/powerpc/powerpc64/configure: Modified.
	* sysdeps/powerpc/powerpc64/configure.ac: Modified.
	* sysdeps/powerpc/powerpc64/ppc-mcount.S: Modified.
	* sysdeps/powerpc/powerpc64/setjmp-common.S: Modified.
	* sysdeps/powerpc/powerpc64/sysdep.h: Modified.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][!(IS_IN (rtld))][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](OPD_ENT): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][!(IS_IN (rtld))][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](ENTRY_1): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][!(IS_IN (rtld))][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](DOT_PREFIX): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][!(IS_IN (rtld))][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](BODY_PREFIX): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][!(IS_IN (rtld))][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](ENTRY_2): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][!(IS_IN (rtld))][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](END_2): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][!(IS_IN (rtld))][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](LOCALENTRY): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][!(IS_IN (rtld))][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](OPD_ENT): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][!(IS_IN (rtld))][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](PPC64_LOAD_FUNCPTR): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][!(IS_IN (rtld))][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](DOT_PREFIX): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][!(IS_IN (rtld))][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](BODY_PREFIX): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][!(IS_IN (rtld))][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](ENTRY_2): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][!(IS_IN (rtld))][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](END_2): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][!(IS_IN (rtld))][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](LOCALENTRY): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][!(IS_IN (rtld))][_CALL_ELF != 2](PPC64_LOAD_FUNCPTR): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)][! USE_PPC64_NOTOC](NOTOC): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](OPD_ENT): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](ENTRY_1): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](DOT_PREFIX): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](BODY_PREFIX): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](ENTRY_2): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](END_2): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](LOCALENTRY): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](OPD_ENT): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](PPC64_LOAD_FUNCPTR): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](DOT_PREFIX): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](BODY_PREFIX): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](ENTRY_2): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](END_2): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](LOCALENTRY): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2](PPC64_LOAD_FUNCPTR): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC](NOTOC): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED](TAIL_CALL_SYSCALL_ERROR): Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/makecontext.S: Modified.

2020-07-10  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 936c9666aed6747f7a76221118f7cf59100075e6
	Add NEWS entry for Update to Unicode 13.0.0 [BZ #25819]

	* NEWS: Modified.

2020-07-09  Patsy Franklin  <patsy@redhat.com>

	COMMIT: b21c2c24ed1ceaf4b5bcb07b3f6e2d9f54a38831
	Update i686 libm-test-ulps

	* sysdeps/i386/fpu/libm-test-ulps: Modified.

2020-07-09  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 90663e9c814a919fa1fb41a878c06ef2fae58ed2
	Fix memory leak in __printf_fp_l (bug 26215).

	* stdio-common/Makefile: Modified.
	* stdio-common/printf_fp.c: Modified.
	(outchar): Modified.
	(PRINT): Modified.
	(PADN): Modified.
	(__printf_fp_l): Modified function.
	* stdio-common/tst-printf-fp-leak.c: New file.

2020-07-09  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: ede56038e50235cd1ca7de3602c9491d3b84b49b
	Fix double free in __printf_fp_l (bug 26214).

	* stdio-common/Makefile: Modified.
	* stdio-common/printf_fp.c: Modified.
	(__printf_fp_l): Modified function.
	* stdio-common/tst-printf-fp-free.c: New file.

2020-07-09  Maciej W. Rozycki  <macro@wdc.com>

	COMMIT: c363f834cfcbf5efa5449ef13f62233a6d5b9422
	linux: Fix syscall list generation instructions

	* sysdeps/unix/sysv/linux/Makefile: Modified.

2020-07-09  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: ffd178c651b827f24acead02284abbb12f3f723b
	sysv: linux: Add 64-bit time_t variant for shmctl

	* include/sys/shm.h: Modified.
	(sysvipc/sys/shm.h): Remove include.
	(_next <sys/shm.h): Include file.
	* sysdeps/unix/sysv/linux/bits/types/struct_shmid64_ds.h: New file.
	* sysdeps/unix/sysv/linux/bits/types/struct_shmid_ds.h: Modified.
	(shmid_ds): Modified.
	* sysdeps/unix/sysv/linux/hppa/bits/types/struct_shmid_ds.h: Modified.
	(shmid_ds): Modified.
	* sysdeps/unix/sysv/linux/hppa/struct_kernel_shmid64_ds.h: New file.
	* sysdeps/unix/sysv/linux/i386/struct_kernel_shmid64_ds.h: New file.
	* sysdeps/unix/sysv/linux/include/sys/shm.h: New file.
	* sysdeps/unix/sysv/linux/mips/bits/types/struct_shmid_ds.h: Modified.
	(shmid_ds): Modified.
	* sysdeps/unix/sysv/linux/mips/struct_kernel_shmid64_ds.h: New file.
	* sysdeps/unix/sysv/linux/powerpc/bits/types/struct_shmid_ds.h: Modified.
	(shmid_ds): Modified.
	* sysdeps/unix/sysv/linux/powerpc/struct_kernel_shmid64_ds.h: New file.
	* sysdeps/unix/sysv/linux/shmctl.c: Modified.
	[__ASSUME_SYSVIPC_BROKEN_MODE_T  && SHLIB_COMPAT (libc, GLIBC_2_2, GLIBC_2_31)](__shmctl_mode16): Modified function.
	(shmctl_syscall): Modified function.
	(__new_shmctl): Remove function.
	(versioned_symbol): Modified.
	[__IPC_TIME64 != 0](struct_kernel_shmid64_ds.h): New.
	[__IPC_TIME64 != 0](shmid64_to_kshmid64): New.
	[__IPC_TIME64 != 0](kshmid64_to_shmid64): New.
	[__IPC_TIME64 != 0](shmctl_arg_t): New.
	[__IPC_TIME64 == 0](shmctl_arg_t): New.
	[__TIMESIZE != 64](libc_hidden_def): New.
	[__TIMESIZE != 64](shmid_to_shmid64): New.
	[__TIMESIZE != 64](shmid64_to_shmid): New.
	[__TIMESIZE != 64](__shmctl): New.
	(_Static_assert): New function.
	(sizeof): New function.
	(__shmctl64): New function.
	* sysdeps/unix/sysv/linux/sparc/bits/types/struct_shmid_ds.h: Modified.
	(shmid_ds): Modified.
	* sysdeps/unix/sysv/linux/sparc/struct_kernel_shmid64_ds.h: New file.
	* sysdeps/unix/sysv/linux/struct_kernel_shmid64_ds.h: New file.

2020-07-09  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 7929d779850aaaf9fd2377ed0945fb53f60dee63
	sysvipc: Remove the linux shm-pad.h file

	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/bits/shm-pad.h: Delete file.
	* sysdeps/unix/sysv/linux/bits/shm.h: Modified.
	(bits/shm-pad.h): Remove include.
	* sysdeps/unix/sysv/linux/bits/types/struct_shmid_ds.h: Modified.
	[! __SHM_PAD_AFTER_TIME](__SHM_PAD_TIME): Remove.
	[__SHM_PAD_AFTER_TIME](__SHM_PAD_TIME): Remove.
	[__SHM_PAD_BEFORE_TIME](__SHM_PAD_TIME): Remove.
	(bits/shm-pad.h): Remove include.
	(shmid_ds): Modified.
	* sysdeps/unix/sysv/linux/hppa/bits/shm-pad.h: Delete file.
	* sysdeps/unix/sysv/linux/hppa/bits/types/struct_shmid_ds.h: New file.
	* sysdeps/unix/sysv/linux/mips/bits/shm-pad.h: Delete file.
	* sysdeps/unix/sysv/linux/mips/bits/types/struct_shmid_ds.h: New file.
	* sysdeps/unix/sysv/linux/powerpc/bits/shm-pad.h: Delete file.
	* sysdeps/unix/sysv/linux/powerpc/bits/types/struct_shmid_ds.h: New file.
	* sysdeps/unix/sysv/linux/sparc/bits/shm-pad.h: Delete file.
	* sysdeps/unix/sysv/linux/sparc/bits/types/struct_shmid_ds.h: New file.

2020-07-09  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 380b7ced6ab792cf2095377498ed4bbc2716f139
	sysvipc: Split out linux struct shmid_ds

	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/bits/shm.h: Modified.
	[! __SHM_PAD_AFTER_TIME](__SHM_PAD_TIME): Remove.
	[__SHM_PAD_AFTER_TIME](__SHM_PAD_TIME): Remove.
	[__SHM_PAD_BEFORE_TIME](__SHM_PAD_TIME): Remove.
	(shmid_ds): Remove.
	(bits/types/struct_shmid_ds.h): Include file.
	* sysdeps/unix/sysv/linux/bits/types/struct_shmid_ds.h: New file.

2020-07-09  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 3283f711132eaadc4f04bd8c1d84c910c29ba066
	sysv: linux: Add 64-bit time_t variant for msgctl

	* include/sys/msg.h: Modified.
	[! _ISOMAC](__libc_msgrcv): Remove.
	[! _ISOMAC](__libc_msgsnd): Remove.
	(sysvipc/sys/msg.h): Remove include.
	(_next <sys/msg.h): Include file.
	* sysdeps/unix/sysv/linux/bits/types/struct_msqid64_ds.h: New file.
	* sysdeps/unix/sysv/linux/bits/types/struct_msqid_ds.h: Modified.
	(msqid_ds): Modified.
	* sysdeps/unix/sysv/linux/hppa/bits/types/struct_msqid_ds.h: Modified.
	(msqid_ds): Modified.
	* sysdeps/unix/sysv/linux/hppa/struct_kernel_msqid64_ds.h: New file.
	* sysdeps/unix/sysv/linux/i386/struct_kernel_msqid64_ds.h: New file.
	* sysdeps/unix/sysv/linux/include/sys/msg.h: New file.
	* sysdeps/unix/sysv/linux/mips/bits/types/struct_msqid_ds.h: Modified.
	(msqid_ds): Modified.
	* sysdeps/unix/sysv/linux/mips/struct_kernel_msqid64_ds.h: New file.
	* sysdeps/unix/sysv/linux/msgctl.c: Modified.
	[__ASSUME_SYSVIPC_BROKEN_MODE_T  && SHLIB_COMPAT (libc, GLIBC_2_2, GLIBC_2_31)](__msgctl_mode16): Modified function.
	(msgctl_syscall): Modified function.
	(__new_msgctl): Remove function.
	(versioned_symbol): Modified.
	[__IPC_TIME64 != 0](struct_kernel_msqid64_ds.h): New.
	[__IPC_TIME64 != 0](msqid64_to_kmsqid64): New.
	[__IPC_TIME64 != 0](kmsqid64_to_msqid64): New.
	[__IPC_TIME64 != 0](msgctl_arg_t): New.
	[__IPC_TIME64 == 0](msgctl_arg_t): New.
	[__TIMESIZE != 64](libc_hidden_def): New.
	[__TIMESIZE != 64](msqid_to_msqid64): New.
	[__TIMESIZE != 64](msqid64_to_msqid): New.
	[__TIMESIZE != 64](__msgctl): New.
	(_Static_assert): New function.
	(sizeof): New function.
	(__msgctl64): New function.
	* sysdeps/unix/sysv/linux/powerpc/bits/types/struct_msqid_ds.h: Modified.
	(msqid_ds): Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/struct_kernel_msqid64_ds.h: New file.
	* sysdeps/unix/sysv/linux/sparc/bits/types/struct_msqid_ds.h: Modified.
	(msqid_ds): Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/struct_kernel_msqid64_ds.h: New file.
	* sysdeps/unix/sysv/linux/struct_kernel_msqid64_ds.h: New file.

2020-07-09  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 915b9fe3124d87ff1734c902c0d36b5eac7688ff
	sysvipc: Remove the linux msq-pad.h file

	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/bits/msq-pad.h: Delete file.
	* sysdeps/unix/sysv/linux/bits/types/struct_msqid_ds.h: Modified.
	[! __MSQ_PAD_AFTER_TIME](__MSQ_PAD_TIME): Remove.
	[__MSQ_PAD_AFTER_TIME](__MSQ_PAD_TIME): Remove.
	[__MSQ_PAD_BEFORE_TIME](__MSQ_PAD_TIME): Remove.
	(bits/msq-pad.h): Remove include.
	(msqid_ds): Modified.
	* sysdeps/unix/sysv/linux/hppa/bits/msq-pad.h: Delete file.
	* sysdeps/unix/sysv/linux/hppa/bits/types/struct_msqid_ds.h: New file.
	* sysdeps/unix/sysv/linux/mips/bits/msq-pad.h: Delete file.
	* sysdeps/unix/sysv/linux/mips/bits/types/struct_msqid_ds.h: New file.
	* sysdeps/unix/sysv/linux/powerpc/bits/msq-pad.h: Delete file.
	* sysdeps/unix/sysv/linux/powerpc/bits/types/struct_msqid_ds.h: New file.
	* sysdeps/unix/sysv/linux/sparc/bits/msq-pad.h: Delete file.
	* sysdeps/unix/sysv/linux/sparc/bits/types/struct_msqid_ds.h: New file.

2020-07-09  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 078a8920854217d0251fa699145174121e76f15d
	sysvipc: Split out linux struct semid_ds

	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/bits/msq.h: Modified.
	[! __MSQ_PAD_AFTER_TIME](__MSQ_PAD_TIME): Remove.
	[__MSQ_PAD_AFTER_TIME](__MSQ_PAD_TIME): Remove.
	[__MSQ_PAD_BEFORE_TIME](__MSQ_PAD_TIME): Remove.
	(bits/msq-pad.h): Remove include.
	(msqid_ds): Remove.
	(bits/types/struct_msqid_ds.h): Include file.
	* sysdeps/unix/sysv/linux/bits/types/struct_msqid_ds.h: New file.

2020-07-09  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: dba950e3174a5210b900a26a7d2f361cadea2834
	sysv: linux: Add 64-bit time_t variant for semctl

	* include/sys/sem.h: Modified.
	[! _ISOMAC](__typeof__): Remove.
	(sysvipc/sys/sem.h): Remove include.
	(_next <sys/sem.h): Include file.
	* sysdeps/unix/sysv/linux/bits/types/struct_semid64_ds.h: New file.
	* sysdeps/unix/sysv/linux/bits/types/struct_semid_ds.h: Modified.
	[__TIMESIZE != 32](semid_ds): Remove.
	[__TIMESIZE == 32](semid_ds): Remove.
	(semid_ds): New.
	* sysdeps/unix/sysv/linux/hppa/bits/types/struct_semid_ds.h: Modified.
	[__TIMESIZE == 32](semid_ds): Remove.
	(semid_ds): New.
	* sysdeps/unix/sysv/linux/hppa/struct_kernel_semid64_ds.h: New file.
	* sysdeps/unix/sysv/linux/i386/struct_kernel_semid64_ds.h: New file.
	* sysdeps/unix/sysv/linux/include/sys/sem.h: New file.
	* sysdeps/unix/sysv/linux/ipc_priv.h: Modified.
	[!((__WORDSIZE == 32  && (! __SYSCALL_WORDSIZE || __SYSCALL_WORDSIZE == 32)))](__IPC_TIME64): New.
	[(__WORDSIZE == 32  && (! __SYSCALL_WORDSIZE || __SYSCALL_WORDSIZE == 32))](__IPC_TIME64): New.
	* sysdeps/unix/sysv/linux/mips/bits/types/struct_semid_ds.h: Modified.
	(semid_ds): Modified.
	* sysdeps/unix/sysv/linux/mips/struct_kernel_semid64_ds.h: New file.
	* sysdeps/unix/sysv/linux/powerpc/bits/types/struct_semid_ds.h: Modified.
	(semid_ds): Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/struct_kernel_semid64_ds.h: New file.
	* sysdeps/unix/sysv/linux/semctl.c: Modified.
	[__ASSUME_SYSVIPC_BROKEN_MODE_T  && SHLIB_COMPAT (libc, GLIBC_2_2, GLIBC_2_31)](__semctl_mode16): Modified function.
	(errno.h): Remove include.
	(semctl_syscall): Modified function.
	(__new_semctl): Remove function.
	(versioned_symbol): Modified.
	[__IPC_TIME64 != 0][__TIMESIZE != 64](semun64): New.
	[__IPC_TIME64 != 0][__TIMESIZE == 64](semun64): New.
	[__IPC_TIME64 != 0](struct_kernel_semid64_ds.h): New.
	[__IPC_TIME64 != 0](ksemun64): New.
	[__IPC_TIME64 != 0](semid64_to_ksemid64): New.
	[__IPC_TIME64 != 0](ksemid64_to_semid64): New.
	[__IPC_TIME64 != 0](semun64_to_ksemun64): New.
	[__IPC_TIME64 != 0](semctl_arg_t): New.
	[__IPC_TIME64 == 0](semun64): New.
	[__IPC_TIME64 == 0](semctl_arg_t): New.
	[__TIMESIZE != 64](libc_hidden_def): New.
	[__TIMESIZE != 64](semid_to_semid64): New.
	[__TIMESIZE != 64](semid64_to_semid): New.
	[__TIMESIZE != 64](semun64): New.
	[__TIMESIZE != 64](semun_to_semun64): New.
	[__TIMESIZE != 64](__semctl): New.
	(bits/types/struct_semid64_ds.h): Include file.
	(_Static_assert): New function.
	(sizeof): New function.
	(__semctl64): New function.
	* sysdeps/unix/sysv/linux/sparc/bits/types/struct_semid_ds.h: Modified.
	(semid_ds): Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/struct_kernel_semid64_ds.h: New file.
	* sysdeps/unix/sysv/linux/struct_kernel_semid64_ds.h: New file.
	* sysdeps/unix/sysv/linux/x86/bits/types/struct_semid_ds.h: Modified.
	(semid_ds): Modified.

2020-07-08  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: ffb17e7ba3a5ba9632cee97330b325072fbe41dd
	rtld: Avoid using up static TLS surplus for optimizations [BZ #25051]

	* csu/libc-tls.c: Modified.
	(_dl_tls_static_optional): New.
	* elf/Makefile: Modified.
	* elf/dl-reloc.c: Modified.
	(_dl_try_allocate_static_tls): Modified function.
	(_dl_allocate_static_tls): Modified function.
	* elf/dl-tls.c: Modified.
	(OPT_SURPLUS_TLS): Remove.
	(_dl_tls_static_surplus_init): Modified function.
	* elf/dl-tunables.list: Modified.
	* elf/dynamic-link.h: Modified.
	(TRY_STATIC_TLS): Modified.
	(_dl_try_allocate_static_tls): Modified.
	* elf/tst-tls-ie-dlmopen.c: New file.
	* elf/tst-tls-ie-mod.h: New file.
	* elf/tst-tls-ie-mod0.c: New file.
	* elf/tst-tls-ie-mod1.c: New file.
	* elf/tst-tls-ie-mod2.c: New file.
	* elf/tst-tls-ie-mod3.c: New file.
	* elf/tst-tls-ie-mod4.c: New file.
	* elf/tst-tls-ie-mod5.c: New file.
	* elf/tst-tls-ie-mod6.c: New file.
	* elf/tst-tls-ie.c: New file.
	* manual/tunables.texi: Modified.
	* sysdeps/generic/ldsodefs.h: Modified.
	[SHARED](rtld_global): Modified.

2020-07-08  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 17796419b5fd694348cceb65c3f77601faae082c
	rtld: Account static TLS surplus for audit modules

	* csu/libc-tls.c: Modified.
	(__libc_setup_tls): Modified function.
	* elf/dl-tls.c: Modified.
	(_dl_tls_static_surplus_init): Modified function.
	* elf/rtld.c: Modified.
	(init_tls): Modified function.
	(dl_main): Modified function.
	(audit_list_count): New function.
	* manual/tunables.texi: Modified.
	* sysdeps/generic/ldsodefs.h: Modified.
	[IS_IN (rtld)](_dl_tls_static_surplus_init): Modified.

2020-07-08  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 0c7b002fac12dcb2f53ba83ee56bb3b5d2439447
	rtld: Add rtld.nns tunable for the number of supported namespaces

	* csu/libc-tls.c: Modified.
	(_dl_tls_static_size): Remove.
	(init_static_tls): Modified function.
	(__libc_setup_tls): Modified function.
	(_dl_tls_static_size): New.
	(_dl_tls_static_surplus): New.
	* elf/dl-tls.c: Modified.
	[SHARED](_dl_determine_tlsoffset): Modified function.
	(TLS_STATIC_SURPLUS): Remove.
	(TUNABLE_NAMESPACE): New.
	(dl-tunables.h): Include file.
	(LIBC_IE_TLS): New.
	(OTHER_IE_TLS): New.
	(OPT_SURPLUS_TLS): New.
	(_dl_tls_static_surplus_init): New function.
	* elf/dl-tunables.list: Modified.
	* elf/rtld.c: Modified.
	(init_tls): Modified function.
	* manual/tunables.texi: Modified.
	* sysdeps/generic/ldsodefs.h: Modified.
	[IS_IN (rtld)](_dl_tls_static_surplus_init): New function.
	[SHARED](rtld_global_ro): Modified.

2020-07-08  Petr Vorel  <pvorel@suse.cz>

	COMMIT: ae7a94e5e3edf78f4da562edc05ece229614c716
	Remove --enable-obsolete-nsl configure flag

	* INSTALL: Modified.
	* NEWS: Modified.
	* config.h.in: Modified.
	* config.make.in: Modified.
	* configure: Modified.
	* configure.ac: Modified.
	* grp/initgroups.c: Modified.
	[! LINK_OBSOLETE_NSL](DEFAULT_CONFIG): Remove.
	[LINK_OBSOLETE_NSL](DEFAULT_CONFIG): Remove.
	(internal_getgrouplist): Modified function.
	* include/aliases.h: Modified.
	[! _ISOMAC](DECLARE_NSS_PROTOTYPES): Remove.
	[! _ISOMAC](DECLARE_NSS_PROTOTYPES): Remove.
	* include/dlfcn.h: Modified.
	* include/grp.h: Modified.
	[! _ISOMAC](DECLARE_NSS_PROTOTYPES): Remove.
	[! _ISOMAC](DECLARE_NSS_PROTOTYPES): Remove.
	* include/libc-symbols.h: Modified.
	[! _ISOMAC][!(IS_IN (libnsl))](libnsl_hidden_def): Remove.
	[! _ISOMAC][!(IS_IN (libnss_nis))](libnss_nis_hidden_proto): Remove.
	[! _ISOMAC][!(IS_IN (libnss_nis))](libnss_nis_hidden_tls_proto): Remove.
	[! _ISOMAC][!(IS_IN (libnss_nis))](libnss_nis_hidden_def): Remove.
	[! _ISOMAC][!(IS_IN (libnss_nis))](libnss_nis_hidden_weak): Remove.
	[! _ISOMAC][!(IS_IN (libnss_nis))](libnss_nis_hidden_ver): Remove.
	[! _ISOMAC][!(IS_IN (libnss_nis))](libnss_nis_hidden_data_def): Remove.
	[! _ISOMAC][!(IS_IN (libnss_nis))](libnss_nis_hidden_tls_def): Remove.
	[! _ISOMAC][!(IS_IN (libnss_nis))](libnss_nis_hidden_data_weak): Remove.
	[! _ISOMAC][!(IS_IN (libnss_nis))](libnss_nis_hidden_data_ver): Remove.
	[! _ISOMAC][!(IS_IN (libnss_nisplus))](libnss_nisplus_hidden_proto): Remove.
	[! _ISOMAC][!(IS_IN (libnss_nisplus))](libnss_nisplus_hidden_tls_proto): Remove.
	[! _ISOMAC][!(IS_IN (libnss_nisplus))](libnss_nisplus_hidden_def): Remove.
	[! _ISOMAC][!(IS_IN (libnss_nisplus))](libnss_nisplus_hidden_weak): Remove.
	[! _ISOMAC][!(IS_IN (libnss_nisplus))](libnss_nisplus_hidden_ver): Remove.
	[! _ISOMAC][!(IS_IN (libnss_nisplus))](libnss_nisplus_hidden_data_def): Remove.
	[! _ISOMAC][!(IS_IN (libnss_nisplus))](libnss_nisplus_hidden_tls_def): Remove.
	[! _ISOMAC][!(IS_IN (libnss_nisplus))](libnss_nisplus_hidden_data_weak): Remove.
	[! _ISOMAC][!(IS_IN (libnss_nisplus))](libnss_nisplus_hidden_data_ver): Remove.
	[! _ISOMAC][IS_IN (libnsl)][! LINK_OBSOLETE_NSL](libnsl_hidden_nolink_def): Remove.
	[! _ISOMAC][IS_IN (libnsl)][LINK_OBSOLETE_NSL](libnsl_hidden_nolink_def): Remove.
	[! _ISOMAC][IS_IN (libnsl)](libnsl_hidden_def): Remove.
	[! _ISOMAC][IS_IN (libnsl)](libnsl_hidden_nolink_def): New.
	[! _ISOMAC][IS_IN (libnss_nis)](libnss_nis_hidden_proto): Remove.
	[! _ISOMAC][IS_IN (libnss_nis)](libnss_nis_hidden_tls_proto): Remove.
	[! _ISOMAC][IS_IN (libnss_nis)](libnss_nis_hidden_def): Remove.
	[! _ISOMAC][IS_IN (libnss_nis)](libnss_nis_hidden_weak): Remove.
	[! _ISOMAC][IS_IN (libnss_nis)](libnss_nis_hidden_ver): Remove.
	[! _ISOMAC][IS_IN (libnss_nis)](libnss_nis_hidden_data_def): Remove.
	[! _ISOMAC][IS_IN (libnss_nis)](libnss_nis_hidden_tls_def): Remove.
	[! _ISOMAC][IS_IN (libnss_nis)](libnss_nis_hidden_data_weak): Remove.
	[! _ISOMAC][IS_IN (libnss_nis)](libnss_nis_hidden_data_ver): Remove.
	[! _ISOMAC][IS_IN (libnss_nisplus)](libnss_nisplus_hidden_proto): Remove.
	[! _ISOMAC][IS_IN (libnss_nisplus)](libnss_nisplus_hidden_tls_proto): Remove.
	[! _ISOMAC][IS_IN (libnss_nisplus)](libnss_nisplus_hidden_def): Remove.
	[! _ISOMAC][IS_IN (libnss_nisplus)](libnss_nisplus_hidden_weak): Remove.
	[! _ISOMAC][IS_IN (libnss_nisplus)](libnss_nisplus_hidden_ver): Remove.
	[! _ISOMAC][IS_IN (libnss_nisplus)](libnss_nisplus_hidden_data_def): Remove.
	[! _ISOMAC][IS_IN (libnss_nisplus)](libnss_nisplus_hidden_tls_def): Remove.
	[! _ISOMAC][IS_IN (libnss_nisplus)](libnss_nisplus_hidden_data_weak): Remove.
	[! _ISOMAC][IS_IN (libnss_nisplus)](libnss_nisplus_hidden_data_ver): Remove.
	* include/netdb.h: Modified.
	[! _ISOMAC](DECLARE_NSS_PROTOTYPES): Remove.
	[! _ISOMAC](DECLARE_NSS_PROTOTYPES): Remove.
	* include/netinet/ether.h: Modified.
	[! _ISOMAC](DECLARE_NSS_PROTOTYPES): Remove.
	[! _ISOMAC](DECLARE_NSS_PROTOTYPES): Remove.
	* include/pwd.h: Modified.
	[! _ISOMAC](DECLARE_NSS_PROTOTYPES): Remove.
	[! _ISOMAC](DECLARE_NSS_PROTOTYPES): Remove.
	* include/rpc/auth.h: Modified.
	[! _ISOMAC](DECLARE_NSS_PROTOTYPES): Remove.
	[! _ISOMAC](DECLARE_NSS_PROTOTYPES): Remove.
	[! _ISOMAC](DECLARE_NSS_PROTOTYPES): Remove.
	[! _ISOMAC](DECLARE_NSS_PROTOTYPES): Remove.
	* include/rpc/auth_des.h: Modified.
	[! _ISOMAC](DECLARE_NSS_PROTOTYPES): Remove.
	[! _ISOMAC](DECLARE_NSS_PROTOTYPES): Remove.
	[! _ISOMAC](DECLARE_NSS_PROTOTYPES): Remove.
	[! _ISOMAC](DECLARE_NSS_PROTOTYPES): Remove.
	[! _ISOMAC](DECLARE_NSS_PROTOTYPES): Remove.
	* include/rpc/netdb.h: Modified.
	[! _ISOMAC](DECLARE_NSS_PROTOTYPES): Remove.
	[! _ISOMAC](DECLARE_NSS_PROTOTYPES): Remove.
	* include/rpcsvc/yp_prot.h: Delete file.
	* include/shadow.h: Modified.
	[! _ISOMAC](DECLARE_NSS_PROTOTYPES): Remove.
	[! _ISOMAC](DECLARE_NSS_PROTOTYPES): Remove.
	* manual/install.texi: Modified.
	* manual/nss.texi: Modified.
	* manual/nsswitch.texi: Modified.
	* nis/Makefile: Modified.
	* nis/Versions: Modified.
	* nis/libnsl.h: Modified.
	(_nsl_default_nss): Remove.
	* nis/nisplus-parser.h: Delete file.
	* nis/nss-default.c: Delete file.
	* nis/nss-nis.c: Delete file.
	* nis/nss-nis.h: Delete file.
	* nis/nss-nisplus.c: Delete file.
	* nis/nss-nisplus.h: Delete file.
	* nis/nss_nis/nis-alias.c: Delete file.
	* nis/nss_nis/nis-ethers.c: Delete file.
	* nis/nss_nis/nis-grp.c: Delete file.
	* nis/nss_nis/nis-hosts.c: Delete file.
	* nis/nss_nis/nis-initgroups.c: Delete file.
	* nis/nss_nis/nis-netgrp.c: Delete file.
	* nis/nss_nis/nis-network.c: Delete file.
	* nis/nss_nis/nis-proto.c: Delete file.
	* nis/nss_nis/nis-pwd.c: Delete file.
	* nis/nss_nis/nis-rpc.c: Delete file.
	* nis/nss_nis/nis-service.c: Delete file.
	* nis/nss_nis/nis-spwd.c: Delete file.
	* nis/nss_nisplus/nisplus-alias.c: Delete file.
	* nis/nss_nisplus/nisplus-ethers.c: Delete file.
	* nis/nss_nisplus/nisplus-grp.c: Delete file.
	* nis/nss_nisplus/nisplus-hosts.c: Delete file.
	* nis/nss_nisplus/nisplus-initgroups.c: Delete file.
	* nis/nss_nisplus/nisplus-netgrp.c: Delete file.
	* nis/nss_nisplus/nisplus-network.c: Delete file.
	* nis/nss_nisplus/nisplus-parser.c: Delete file.
	* nis/nss_nisplus/nisplus-proto.c: Delete file.
	* nis/nss_nisplus/nisplus-pwd.c: Delete file.
	* nis/nss_nisplus/nisplus-rpc.c: Delete file.
	* nis/nss_nisplus/nisplus-service.c: Delete file.
	* nis/nss_nisplus/nisplus-spwd.c: Delete file.
	* nis/rpcsvc/nis.x: Delete file.
	* nis/rpcsvc/nis_callback.x: Delete file.
	* nis/rpcsvc/nis_object.x: Delete file.
	* nis/rpcsvc/yp.x: Delete file.
	* nis/rpcsvc/yp_prot.h: Delete file.
	* nscd/initgrcache.c: Modified.
	[! LINK_OBSOLETE_NSL](DEFAULT_CONFIG): Remove.
	[LINK_OBSOLETE_NSL](DEFAULT_CONFIG): Remove.
	(addinitgroupsX): Modified function.
	* nss/grp-lookup.c: Modified.
	[! LINK_OBSOLETE_NSL](DEFAULT_CONFIG): Remove.
	[LINK_OBSOLETE_NSL](DEFAULT_CONFIG): Remove.
	(DEFAULT_CONFIG): New.
	* nss/nsswitch.c: Modified.
	[! LINK_OBSOLETE_NSL](DEFAULT_CONFIG): Remove.
	[! LINK_OBSOLETE_NSL](DEFAULT_DEFCONFIG): Remove.
	[! USE_NSCD][SHARED &&  USE_NSCD](__nss_disable_nscd): Modified function.
	[! USE_NSCD](__nss_database_lookup2): Modified function.
	[LINK_OBSOLETE_NSL](DEFAULT_CONFIG): Remove.
	[LINK_OBSOLETE_NSL](DEFAULT_DEFCONFIG): Remove.
	* nss/nsswitch.conf: Modified.
	* nss/pwd-lookup.c: Modified.
	[! LINK_OBSOLETE_NSL](DEFAULT_CONFIG): Remove.
	[LINK_OBSOLETE_NSL](DEFAULT_CONFIG): Remove.
	(DEFAULT_CONFIG): New.
	* nss/spwd-lookup.c: Modified.
	[! LINK_OBSOLETE_NSL](DEFAULT_CONFIG): Remove.
	[LINK_OBSOLETE_NSL](DEFAULT_CONFIG): Remove.
	(DEFAULT_CONFIG): New.
	* scripts/build-many-glibcs.py: Modified.
	* shlib-versions: Modified.
	* sysdeps/mach/Makefile: Modified.
	* sysdeps/unix/sysv/linux/mips/shlib-versions: Modified.

2020-07-08  Florian Weimer  <fweimer@redhat.com>

	COMMIT: acb527929d0c2b3bb0798472c42ddb3203729708
	Move non-deprecated RPC-related functions from sunrpc to inet

	* inet/Makefile: Modified.
	* sunrpc/bindrsvprt.c: Move to...
	* inet/bindresvport.c: ... here.
	* sunrpc/etc.rpc: Move to...
	* inet/etc.rpc: ... here.
	* sunrpc/getrpcbyname.c: Move to...
	* inet/getrpcbyname.c: ... here.
	* sunrpc/getrpcbyname_r.c: Move to...
	* inet/getrpcbyname_r.c: ... here.
	* sunrpc/getrpcbynumber.c: Move to...
	* inet/getrpcbynumber.c: ... here.
	* sunrpc/getrpcbynumber_r.c: Move to...
	* inet/getrpcbynumber_r.c: ... here.
	* sunrpc/getrpcent.c: Move to...
	* inet/getrpcent.c: ... here.
	* sunrpc/getrpcent_r.c: Move to...
	* inet/getrpcent_r.c: ... here.
	* sunrpc/Makefile: Modified.

2020-07-08  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: a2a83bf6d9f1d4d297c5378f0fda0d8f85bc75f2
	aarch64: add NEWS entry about branch protection support

	* NEWS: Modified.

2020-07-08  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: d174ec248d5b6bba3842f425f036495b682c313f
	aarch64: redefine RETURN_ADDRESS to strip PAC

	* sysdeps/aarch64/sysdep.h: Modified.
	[! __ASSEMBLER__][HAVE_AARCH64_PAC_RET](RETURN_ADDRESS): New.

2020-07-08  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: c94767712b06fd37e82d23f86d4d6e1c93948d8a
	aarch64: fix pac-ret support in _mcount

	* sysdeps/aarch64/machine-gmon.h: Modified.
	(MCOUNT): Modified.
	* sysdeps/aarch64/sysdep.h: Modified.
	[! __ASSEMBLER__](strip_pac): New.

2020-07-08  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 1be3d6eb823d8b952fa54b7bbc90cbecb8981380
	aarch64: Add pac-ret support to assembly files

	* sysdeps/aarch64/crti.S: Modified.
	* sysdeps/aarch64/crtn.S: Modified.
	* sysdeps/aarch64/dl-tlsdesc.S: Modified.
	* sysdeps/aarch64/dl-trampoline.S: Modified.
	* sysdeps/aarch64/sysdep.h: Modified.
	[__ASSEMBLER__][HAVE_AARCH64_BTI && HAVE_AARCH64_PAC_RET](GNU_PROPERTY): New.
	[__ASSEMBLER__](PACIASP): New.
	[__ASSEMBLER__](AUTIASP): New.

2020-07-08  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 9e1751e6d693b73b95db2f6d8438dd80f1aeffe0
	aarch64: configure check for pac-ret code generation

	* config.h.in: Modified.
	* sysdeps/aarch64/configure: Modified.
	* sysdeps/aarch64/configure.ac: Modified.

2020-07-08  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: de9301c02e898fb20a609b459d81afda42f39c61
	aarch64: ensure objects are BTI compatible

	* sysdeps/aarch64/Makefile: Modified.
	* sysdeps/aarch64/configure: Modified.
	* sysdeps/aarch64/configure.ac: Modified.

2020-07-08  Sudakshina Das  <sudi.das@arm.com>
            Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 605338745ba15930e9acac46c32ce6cada12a52b
	aarch64: enable BTI at runtime

	* sysdeps/aarch64/Makefile: Modified.
	* sysdeps/aarch64/dl-bti.c: New file.
	* sysdeps/aarch64/dl-prop.h: New file.
	* sysdeps/aarch64/linkmap.h: Modified.
	(link_map_machine): Modified.
	(stdbool.h): Include file.
	* sysdeps/unix/sysv/linux/aarch64/bits/hwcap.h: Modified.
	(HWCAP2_BTI): New.
	* sysdeps/unix/sysv/linux/aarch64/bits/mman.h: New file.
	* sysdeps/unix/sysv/linux/aarch64/cpu-features.c: Modified.
	(init_cpu_features): Modified function.
	* sysdeps/unix/sysv/linux/aarch64/cpu-features.h: Modified.
	(cpu_features): Modified.
	(stdbool.h): Include file.

2020-07-08  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 5f846c8b0dea05554a48ec5ad13874cc757a886f
	aarch64: fix RTLD_START for BTI

	* sysdeps/aarch64/dl-machine.h: Modified.
	[! dl_machine_h](RTLD_START_1): Modified.

2020-07-08  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: fddbd7c0ef4960fc0a17712a95a146dd3f43de0a
	aarch64: fix swapcontext for BTI

	* sysdeps/unix/sysv/linux/aarch64/swapcontext.S: Modified.

2020-07-08  Sudakshina Das  <sudi.das@arm.com>
            Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 91181954f94917b1e1ae591c60cbadf0321d35af
	aarch64: Add BTI support to assembly files

	* sysdeps/aarch64/crti.S: Modified.
	* sysdeps/aarch64/crtn.S: Modified.
	* sysdeps/aarch64/dl-tlsdesc.S: Modified.
	* sysdeps/aarch64/dl-trampoline.S: Modified.
	* sysdeps/aarch64/multiarch/memset_emag.S: Modified.
	* sysdeps/aarch64/multiarch/memset_falkor.S: Modified.
	* sysdeps/aarch64/multiarch/memset_generic.S: Modified.
	* sysdeps/aarch64/multiarch/rtld-memset.S: Modified.
	* sysdeps/aarch64/start.S: Modified.
	* sysdeps/aarch64/sysdep.h: Modified.
	[__ASSEMBLER__](ENTRY): Modified.
	[__ASSEMBLER__](ENTRY_ALIGN): Modified.
	[__ASSEMBLER__](ENTRY_ALIGN_AND_PAD): Modified.
	[__ASSEMBLER__][HAVE_AARCH64_BTI](GNU_PROPERTY): New.
	[__ASSEMBLER__](BTI_C): New.
	[__ASSEMBLER__](BTI_J): New.
	[__ASSEMBLER__](FEATURE_1_AND): New.
	[__ASSEMBLER__](FEATURE_1_BTI): New.
	[__ASSEMBLER__](FEATURE_1_PAC): New.
	[__ASSEMBLER__](GNU_PROPERTY): New.

2020-07-08  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 2a4c2dde4918c2c4e443e8328eab97db2c26e327
	aarch64: Rename place holder .S files to .c

	* sysdeps/aarch64/bsd-_setjmp.S: Move to...
	* sysdeps/aarch64/bsd-_setjmp.c: ... here.
	* sysdeps/aarch64/bsd-setjmp.S: Move to...
	* sysdeps/aarch64/bsd-setjmp.c: ... here.
	* sysdeps/aarch64/memmove.S: Move to...
	* sysdeps/aarch64/memmove.c: ... here.

2020-07-08  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 1b0a4f58f5b10cf6d5ad10ee8d81772c5bd29248
	aarch64: configure test for BTI support

	* config.h.in: Modified.
	* sysdeps/aarch64/configure: Modified.
	* sysdeps/aarch64/configure.ac: Modified.

2020-07-08  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: dbfefbdc3aeec88868cb9d46267f91dc62461226
	Rewrite abi-note.S in C.

	* csu/abi-note.S: Move to...
	* csu/abi-note.c: ... here.
	(link.h): Include file.
	(stdint.h): Include file.
	(<anoymous>): New.
	* sysdeps/arm/abi-note.S: Delete file.

2020-07-08  Szabolcs Nagy  <szabolcs.nagy@arm.com>
            H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: c7aa8596de86fb667914ccb95c10495ad056ff96
	rtld: Clean up PT_NOTE and add PT_GNU_PROPERTY handling

	* elf/dl-load.c: Modified.
	[! EXTERNAL_MAP_FROM_FD](_dl_map_object_from_fd): Modified function.
	(_dl_process_pt_gnu_property): New function.
	* elf/rtld.c: Modified.
	(dl_main): Modified function.
	* sysdeps/generic/dl-prop.h: Modified.
	[FILEBUF_SIZE](_dl_process_pt_note): Remove.
	(_rtld_process_pt_note): Remove function.
	(_dl_process_pt_note): New function.
	(_dl_process_gnu_property): New function.
	* sysdeps/generic/ldsodefs.h: Modified.
	[IS_IN (rtld)](_dl_process_pt_gnu_property): New function.
	* sysdeps/x86/dl-prop.h: Modified.
	[FILEBUF_SIZE](_dl_process_pt_note): Remove.
	(not-cancel.h): Remove include.
	(_rtld_process_pt_note): Remove function.
	(_dl_process_pt_note): New function.
	(_dl_process_gnu_property): New function.

2020-07-08  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: c1e63c7214aaef99039068da384a0ab3abc176f2
	string: Move tst-strsignal tst-strerror to tests-container

	* string/Makefile: Modified.

2020-07-08  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 5b2deed8a5d5cca2d82423572415a1c629bea488
	string: Fix prototype mismatch in sigabbrev_np, __sigdescr_np

	* string/sigabbrev_np.c: Modified.
	(sigabbrev_np): Modified function.
	* string/sigdescr_np.c: Modified.
	(__sigdescr_np): Modified function.

2020-07-08  Alexander Anisimov  <a.anisimov@omprussia.ru>

	COMMIT: beea361050728138b82c57dda0c4810402d342b9
	arm: CVE-2020-6096: Fix multiarch memcpy for negative length [BZ #25620]

	* sysdeps/arm/armv7/multiarch/memcpy_impl.S: Modified.

2020-07-08  Evgeny Eremin  <e.eremin@omprussia.ru>

	COMMIT: 79a4fa341b8a89cb03f84564fd72abaa1a2db394
	arm: CVE-2020-6096: fix memcpy and memmove for negative length [BZ #25620]

	* sysdeps/arm/memcpy.S: Modified.
	* sysdeps/arm/memmove.S: Modified.

2020-07-08  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 78e02c469828fcfb6a5cf73dbcceb4f60fb6fafd
	sunrpc: Remove hidden aliases for global data symbols (bug 26210)

	* include/rpc/clnt.h: Modified.
	[! _ISOMAC](libc_hidden_proto): Remove.
	* include/rpc/svc.h: Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Remove.
	[! _ISOMAC](libc_hidden_proto): Remove.
	[! _ISOMAC](libc_hidden_proto): Remove.
	* sunrpc/rpc_common.c: Modified.
	(libc_hidden_nolink_sunrpc): Remove.
	(libc_hidden_nolink_sunrpc): Remove.
	(libc_hidden_nolink_sunrpc): Remove.
	(libc_hidden_nolink_sunrpc): Remove.
	[SHARED][! EXPORT_RPC_SYMBOLS](compat_symbol): New.
	[SHARED][! EXPORT_RPC_SYMBOLS](compat_symbol): New.
	[SHARED][! EXPORT_RPC_SYMBOLS](compat_symbol): New.
	[SHARED][! EXPORT_RPC_SYMBOLS](compat_symbol): New.

2020-07-07  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 01ac385ca819599f7f1815115ffe926b5e1460ef
	hurd: Fix strerror not setting errno

	* sysdeps/mach/strerror_l.c: Modified.
	(__strerror_l): Modified function.
	(errno.h): Include file.

2020-07-07  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 5549370a73c45b12621a1abe58920771278a72b4
	tst-strsignal: fix checking for RT signals support

	* string/tst-strsignal.c: Modified.
	(do_test): Modified function.

2020-07-07  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: d63387d81d575ba8187345d216070595bd58cb2b
	hurd: Evaluate fd before entering the critical section

	* sysdeps/hurd/include/hurd/fd.h: Modified.
	[! _ISOMAC](HURD_FD_PORT_USE_CANCEL): Modified.

2020-07-07  Arjun Shankar  <arjun@redhat.com>

	COMMIT: 91927b7c76437db860cd86a7714476b56bb39d07
	Rewrite iconv option parsing [BZ #19519]

	* iconv/Makefile: Modified.
	* iconv/Versions: Modified.
	* iconv/gconv_charset.c: New file.
	* iconv/gconv_charset.h: Modified.
	(strip): Modified function.
	(stdbool.h): Include file.
	(string.h): Include file.
	(sys/stat.h): Include file.
	(stdlib.h): Include file.
	(gconv_int.h): Include file.
	(GCONV_TRIPLE_SEPARATOR): New.
	(GCONV_SUFFIX_SEPARATOR): New.
	(GCONV_TRANSLIT_SUFFIX): New.
	(GCONV_IGNORE_ERRORS_SUFFIX): New.
	(__gconv_create_spec): New function.
	(libc_hidden_proto): New.
	(gconv_destroy_spec): New function.
	* iconv/gconv_int.h: Modified.
	(__libc_lock_define): Modified.
	(libc_hidden_proto): Modified.
	(gconv_spec): New.
	(libc_hidden_proto): New.
	* iconv/gconv_open.c: Modified.
	(__gconv_open): Modified function.
	(libc_hidden_def): New.
	* iconv/iconv_open.c: Modified.
	(iconv_open): Modified function.
	* iconv/iconv_prog.c: Modified.
	(main): Modified function.
	(gconv_charset.h): Include file.
	* iconv/tst-iconv-opt.c: New file.
	* iconv/tst-iconv_prog.sh: New file.
	* intl/dcigettext.c: Modified.
	[! IN_LIBGLOCALE](_nl_find_msg): Modified function.
	[IN_LIBGLOCALE](_nl_find_msg): Modified function.

2020-07-07  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 94d9c76e4acc798894ea23d9ac049ce7ce995ec0
	nss: Remove cryptographic key support from nss_files, nss_nis, nss_nisplus

	* NEWS: Modified.
	* nis/Makefile: Modified.
	* nis/nss_nis/nis-publickey.c: Delete file.
	* nis/nss_nisplus/nisplus-publickey.c: Delete file.
	* nss/Makefile: Modified.
	* nss/nss_files/files-key.c: Delete file.

2020-07-07  Florian Weimer  <fweimer@redhat.com>

	COMMIT: afc3a2eb80617adaa8be75a7649c7ee2e1116a72
	sunrpc: Do not export getrpcport by default

	* sunrpc/getrpcport.c: Modified.
	[SHARED][! EXPORT_RPC_SYMBOLS](compat_symbol): New.

2020-07-07  Florian Weimer  <fweimer@redhat.com>

	COMMIT: ed6fc7daed8858ae971e3d9c165ec45816759dbd
	sunrpc: Do not export key handling hooks by default

	* sunrpc/key_call.c: Modified.
	[! SO_PASSCRED](key_call_keyenvoy): Remove function.
	(__key_encryptsession_pk_LOCAL): Remove.
	(__key_decryptsession_pk_LOCAL): Remove.
	(__key_gendes_LOCAL): Remove.
	(key_call_private): Remove.
	(key_call_private_main): Remove.
	(__libc_lock_define_initialized): Remove function.
	(key_call_socket): Remove function.
	(key_call): Remove function.
	(__rpc_thread_key_cleanup): Remove function.
	[SHARED][! EXPORT_RPC_SYMBOLS](compat_symbol): New.
	[SHARED][! EXPORT_RPC_SYMBOLS](compat_symbol): New.
	[SHARED][! EXPORT_RPC_SYMBOLS](compat_symbol): New.
	[SHARED][EXPORT_RPC_SYMBOLS][! SO_PASSCRED](key_call_keyenvoy): New.
	[SHARED][EXPORT_RPC_SYMBOLS][SO_PASSCRED](key_call_private): New.
	[SHARED][EXPORT_RPC_SYMBOLS](key_call_private): New.
	[SHARED][EXPORT_RPC_SYMBOLS](key_call_private_main): New.
	[SHARED][EXPORT_RPC_SYMBOLS](__libc_lock_define_initialized): New.
	[SHARED][EXPORT_RPC_SYMBOLS](key_call_socket): New.
	[SHARED][EXPORT_RPC_SYMBOLS](key_call): New.
	[SHARED][EXPORT_RPC_SYMBOLS](__rpc_thread_key_cleanup): New.

2020-07-07  Florian Weimer  <fweimer@redhat.com>

	COMMIT: d7ebcd43804891434c167ab4f1487aac65399548
	sunrpc: Turn clnt_sperrno into a libc_hidden_nolink_sunrpc symbol

	* sunrpc/clnt_perr.c: Modified.
	[! EXPORT_RPC_SYMBOLS](libc_hidden_nolink_sunrpc): Modified.
	[! EXPORT_RPC_SYMBOLS](libc_hidden_nolink_sunrpc): Modified.
	[! EXPORT_RPC_SYMBOLS](libc_hidden_nolink_sunrpc): New.
	[EXPORT_RPC_SYMBOLS](libc_hidden_def): Modified.
	[EXPORT_RPC_SYMBOLS](libc_hidden_def): Modified.
	[EXPORT_RPC_SYMBOLS](libc_hidden_def): New.
	(libc_hidden_def): Remove.

2020-07-07  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 325081b9eb2035f8f025255206889208f330b590
	string: Add strerrorname_np and strerrordesc_np

	* NEWS: Modified.
	* include/stdio.h: Modified.
	[! _ISOMAC](__get_errname): New function.
	* manual/errno.texi: Modified.
	* stdio-common/errlist.c: Modified.
	(sys_errname_t): New.
	(_sys_errnameidx): New.
	(__get_errname): New function.
	* stdio-common/test-strerr.c: New file.
	* string/Makefile: Modified.
	* string/Versions: Modified.
	* string/strerrordesc_np.c: New file.
	* string/strerrorname_np.c: New file.
	* string/string.h: Modified.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_XOPEN2K8][! __USE_MISC][! __USE_XOPEN2K8][! __USE_GNU][__GNUC_PREREQ (3,4)][__USE_FORTIFY_LEVEL > 0 &&  __forty_function](bits/string_fortified.h): Remove.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_XOPEN2K8][! __USE_MISC][! __USE_XOPEN2K8][__USE_GNU][! basename][! __CORRECT_ISO_CPP_STRING_H_PROTO](basename): Remove.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_XOPEN2K8][! __USE_MISC][! __USE_XOPEN2K8][__USE_GNU][! basename][__CORRECT_ISO_CPP_STRING_H_PROTO](basename): Remove.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_XOPEN2K8][! __USE_MISC][! __USE_XOPEN2K8][__USE_GNU][! basename][__CORRECT_ISO_CPP_STRING_H_PROTO](basename): Remove.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_XOPEN2K8][! __USE_MISC][! __USE_XOPEN2K8][__USE_GNU](strverscmp): Remove.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_XOPEN2K8][! __USE_MISC][! __USE_XOPEN2K8][__USE_GNU](strfry): Remove.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_XOPEN2K8][! __USE_MISC][! __USE_XOPEN2K8][__USE_GNU](memfrob): Remove.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_XOPEN2K8][! __USE_MISC][__USE_XOPEN2K8][__USE_GNU](sigabbrev_np): Remove.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_XOPEN2K8][! __USE_MISC][__USE_XOPEN2K8][__USE_GNU](sigdescr_np): Remove.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_XOPEN2K8][! __USE_MISC][__USE_XOPEN2K8](strsignal): Remove.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_XOPEN2K8][! __USE_MISC][__USE_XOPEN2K8](__stpcpy): Remove.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_XOPEN2K8][! __USE_MISC][__USE_XOPEN2K8](stpcpy): Remove.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_XOPEN2K8][! __USE_MISC][__USE_XOPEN2K8](__stpncpy): Remove.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_XOPEN2K8][! __USE_MISC][__USE_XOPEN2K8](stpncpy): Remove.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_XOPEN2K8][__USE_MISC](strings.h): Remove.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_XOPEN2K8][__USE_MISC](explicit_bzero): Remove.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_XOPEN2K8][__USE_MISC](strsep): Remove.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][__USE_XOPEN2K8](strerror_l): Remove.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_GNU][! __USE_XOPEN2K8][! __USE_MISC][! __USE_XOPEN2K8][! __USE_GNU][__GNUC_PREREQ (3,4)][__USE_FORTIFY_LEVEL > 0 &&  __forty_function](bits/string_fortified.h): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_GNU][! __USE_XOPEN2K8][! __USE_MISC][! __USE_XOPEN2K8][__USE_GNU][! basename][! __CORRECT_ISO_CPP_STRING_H_PROTO](basename): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_GNU][! __USE_XOPEN2K8][! __USE_MISC][! __USE_XOPEN2K8][__USE_GNU][! basename][__CORRECT_ISO_CPP_STRING_H_PROTO](basename): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_GNU][! __USE_XOPEN2K8][! __USE_MISC][! __USE_XOPEN2K8][__USE_GNU][! basename][__CORRECT_ISO_CPP_STRING_H_PROTO](basename): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_GNU][! __USE_XOPEN2K8][! __USE_MISC][! __USE_XOPEN2K8][__USE_GNU](strverscmp): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_GNU][! __USE_XOPEN2K8][! __USE_MISC][! __USE_XOPEN2K8][__USE_GNU](strfry): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_GNU][! __USE_XOPEN2K8][! __USE_MISC][! __USE_XOPEN2K8][__USE_GNU](memfrob): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_GNU][! __USE_XOPEN2K8][! __USE_MISC][__USE_XOPEN2K8][__USE_GNU](sigabbrev_np): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_GNU][! __USE_XOPEN2K8][! __USE_MISC][__USE_XOPEN2K8][__USE_GNU](sigdescr_np): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_GNU][! __USE_XOPEN2K8][! __USE_MISC][__USE_XOPEN2K8](strsignal): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_GNU][! __USE_XOPEN2K8][! __USE_MISC][__USE_XOPEN2K8](__stpcpy): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_GNU][! __USE_XOPEN2K8][! __USE_MISC][__USE_XOPEN2K8](stpcpy): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_GNU][! __USE_XOPEN2K8][! __USE_MISC][__USE_XOPEN2K8](__stpncpy): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_GNU][! __USE_XOPEN2K8][! __USE_MISC][__USE_XOPEN2K8](stpncpy): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_GNU][! __USE_XOPEN2K8][__USE_MISC](strings.h): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_GNU][! __USE_XOPEN2K8][__USE_MISC](explicit_bzero): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_GNU][! __USE_XOPEN2K8][__USE_MISC](strsep): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_GNU][__USE_XOPEN2K8](strerror_l): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][__USE_GNU](strerrordesc_np): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][__USE_GNU](strerrorname_np): New.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/test-err_np.c: New file.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.

2020-07-07  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: bfe05aa289054744b68f136b701705cfd242c4de
	string: Add sigabbrev_np and sigdescr_np

	* NEWS: Modified.
	* include/signal.h: Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](__sys_sigabbrev): New.
	[! _ISOMAC](libc_hidden_proto): New.
	* include/string.h: Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](__sigdescr_np): New function.
	[! _ISOMAC](libc_hidden_proto): New.
	* manual/signal.texi: Modified.
	* stdio-common/siglist.c: Modified.
	(libc_hidden_def): New.
	* string/Makefile: Modified.
	* string/Versions: Modified.
	* string/sigabbrev_np.c: New file.
	* string/sigdescr_np.c: New file.
	* string/string.h: Modified.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_XOPEN2K8][! __USE_MISC][__USE_XOPEN2K8][__USE_GNU](sigabbrev_np): New.
	[__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__CORRECT_ISO_CPP_STRING_H_PROTO][__USE_XOPEN2K][!(__USE_XOPEN2K && ! __USE_GNU)][! __USE_XOPEN2K8][! __USE_MISC][__USE_XOPEN2K8][__USE_GNU](sigdescr_np): New.
	* string/strsignal.c: Modified.
	(array_length.h): Remove include.
	(strsignal): Modified function.
	* string/test-sig_np.c: New file.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.

2020-07-07  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 4f92497488c90fea1ef6796c6d564ff5f8a3add6
	string: Add strerror_l on test-strerror-errno

	* string/test-strerror-errno.c: Modified.
	(do_test): Modified function.

2020-07-07  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 653200ef42674cd0b71c9e07145054ccfadf2f0f
	string: Add strerror, strerror_r, and strerror_l test

	* string/Makefile: Modified.
	* string/tst-strerror.c: New file.
	* support/Makefile: Modified.
	* support/support.h: Modified.
	(locale.h): Include file.
	(xnewlocale): New function.
	(xuselocale): New function.
	* support/xnewlocale.c: New file.
	* support/xuselocale.c: New file.

2020-07-07  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: c2723ce317f858f70237fc8866935114e2bb61b2
	string: Add strsignal test

	* string/Makefile: Modified.
	* string/tst-strsignal.c: New file.

2020-07-07  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 08d2024b4167913623cefcceb2fec6e483972868
	string: Simplify strerror_r

	* string/_strerror.c: Modified.
	[! dgettext](locale.h): Remove.
	[! dgettext](dgettext): Remove.
	(stdbool.h): Remove include.
	(sys/param.h): Remove include.
	(_itoa.h): Remove include.
	(__strerror_r): Modified function.
	* sysdeps/mach/_strerror.c: Modified.
	[! dgettext](locale.h): Remove.
	[! dgettext](dgettext): Remove.
	(sys/param.h): Remove include.
	(_itoa.h): Remove include.
	(__strerror_r): Modified function.
	(string.h): Include file.

2020-07-07  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 725eeb4af14c6fec4ed26a796cdfd6d50df86d42
	string: Use tls-internal on strerror_l

	* include/string.h: Modified.
	[! _ISOMAC](__strerror_thread_freeres): Remove.
	* malloc/thread-freeres.c: Modified.
	(__libc_thread_freeres): Modified function.
	* string/strerror_l.c: Modified.
	(stdlib.h): Remove include.
	(errno.h): Remove include.
	(last_value): Remove.
	(__strerror_l): Modified function.
	(__strerror_thread_freeres): Remove function.
	(text_set_element): Remove.
	(tls-internal.h): Include file.
	* sysdeps/generic/tls-internal-struct.h: Modified.
	(tls_internal_t): Modified.
	* sysdeps/generic/tls-internal.h: Modified.
	(__glibc_tls_internal_free): Modified function.
	* sysdeps/mach/strerror_l.c: Modified.
	(sys/param.h): Remove include.
	(libc-symbols.h): Remove include.
	(last_value): Remove.
	(__strerror_l): Modified function.
	(__strerror_thread_freeres): Remove function.
	(text_set_element): Remove.
	(tls-internal.h): Include file.
	* sysdeps/unix/sysv/linux/tls-internal.h: Modified.
	(__glibc_tls_internal_free): Modified function.

2020-07-07  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 28aff047818eb1726394296d27b9c7885340bead
	string: Implement strerror in terms of strerror_l

	* NEWS: Modified.
	* include/string.h: Modified.
	[! _ISOMAC](locale.h): Include file.
	[! _ISOMAC](__strerror_l): New function.
	[! _ISOMAC](libc_hidden_proto): New.
	* string/strerror.c: Modified.
	(libintl.h): Remove include.
	(stdio.h): Remove include.
	(errno.h): Remove include.
	(libc_freeres_ptr): Remove.
	(strerror): Modified function.
	(locale/localeinfo.h): Include file.
	* string/strerror_l.c: Modified.
	(sys/param.h): Remove include.
	(libc-symbols.h): Remove include.
	(strerror_l): Remove function.
	(errno.h): Include file.
	(__strerror_l): New function.
	(weak_alias): New.
	(libc_hidden_def): New.
	* sysdeps/mach/strerror_l.c: Modified.
	(strerror_l): Remove function.
	(__strerror_l): New function.
	(weak_alias): New.
	(libc_hidden_def): New.

2020-07-07  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 9deec7c8bab24659e78172dd850f4ca37c57940c
	string: Remove old TLS usage on strsignal

	* malloc/thread-freeres.c: Modified.
	(__libc_thread_freeres): Modified function.
	(tls-internal.h): Include file.
	* nptl/allocatestack.c: Modified.
	(get_cached_stack): Modified function.
	* nptl/descr.h: Modified.
	(pthread): Modified.
	(tls-internal-struct.h): Include file.
	* string/strsignal.c: Modified.
	(libc-lock.h): Remove include.
	(key): Remove.
	(BUFFERSIZ): Remove.
	(local_buf): Remove.
	(static_buf): Remove.
	(init): Remove.
	(free_key_mem): Remove.
	(getbuffer): Remove.
	(strsignal): Modified function.
	(init): Remove function.
	(free_key_mem): Remove function.
	(getbuffer): Remove function.
	(tls-internal.h): Include file.
	(array_length.h): Include file.
	* sysdeps/generic/Makefile: Modified.
	* sysdeps/generic/tls-internal-struct.h: New file.
	* sysdeps/generic/tls-internal.c: New file.
	* sysdeps/generic/tls-internal.h: New file.
	* sysdeps/unix/sysv/linux/tls-internal.c: New file.
	* sysdeps/unix/sysv/linux/tls-internal.h: New file.

2020-07-07  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: f26d456b98abf02b3ff92f1a3c0d4473b7ffd85c
	linux: Fix __NSIG_WORDS and add __NSIG_BYTES

	* include/signal.h: Modified.
	[! _ISOMAC](sigsetops.h): Include file.
	* nptl/nptl-init.c: Modified.
	(__pthread_initialize_minimal_internal): Modified function.
	* nptl/pthread_sigmask.c: Modified.
	(__pthread_sigmask): Modified function.
	* sysdeps/unix/sysv/linux/aio_misc.h: Modified.
	(__aio_start_notify_thread): Modified function.
	(__aio_create_helper_thread): Modified function.
	* sysdeps/unix/sysv/linux/epoll_pwait.c: Modified.
	(epoll_pwait): Modified function.
	* sysdeps/unix/sysv/linux/internal-signals.h: Modified.
	(__libc_signal_block_all): Modified function.
	(__libc_signal_block_app): Modified function.
	(__libc_signal_block_sigtimer): Modified function.
	(__libc_signal_unblock_sigtimer): Modified function.
	(__libc_signal_restore_set): Modified function.
	* sysdeps/unix/sysv/linux/ppoll.c: Modified.
	(__ppoll64): Modified function.
	* sysdeps/unix/sysv/linux/pselect.c: Modified.
	(__pselect): Modified function.
	* sysdeps/unix/sysv/linux/sigaction.c: Modified.
	(__libc_sigaction): Modified function.
	* sysdeps/unix/sysv/linux/signalfd.c: Modified.
	(signalfd): Modified function.
	* sysdeps/unix/sysv/linux/sigpending.c: Modified.
	(sigpending): Modified function.
	* sysdeps/unix/sysv/linux/sigsetops.h: Modified.
	(__sigmask): Modified.
	(__sigword): Modified function.
	(__NSIG_WORDS): Modified.
	(limits.h): Include file.
	(libc-pointer-arith.h): Include file.
	(_Static_assert): New function.
	(__NSIG_BYTES): New.
	* sysdeps/unix/sysv/linux/sigsuspend.c: Modified.
	(__sigsuspend): Modified function.
	* sysdeps/unix/sysv/linux/sigtimedwait.c: Modified.
	(__sigtimedwait): Modified function.
	* sysdeps/unix/sysv/linux/x86/setjmpP.h: Modified.
	(_SIGPROCMASK_NSIG_WORDS): Remove.
	(__sigprocmask_sigset_t): Modified.
	(sigsetops.h): Include file.

2020-07-07  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: f13d260190d47bd38c0ae939080001e7bb58bd04
	signal: Move sys_errlist to a compat symbol

	* NEWS: Modified.
	* include/stdio.h: Modified.
	[! _ISOMAC](_sys_nerr_internal): Remove.
	[! _ISOMAC](__get_errlist): New function.
	* libio/Makefile: Modified.
	* libio/stdio.h: Modified.
	(bits/sys_errlist.h): Remove include.
	* scripts/build-many-glibcs.py: Modified.
	* stdio-common/Makefile: Modified.
	* stdio-common/errlist-compat.c: New file.
	* stdio-common/errlist.c: Modified.
	(stddef.h): Remove include.
	(_sys_errlist): Remove.
	(_sys_nerr): Remove.
	(stdio.h): Include file.
	(errno.h): Include file.
	(libintl.h): Include file.
	(_sys_errlist_internal): New.
	(__get_errlist): New function.
	(errlist-compat.c): Include file.
	* stdio-common/tst-errno-manual.py: New file.
	* string/_strerror.c: Modified.
	(__strerror_r): Modified function.
	* string/strerror_l.c: Modified.
	(strerror_l): Modified function.
	* string/xpg-strerror.c: Modified.
	(__xpg_strerror_r): Modified function.
	* sysdeps/gnu/Makefile: Modified.
	* sysdeps/gnu/errlist-compat.awk: Delete file.
	* sysdeps/gnu/errlist.awk: Delete file.
	* sysdeps/gnu/errlist.c: Delete file.
	* sysdeps/gnu/errlist.h: New file.
	* sysdeps/mach/hurd/err_hurd.sub: Modified.
	* sysdeps/mach/hurd/errlist.c: Modified.
	(_sys_errlist_internal): Remove.
	(_sys_nerr_internal): Remove.
	(ERRLIST_NO_COMPAT): Remove.
	(ERR_REMAP): Remove.
	(sysdeps/gnu/errlist.c): Remove include.
	(ERR_MAP): New.
	(stdio-common/errlist.c): Include file.
	* sysdeps/unix/sysv/linux/Versions: Modified.
	* sysdeps/unix/sysv/linux/alpha/Versions: Modified.
	* sysdeps/unix/sysv/linux/alpha/errlist-compat.c: New file.
	* sysdeps/unix/sysv/linux/bits/sys_errlist.h: Move to...
	* sysdeps/unix/sysv/linux/errlist-compat.c: ... here.
	[! _STDIO_H](Never include <bits/sys_errlist.h> directly; use <stdio.h> instead."): Remove.
	[__USE_GNU](_sys_nerr): Remove.
	[__USE_GNU](_sys_errlist): Remove.
	[__USE_MISC](sys_nerr): Remove.
	[__USE_MISC](sys_errlist): Remove.
	(errlist-compat.h): Include file.
	* sysdeps/unix/sysv/linux/errlist-compat.h: New file.
	* sysdeps/unix/sysv/linux/hppa/Versions: Modified.
	* sysdeps/unix/sysv/linux/hppa/errlist-compat.c: New file.
	* sysdeps/unix/sysv/linux/mips/Versions: Modified.
	* bits/sys_errlist.h: Move to...
	* sysdeps/unix/sysv/linux/mips/errlist-compat.c: ... here.
	(Never include <bits/sys_errlist.h> directly; use <stdio.h> instead."): Remove.
	(errlist-compat.h): Include file.
	* sysdeps/unix/sysv/linux/sparc/Versions: Modified.
	* sysdeps/unix/sysv/linux/sparc/errlist-compat.c: New file.

2020-07-07  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: b1ccfc061feee9ce616444ded8e1cd5acf9fa97f
	signal: Move sys_siglist to a compat symbol

	* NEWS: Modified.
	* debug/segfault.c: Modified.
	(write_strsignal): Modified function.
	* include/signal.h: Modified.
	[! _ISOMAC](libc_hidden_proto): Modified.
	[! _ISOMAC](__sys_siglist): New.
	* manual/signal.texi: Modified.
	* signal/signal.h: Modified.
	[__USE_MISC](_sys_siglist): Remove.
	[__USE_MISC](sys_siglist): Remove.
	* stdio-common/psiginfo.c: Modified.
	(psiginfo): Modified function.
	* stdio-common/psignal.c: Modified.
	(psignal): Modified function.
	* stdio-common/siglist.c: Modified.
	(_sys_siglist): Remove.
	(_sys_sigabbrev): Remove.
	(__sys_siglist): New.
	(libc_hidden_def): New.
	(__sys_sigabbrev): New.
	(siglist-compat.c): Include file.
	* string/strsignal.c: Modified.
	(strsignal): Modified function.
	* sysdeps/generic/siglist-compat.c: New file.
	* sysdeps/generic/siglist-compat.h: New file.
	* sysdeps/gnu/siglist.c: Delete file.
	* sysdeps/mach/hurd/siglist.h: Move to...
	* sysdeps/mach/hurd/siglist-compat.c: ... here.
	(_next <siglist.h): Remove include.
	(OLD_SIGLIST_SIZE): Remove.
	(siglist-compat.h): Include file.
	* sysdeps/unix/sysv/linux/siglist.h: Move to...
	* sysdeps/unix/sysv/linux/siglist-compat.c: ... here.
	(_next <siglist.h): Remove include.
	(OLD_SIGLIST_SIZE): Remove.
	(OLD2_SIGLIST_SIZE): Remove.
	(siglist-compat.h): Include file.

2020-07-07  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: e4e11b1dba261cb650e631978622bf3b4a4d8c37
	signal: Add signum-{generic,arch}.h

	* bits/signum-arch.h: New file.
	* bits/signum-generic.h: Modified.
	(SIGBUS): Remove.
	(SIGSYS): Remove.
	(SIGURG): Remove.
	(SIGSTOP): Remove.
	(SIGTSTP): Remove.
	(SIGCONT): Remove.
	(SIGCHLD): Remove.
	(SIGTTIN): Remove.
	(SIGTTOU): Remove.
	(SIGPOLL): Remove.
	(SIGXCPU): Remove.
	(SIGXFSZ): Remove.
	(SIGVTALRM): Remove.
	(SIGPROF): Remove.
	(SIGUSR1): Remove.
	(SIGUSR2): Remove.
	(SIGWINCH): Remove.
	(__SIGRTMIN): Remove.
	(__SIGRTMAX): Remove.
	(bits/signum-arch.h): Include file.
	* bits/signum.h: Delete file.
	* signal/Makefile: Modified.
	* signal/signal.h: Modified.
	(bits/signum.h): Remove include.
	(bits/signum-generic.h): Include file.
	* sysdeps/mach/hurd/bits/signum-arch.h: New file.
	* sysdeps/unix/bsd/bits/signum.h: Delete file.
	* sysdeps/unix/sysv/linux/alpha/bits/signum-arch.h: New file.
	* sysdeps/unix/sysv/linux/alpha/bits/signum.h: Delete file.
	* sysdeps/unix/sysv/linux/bits/signum-arch.h: New file.
	* sysdeps/unix/sysv/linux/bits/signum.h: Delete file.
	* sysdeps/unix/sysv/linux/hppa/bits/signum-arch.h: New file.
	* sysdeps/unix/sysv/linux/hppa/bits/signum.h: Delete file.
	* sysdeps/unix/sysv/linux/ia64/vfork.S: Modified.
	* sysdeps/unix/sysv/linux/mips/bits/signum-arch.h: New file.
	* sysdeps/unix/sysv/linux/mips/bits/signum.h: Delete file.
	* sysdeps/unix/sysv/linux/sparc/bits/signum-arch.h: New file.
	* sysdeps/unix/sysv/linux/sparc/bits/signum.h: Delete file.

2020-07-07  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 6caddd34bd7ffb5ac4f36c8e036eee100c2cc535
	Remove most vfprintf width/precision-dependent allocations (bug 14231, bug 26211).

	* stdio-common/Makefile: Modified.
	* stdio-common/bug22.c: Modified.
	(do_test): Modified function.
	* stdio-common/tst-vfprintf-width-prec-alloc.c: New file.
	* stdio-common/vfprintf-internal.c: Modified.
	(EXTSIZ): Remove.
	(vfprintf): Modified function.
	(printf_positional): Modified function.

2020-07-07  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 3ad5dab476205d6e16156cf0511fa6884b3b0fc4
	elf: Do not signal LA_ACT_CONSISTENT for an empty namespace [BZ #26076]

	* elf/dl-close.c: Modified.
	(_dl_close_worker): Modified function.

2020-07-07  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 08538f360f14dbe2e3b04a30148e342f248d9de5
	Fix stringop-overflow errors from gcc 10 in iconv.

	* iconv/loop.c: Modified.
	[!(! DEFINE_UNALIGNED && !_STRING_ARCH_unaligned  && MIN_NEEDED_INPUT != 1 && MAX_NEEDED_INPUT % MIN_NEEDED_INPUT == 0  && MIN_NEEDED_OUTPUT != 1 && MAX_NEEDED_OUTPUT % MIN_NEEDED_OUTPUT == 0)][MAX_NEEDED_INPUT > 1](SINGLE): Modified function.
	* iconv/skeleton.c: Modified.
	(FUNCTION_NAME): Modified function.

2020-07-06  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 3f4b61a0b8de67ef9f20737919c713ddfc4bd620
	x86: Add thresholds for "rep movsb/stosb" to tunables

	* manual/tunables.texi: Modified.
	* sysdeps/x86/cacheinfo.c: Modified.
	(init_cacheinfo): Modified function.
	(__x86_rep_movsb_threshold): New.
	(__x86_rep_stosb_threshold): New.
	* sysdeps/x86/cpu-features.c: Modified.
	(init_cpu_features): Modified function.
	* sysdeps/x86/cpu-features.h: Modified.
	(cpu_features): Modified.
	* sysdeps/x86/dl-tunables.list: Modified.
	* sysdeps/x86_64/multiarch/memmove-vec-unaligned-erms.S: Modified.
	* sysdeps/x86_64/multiarch/memset-vec-unaligned-erms.S: Modified.

2020-07-06  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 6c010c5dde1735f93cc3a6597cdcc2b482af85f8
	Use C2x return value from getpayload of non-NaN (bug 26073).

	* manual/arith.texi: Modified.
	* math/libm-test-getpayload.inc: Modified.
	* sysdeps/ieee754/dbl-64/s_getpayload.c: Modified.
	(__getpayload): Modified function.
	* sysdeps/ieee754/dbl-64/wordsize-64/s_getpayload.c: Modified.
	(__getpayload): Modified function.
	* sysdeps/ieee754/flt-32/s_getpayloadf.c: Modified.
	(__getpayloadf): Modified function.
	* sysdeps/ieee754/ldbl-128/s_getpayloadl.c: Modified.
	(__getpayloadl): Modified function.
	* sysdeps/ieee754/ldbl-128ibm/s_getpayloadl.c: Modified.
	(__getpayloadl): Modified function.
	* sysdeps/ieee754/ldbl-96/s_getpayloadl.c: Modified.
	(__getpayloadl): Modified function.

2020-07-06  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 28c13ae5bbc81aa2ae67890ce53e65257d4703a4
	x86: Detect Extended Feature Disable (XFD)

	* sysdeps/x86/cpu-features.h: Modified.
	(bit_cpu_XFD): New.
	(index_cpu_XFD): New.
	(reg_XFD): New.
	* sysdeps/x86/tst-get-cpu-features.c: Modified.
	(do_test): Modified function.

2020-07-06  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: f8b4630ef673486c2c77bd291a08ef132981e149
	x86: Correct bit_cpu_CLFSH [BZ #26208]

	* sysdeps/x86/cpu-features.h: Modified.
	(bit_cpu_CLFSH): Modified.

2020-07-06  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 01ffa6002e4f1917574be4fbaddeec31ad829390
	manual: Document __libc_single_threaded

	* manual/threads.texi: Modified.

2020-07-06  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 706ad1e7af37be1d25fc2359bda006d31fe0d11b
	Add the __libc_single_threaded variable

	* NEWS: Modified.
	* elf/Makefile: Modified.
	* elf/libc_early_init.c: Modified.
	(__libc_early_init): Modified function.
	(sys/single_threaded.h): Include file.
	* elf/tst-single_threaded-mod1.c: New file.
	* elf/tst-single_threaded-mod2.c: New file.
	* elf/tst-single_threaded-mod3.c: New file.
	* elf/tst-single_threaded-mod4.c: New file.
	* elf/tst-single_threaded-pthread-static.c: New file.
	* elf/tst-single_threaded-pthread.c: New file.
	* elf/tst-single_threaded-static-dlopen.c: New file.
	* elf/tst-single_threaded-static.c: New file.
	* elf/tst-single_threaded.c: New file.
	* htl/pt-create.c: Modified.
	(__pthread_create_internal): Modified function.
	(sys/single_threaded.h): Include file.
	* include/sys/single_threaded.h: New file.
	* misc/Makefile: Modified.
	* misc/Versions: Modified.
	* misc/single_threaded.c: New file.
	* misc/sys/single_threaded.h: New file.
	* nptl/pthread_create.c: Modified.
	(sys/single_threaded.h): Include file.
	(__libc_single_threaded): New.
	* sysdeps/generic/libc.abilist: Modified.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.

2020-07-06  Mathieu Desnoyers  <mathieu.desnoyers@efficios.com>

	COMMIT: 8f4632deb3545b2949cec5454afc3cb21a0024ea
	Linux: rseq registration tests

	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/tst-rseq-nptl.c: New file.
	* sysdeps/unix/sysv/linux/tst-rseq.c: New file.
	* sysdeps/unix/sysv/linux/tst-rseq.h: New file.

2020-07-06  Mathieu Desnoyers  <mathieu.desnoyers@efficios.com>

	COMMIT: 6e29cb3f61ff5432c78a1c84b0d9b123a350ab36
	Linux: Use rseq in sched_getcpu if available

	* sysdeps/unix/sysv/linux/sched_getcpu.c: Modified.
	(sched_getcpu): Remove function.
	[! RSEQ_SIG](sched_getcpu): New.
	[RSEQ_SIG](sched_getcpu): New.
	(atomic.h): Include file.
	(sys/rseq.h): Include file.
	(vsyscall_sched_getcpu): New function.

2020-07-06  Mathieu Desnoyers  <mathieu.desnoyers@efficios.com>

	COMMIT: 0c76fc3c2b346dc5401dc055d97d4279632b0fb3
	Linux: Perform rseq registration at C startup and thread creation

	* NEWS: Modified.
	* elf/dl-tls.c: Modified.
	[SHARED](_dl_determine_tlsoffset): Modified function.
	(TLS_STATIC_SURPLUS): Modified.
	* elf/libc_early_init.c: Modified.
	(__libc_early_init): Modified function.
	(rseq-internal.h): Include file.
	* manual/threads.texi: Modified.
	* nptl/pthread_create.c: Modified.
	(rseq-internal.h): Include file.
	(rseq_register_current_thread): New function.
	* sysdeps/generic/rseq-internal.h: New file.
	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/Versions: Modified.
	* sysdeps/unix/sysv/linux/aarch64/bits/rseq.h: New file.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/bits/rseq.h: New file.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/bits/rseq.h: New file.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/bits/rseq.h: New file.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/bits/rseq.h: New file.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/rseq-internal.h: New file.
	* sysdeps/unix/sysv/linux/rseq-sym.c: New file.
	* sysdeps/unix/sysv/linux/s390/bits/rseq.h: New file.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sys/rseq.h: New file.
	* sysdeps/unix/sysv/linux/x86/bits/rseq.h: New file.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.

2020-07-05  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: f9cf87353772ca370b7bb901d86365a564fba49f
	tst-cancel4: deal with ENOSYS errors

	* nptl/tst-cancel4.c: Modified.
	(tf_sigwaitinfo): Modified function.
	(tf_sigtimedwait): Modified function.
	(tf_msgrcv): Modified function.
	(tf_msgsnd): Modified function.

2020-07-03  Florian Weimer  <fweimer@redhat.com>

	COMMIT: a3f747a912c53a172388a0a0f896cb88ca3549c8
	manual: Show copyright information not just in the printed manual

	* manual/libc.texinfo: Modified.

2020-07-01  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: c6aac3bf3663709cdefde5f5d5e9e875d607be5e
	Fix typo in comment in bug 26137 fix.

	* stdlib/strtod_l.c: Modified.

2020-06-30  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 09555b9721d090f7917f8221be2613a4d6a9b0f6
	Fix strtod multiple-precision division bug (bug 26137).

	* stdlib/strtod_l.c: Modified.
	[howmany][____STRTOF_INTERNAL](str_to_mpn): Modified function.
	* stdlib/tst-strtod-round-data: Modified.
	* stdlib/tst-strtod-round-data.h: Modified.

2020-06-30  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 5f40e4b1ba69a22923f6ec692d2d0f65733ccb0b
	Linux: Fix UTC offset setting in settimeofday for __TIMESIZE != 64

	* sysdeps/unix/sysv/linux/settimeofday.c: Modified.
	[__TIMESIZE != 64](__settimeofday): Modified function.

2020-06-30  John Marshall  <John.W.Marshall@glasgow.ac.uk>

	COMMIT: 354b98cdfd78fc8ca0f6ed7b0e3aa8c311f1deba
	random: range is not portably RAND_MAX [BZ #7003]

	* stdlib/stdlib.h: Modified.

2020-06-29  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 3ee1e0ec5cd0441954be9181dc437358846b39c6
	Update kernel version to 5.7 in tst-mman-consts.py.

	* sysdeps/unix/sysv/linux/tst-mman-consts.py: Modified.

2020-06-29  Tulio Magno Quites Machado Filho  <tuliom@linux.ibm.com>

	COMMIT: d2ba3677da7a785556fcd708404d8e049b1c063b
	powerpc: Add support for POWER10

	* sysdeps/powerpc/dl-procinfo.h: Modified.
	(_DL_PLATFORMS_COUNT): Modified.
	(_dl_string_platform): Modified function.
	(PPC_PLATFORM_POWER10): New.
	* sysdeps/powerpc/powerpc32/power10/Implies: New file.
	* sysdeps/powerpc/powerpc32/power10/fpu/multiarch/Implies: New file.
	* sysdeps/powerpc/powerpc32/power10/multiarch/Implies: New file.
	* sysdeps/powerpc/powerpc64/be/power10/Implies: New file.
	* sysdeps/powerpc/powerpc64/be/power10/fpu/Implies: New file.
	* sysdeps/powerpc/powerpc64/be/power10/fpu/multiarch/Implies: New file.
	* sysdeps/powerpc/powerpc64/be/power10/multiarch/Implies: New file.
	* sysdeps/powerpc/powerpc64/le/power10/Implies: New file.
	* sysdeps/powerpc/powerpc64/le/power10/fpu/Implies: New file.
	* sysdeps/powerpc/powerpc64/le/power10/fpu/multiarch/Implies: New file.
	* sysdeps/powerpc/powerpc64/le/power10/multiarch/Implies: New file.
	* sysdeps/powerpc/preconfigure: Modified.
	* sysdeps/powerpc/preconfigure.ac: Modified.

2020-06-29  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 81b1c8cbb5b486da60e81ba8435ddf08e554206a
	hurd: Simplify usleep timeout computation

	* sysdeps/mach/usleep.c: Modified.
	(usleep): Modified function.

2020-06-29  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 269e4c17cd1031d3feb5adc608edf7c2b19b3f41
	htl: Enable cancel*16 an cancel*20 tests

	* nptl/Makefile: Modified.
	* sysdeps/mach/hurd/i386/Makefile: Modified.
	* sysdeps/pthread/Makefile: Modified.
	* nptl/tst-cancel16.c: Move to...
	* sysdeps/pthread/tst-cancel16.c: ... here.
	* nptl/tst-cancel20.c: Move to...
	* sysdeps/pthread/tst-cancel20.c: ... here.
	* nptl/tst-cancelx16.c: Move to...
	* sysdeps/pthread/tst-cancelx16.c: ... here.
	* nptl/tst-cancelx20.c: Move to...
	* sysdeps/pthread/tst-cancelx20.c: ... here.

2020-06-28  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: f512321130d6c02332d441812ef4780908bb744d
	hurd: Add remaining cancelation points

	* hurd/hurdselect.c: Modified.
	(_hurd_select): Modified function.
	(sysdep-cancel.h): Include file.
	* sysdeps/mach/hurd/accept4.c: Modified.
	(__libc_accept4): Modified function.
	(sysdep-cancel.h): Include file.
	* sysdeps/mach/hurd/connect.c: Modified.
	(__connect): Modified function.
	(sysdep-cancel.h): Include file.
	* sysdeps/mach/hurd/fdatasync.c: Modified.
	(fdatasync): Modified function.
	(sysdep-cancel.h): Include file.
	* sysdeps/mach/hurd/fsync.c: Modified.
	(fsync): Modified function.
	(sysdep-cancel.h): Include file.
	* sysdeps/mach/hurd/ioctl.c: Modified.
	(__ioctl): Modified function.
	(sysdep-cancel.h): Include file.
	* sysdeps/mach/hurd/msync.c: Modified.
	(msync): Modified function.
	(sysdep-cancel.h): Include file.
	* sysdeps/mach/hurd/sigsuspend.c: Modified.
	(__sigsuspend): Modified function.
	(sysdep-cancel.h): Include file.
	* sysdeps/mach/hurd/sigwait.c: Modified.
	(__sigwait): Modified function.
	(sysdep-cancel.h): Include file.
	* sysdeps/mach/msync.c: Modified.
	[VM_SYNC_SYNCHRONOUS](msync): Modified function.
	(sysdep-cancel.h): Include file.
	* sysdeps/mach/sleep.c: Modified.
	(__sleep): Modified function.
	(sysdep-cancel.h): Include file.
	* sysdeps/mach/usleep.c: Modified.
	(usleep): Modified function.
	(sysdep-cancel.h): Include file.

2020-06-28  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 1f3413338e31e65f2927aef02c151745d3b899d0
	hurd: fix usleep(ULONG_MAX)

	* sysdeps/mach/usleep.c: Modified.
	(usleep): Modified function.

2020-06-28  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 3c9f67e7a58487c084f3b657c1dfe490d1a318d5
	hurd: Make fcntl(F_SETLKW*) cancellation points

	* sysdeps/mach/hurd/Makefile: Modified.
	* sysdeps/mach/hurd/fcntl.c: Modified.
	(__libc_fcntl): Modified function.
	(weak_alias): Remove.
	(libc_hidden_weak): Remove.
	(weak_alias): Remove.
	(strong_alias): Remove.
	(libc_hidden_def): Remove.
	(weak_alias): Remove.
	(libc_hidden_weak): Remove.
	(weak_alias): Remove.
	[! NOCANCEL](sysdep-cancel.h): New.
	[! NOCANCEL](weak_alias): New.
	[! NOCANCEL](libc_hidden_weak): New.
	[! NOCANCEL](weak_alias): New.
	[! NOCANCEL](strong_alias): New.
	[! NOCANCEL](libc_hidden_def): New.
	[! NOCANCEL](weak_alias): New.
	[! NOCANCEL](libc_hidden_weak): New.
	[! NOCANCEL](weak_alias): New.
	[NOCANCEL](not-cancel.h): New.
	* sysdeps/mach/hurd/fcntl_nocancel.c: New file.
	* sysdeps/mach/hurd/not-cancel.h: Modified.
	[IS_IN (libc)](hidden_proto): New.
	(__fcntl64_nocancel): Modified.
	(__fcntl_nocancel): New.

2020-06-28  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 09effdc9b04a3a04d4f128fd9e1fa360a251ed81
	hurd: make wait4 a cancellation point

	* sysdeps/mach/hurd/Makefile: Modified.
	* sysdeps/mach/hurd/not-cancel.h: Modified.
	[IS_IN (libc)](hidden_proto): New.
	(__waitpid_nocancel): Modified.
	(__wait4_nocancel): New.
	* sysdeps/mach/hurd/wait4.c: Modified.
	(__wait4): Modified function.
	(sysdep-cancel.h): Include file.
	* sysdeps/mach/hurd/wait4_nocancel.c: New file.

2020-06-28  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: d60fdd480d32a9b4bd781cae08e9a8dfb486c3bd
	hurd: Fix port definition in HURD_PORT_USE_CANCEL

	* sysdeps/hurd/include/hurd/port.h: Modified.
	[! _ISOMAC](HURD_PORT_USE_CANCEL): Modified.
	[! _ISOMAC](libc-lock.h): Include file.

2020-06-28  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: fd3df63fb6649720098597ced59eaa3969bbe067
	hurd: make close a cancellation point

	* sysdeps/mach/hurd/Makefile: Modified.
	* sysdeps/mach/hurd/Versions: Modified.
	* sysdeps/mach/hurd/close.c: Modified.
	(__close): Modified function.
	(sysdep-cancel.h): Include file.
	* sysdeps/mach/hurd/close_nocancel.c: New file.
	* sysdeps/mach/hurd/dl-sysdep.c: Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(weak_alias): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(weak_alias): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(weak_alias): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(weak_alias): New.
	(check_no_hidden): New function.
	* sysdeps/mach/hurd/i386/localplt.data: Modified.
	* sysdeps/mach/hurd/not-cancel.h: Modified.
	[IS_IN (libc)](hidden_proto): Modified.
	[IS_IN (libc)](hidden_proto): Modified.
	[IS_IN (libc)](hidden_proto): Modified.
	[IS_IN (libc)](hidden_proto): Modified.
	[IS_IN (libc)](hidden_proto): Modified.
	[IS_IN (libc)](hidden_proto): Modified.
	[IS_IN (libc)](hidden_proto): Modified.
	[IS_IN (libc)](hidden_proto): Modified.
	[IS_IN (libc)](hidden_proto): Modified.
	[IS_IN (libc)](hidden_proto): New.
	(__close_nocancel): Remove.
	(__close_nocancel): New.

2020-06-28  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 4cafcd839f8c002c290ec96c64b6d85e87e270e8
	hurd: make open and openat cancellation points

	* sysdeps/mach/hurd/Makefile: Modified.
	* sysdeps/mach/hurd/Versions: Modified.
	* sysdeps/mach/hurd/dl-sysdep.c: Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(weak_alias): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(weak_alias): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(weak_alias): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(weak_alias): New.
	(check_no_hidden): New function.
	* sysdeps/mach/hurd/i386/localplt.data: Modified.
	* sysdeps/mach/hurd/not-cancel.h: Modified.
	[IS_IN (libc)](hidden_proto): Modified.
	[IS_IN (libc)](hidden_proto): Modified.
	[IS_IN (libc)](hidden_proto): Modified.
	[IS_IN (libc)](hidden_proto): Modified.
	[IS_IN (libc)](hidden_proto): Modified.
	[IS_IN (libc)](hidden_proto): Modified.
	[IS_IN (libc)](hidden_proto): Modified.
	[IS_IN (libc)](hidden_proto): New.
	[IS_IN (libc)](hidden_proto): New.
	(__open_nocancel): Remove.
	(__open64_nocancel): Modified.
	(__openat_nocancel): Remove.
	(__openat64_nocancel): Modified.
	(__open_nocancel): New.
	(__openat_nocancel): New.
	* sysdeps/mach/hurd/open.c: Modified.
	(__libc_open): Modified function.
	(sysdep-cancel.h): Include file.
	* sysdeps/mach/hurd/open_nocancel.c: New file.
	* sysdeps/mach/hurd/openat.c: Modified.
	(__openat): Modified function.
	(sysdep-cancel.h): Include file.
	* sysdeps/mach/hurd/openat_nocancel.c: New file.

2020-06-28  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 67a78072e2891b8b16a7bfb20675844a5854cff1
	hurd: clean fd and port on thread cancel

	* hurd/Makefile: Modified.
	* hurd/fd-cleanup.c: New file.
	* hurd/fd-read.c: Modified.
	(_hurd_fd_read): Modified function.
	* hurd/fd-write.c: Modified.
	(_hurd_fd_write): Modified function.
	* hurd/hurd.h: Modified.
	* hurd/hurd/fd.h: Modified.
	* hurd/hurd/port.h: Modified.
	* hurd/port-cleanup.c: Modified.
	(_hurd_port_use_cleanup): New function.
	* sysdeps/hurd/include/hurd.h: Modified.
	(__USEPORT_CANCEL): New.
	* sysdeps/hurd/include/hurd/fd.h: Modified.
	[! _ISOMAC](libc-lock.h): Include file.
	[! _ISOMAC](_hurd_fd_port_use_data): New.
	[! _ISOMAC](_hurd_fd_port_use_cleanup): New function.
	[! _ISOMAC](HURD_DPORT_USE_CANCEL): New.
	[! _ISOMAC](HURD_FD_PORT_USE_CANCEL): New.
	* sysdeps/hurd/include/hurd/port.h: Modified.
	[! _ISOMAC](_hurd_port_use_data): New.
	[! _ISOMAC](_hurd_port_use_cleanup): New function.
	[! _ISOMAC](HURD_PORT_USE_CANCEL): New.
	* sysdeps/mach/hurd/recv.c: Modified.
	(__recv): Modified function.
	* sysdeps/mach/hurd/recvfrom.c: Modified.
	(__recvfrom): Modified function.
	* sysdeps/mach/hurd/recvmsg.c: Modified.
	(__libc_recvmsg): Modified function.
	* sysdeps/mach/hurd/send.c: Modified.
	(__send): Modified function.
	* sysdeps/mach/hurd/sendmsg.c: Modified.
	(__libc_sendmsg): Modified function.
	* sysdeps/mach/hurd/sendto.c: Modified.
	(__sendto): Modified function.

2020-06-28  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 6414eef6e013f46ee94d5f961af15659e1933182
	htl: Move cleanup handling to non-private libc-lock

	* sysdeps/htl/libc-lock.h: New file.
	* sysdeps/htl/libc-lockP.h: Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): Remove.
	(libc-lock.h): Remove include.
	(__libc_cleanup_region_start): Remove.
	(__libc_cleanup_region_end): Remove.
	(__libc_cleanup_end): Remove.

2020-06-28  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: cf2c8cc2c674dd6c1145c6984121ea4754b79162
	htl: Fix includes for lockfile

	* sysdeps/htl/flockfile.c: Modified.
	(libc-lock.h): Remove include.
	(libc-lockP.h): Include file.
	* sysdeps/htl/ftrylockfile.c: Modified.
	(errno.h): Remove include.
	(pthread.h): Remove include.
	(stdio-lock.h): Remove include.
	(libc-lockP.h): Include file.
	* sysdeps/htl/funlockfile.c: Modified.
	(pthread.h): Remove include.
	(stdio-lock.h): Remove include.
	(libc-lockP.h): Include file.

2020-06-27  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 726117e01b59b129d471304fec4bf78fa280ff9e
	htl: avoid cancelling threads inside critical sections

	* sysdeps/mach/hurd/htl/pt-docancel.c: Modified.
	(__pthread_do_cancel): Modified function.
	(hurd/signal.h): Include file.

2020-06-26  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: b9ca3f3efb4659cadf4b0b81308ce9d45de61e0b
	tst-cancel4-common.c: fix calling socketpair

	* nptl/tst-cancel4-common.c: Modified.
	(do_test): Modified function.

2020-06-26  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 4fdd4d41a17dda26c854ed935658154a17d4b906
	x86: Detect Intel Advanced Matrix Extensions

	* sysdeps/x86/cpu-features.c: Modified.
	(get_common_indices): Modified function.
	* sysdeps/x86/cpu-features.h: Modified.
	(bit_arch_AMX_BF16_Usable): New.
	(bit_arch_AMX_TILE_Usable): New.
	(bit_arch_AMX_INT8_Usable): New.
	(index_arch_AMX_BF16_Usable): New.
	(index_arch_AMX_TILE_Usable): New.
	(index_arch_AMX_INT8_Usable): New.
	(feature_AMX_BF16_Usable): New.
	(feature_AMX_TILE_Usable): New.
	(feature_AMX_INT8_Usable): New.
	(bit_cpu_AMX_BF16): New.
	(bit_cpu_AMX_TILE): New.
	(bit_cpu_AMX_INT8): New.
	(index_cpu_AMX_BF16): New.
	(index_cpu_AMX_TILE): New.
	(index_cpu_AMX_INT8): New.
	(reg_AMX_BF16): New.
	(reg_AMX_TILE): New.
	(reg_AMX_INT8): New.
	(bit_XTILECFG_state): New.
	(bit_XTILEDATA_state): New.
	* sysdeps/x86/tst-get-cpu-features.c: Modified.
	(do_test): Modified function.

2020-06-26  Mike FABIAN  <mfabian@redhat.com>

	COMMIT: 6e540caa21616d5ec5511fafb22819204525138e
	Set width of JUNGSEONG/JONGSEONG characters from UD7B0 to UD7FB to 0 [BZ #26120]

	* localedata/charmaps/UTF-8: Modified.
	* localedata/locales/i18n_ctype: Modified.
	* localedata/locales/tr_TR: Modified.
	* localedata/locales/translit_circle: Modified.
	* localedata/locales/translit_cjk_compat: Modified.
	* localedata/locales/translit_combining: Modified.
	* localedata/locales/translit_compat: Modified.
	* localedata/locales/translit_font: Modified.
	* localedata/locales/translit_fraction: Modified.
	* localedata/unicode-gen/utf8_gen.py: Modified.

2020-06-26  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 1d21fb1061cbeb50414a8f371abb36548d90f150
	S390: Optimize __memset_z196.

	* sysdeps/s390/memset-z900.S: Modified.

2020-06-26  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 0792c8ae1aebf538de45ff9a0e2e401a60525de2
	S390: Optimize __memcpy_z196.

	* sysdeps/s390/memcpy-z900.S: Modified.

2020-06-25  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 2034c70e64b31e48140c8e31c5ae839af5ccb6eb
	elf: Include <stddef.h> (for size_t), <sys/stat.h> in <ldconfig.h>

	* sysdeps/generic/ldconfig.h: Modified.
	(stddef.h): Include file.
	(sys/stat.h): Include file.

2020-06-25  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 087942251f26d5fd5802b8d14e47d460263a0c4d
	nptl: Don't madvise user provided stack

	* nptl/pthread_create.c: Modified.
	(advise_stack_range): Remove.
	(if): Modified.
	(if): Modified.
	(if): Modified.
	(if): New function.

2020-06-24  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: f6b955e8ba4f0bcc7b9dafa64406d3b40edfa107
	S390: Regenerate ULPs.

	* sysdeps/s390/fpu/libm-test-ulps: Modified.

2020-06-24  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 1fb7dc751edc462f6954b9c16dd126bf48a1df18
	htl: Add wrapper header for <semaphore.h> with hidden __sem_post

	* sysdeps/htl/include/semaphore.h: New file.
	* sysdeps/htl/sem-post.c: Modified.
	(libpthread_hidden_def): New.
	* sysdeps/htl/sem-timedwait.c: Modified.
	(__sem_timedwait_internal): Modified function.

2020-06-24  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 6f3331f26d2ee5d210ba768389828c391750f7a0
	elf: Include <stdbool.h> in <dl-tunables.h> because bool is used

	* elf/dl-tunables.h: Modified.
	(stdbool.h): Include file.

2020-06-24  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 1b90d52df96c4f768570e148c33bc9c2db53373d
	htl: Fix case when sem_*wait is canceled while holding a token

	* sysdeps/htl/sem-timedwait.c: Modified.
	(cancel_ctx): Modified.
	(cancel_hook): Modified function.
	(__sem_timedwait_internal): Modified function.

2020-06-24  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: eca16db02d660242e709d4b8a11a2c5b94cca540
	htl: Make sem_*wait cancellations points

	* nptl/Makefile: Modified.
	* sysdeps/htl/sem-timedwait.c: Modified.
	(__sem_timedwait_internal): Modified function.
	(cancel_ctx): New.
	(cancel_hook): New function.
	* sysdeps/pthread/Makefile: Modified.
	* nptl/tst-cancel13.c: Move to...
	* sysdeps/pthread/tst-cancel13.c: ... here.
	* nptl/tst-cancelx13.c: Move to...
	* sysdeps/pthread/tst-cancelx13.c: ... here.

2020-06-24  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 3513d5af3d111f322cf2b64f2c7d415ea923bf25
	htl: Simplify non-cancel path of __pthread_cond_timedwait_internal

	* sysdeps/htl/pt-cond-timedwait.c: Modified.
	(__pthread_cond_timedwait_internal): Modified function.

2020-06-24  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 9f6e508b4270093607676361e68dfd7a0bf91492
	htl: Enable tst-cancel25 test

	* nptl/Makefile: Modified.
	* sysdeps/pthread/Makefile: Modified.
	* nptl/tst-cancel25.c: Move to...
	* sysdeps/pthread/tst-cancel25.c: ... here.
	(tf2): Modified function.

2020-06-23  Tulio Magno Quites Machado Filho  <tuliom@linux.ibm.com>

	COMMIT: ae725e3f9cb4e1eb825ebe1d55241c98c2ea32f1
	powerpc: Add new hwcap values

	* sysdeps/powerpc/bits/hwcap.h: Modified.
	(PPC_FEATURE2_ARCH_3_1): New.
	(PPC_FEATURE2_MMA): New.
	* sysdeps/powerpc/dl-procinfo.c: Modified.

2020-06-23  Alex Butler  <Alex.Butler@arm.com>
            Branislav Rankov  <branislav.rankov@arm.com>
            Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 03e1378f94173fc192a81e421457198f7b8a34a0
	aarch64: MTE compatible strncmp

	* sysdeps/aarch64/strncmp.S: Modified.

2020-06-23  Alex Butler  <Alex.Butler@arm.com>
            Branislav Rankov  <branislav.rankov@arm.com>
            Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: adac54ffc5ded48cba7deb18e46df984b213b0ac
	aarch64: MTE compatible strcmp

	* sysdeps/aarch64/strcmp.S: Modified.

2020-06-23  Alex Butler  <Alex.Butler@arm.com>
            Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 79160c06c7b74672c7f7368355ca0b59103b2d30
	aarch64: MTE compatible strrchr

	* sysdeps/aarch64/strrchr.S: Modified.

2020-06-23  Alex Butler  <Alex.Butler@arm.com>
            Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: df06b0d90f3aa5a4702aa7d6772665e2228a0915
	aarch64: MTE compatible memrchr

	* sysdeps/aarch64/memrchr.S: Modified.

2020-06-23  Alex Butler  <Alex.Butler@arm.com>
            Gabor Kertesz  <gabor.kertesz@arm.com>

	COMMIT: 7ff899969fbff7f254c0ffabb4480afe1ccbfa22
	aarch64: MTE compatible memchr

	* sysdeps/aarch64/memchr.S: Modified.

2020-06-23  Alex Butler  <Alex.Butler@arm.com>
            Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: bb2c12aecbd26a8d29f63b51b80b7c84e65d1818
	aarch64: MTE compatible strcpy

	* sysdeps/aarch64/strcpy.S: Modified.

2020-06-23  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 8ec13b46395a7075d3f01e9d0a65b4bee0adbfca
	Add MREMAP_DONTUNMAP from Linux 5.7

	* sysdeps/unix/sysv/linux/bits/mman-shared.h: Modified.
	[__USE_GNU](MREMAP_DONTUNMAP): New.

2020-06-22  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: ecbbadbf107ea1155ae5b71a8b7bd48f38c76731
	x86: Update CPU feature detection [BZ #26149]

	* sysdeps/unix/sysv/linux/x86_64/64/dl-librecon.h: Modified.
	(EXTRA_LD_ENVVARS): Modified.
	* sysdeps/x86/cpu-features.c: Modified.
	(get_common_indices): Modified function.
	(init_cpu_features): Modified function.
	* sysdeps/x86/cpu-features.h: Modified.
	(<anoymous>): Modified.
	(<anoymous>): Modified.
	(cpu_features): Modified.
	(CPU_FEATURES_ARCH_P): Modified.
	(CPU_FEATURE_USABLE): Modified.
	(index_arch_AVX_Usable): Modified.
	(index_arch_AVX2_Usable): Modified.
	(index_arch_AVX512F_Usable): Modified.
	(index_arch_AVX512CD_Usable): Modified.
	(index_arch_AVX512ER_Usable): Modified.
	(index_arch_AVX512PF_Usable): Modified.
	(index_arch_AVX512VL_Usable): Modified.
	(index_arch_AVX512BW_Usable): Modified.
	(index_arch_AVX512DQ_Usable): Modified.
	(index_arch_AVX512_4FMAPS_Usable): Modified.
	(index_arch_AVX512_4VNNIW_Usable): Modified.
	(index_arch_AVX512_BITALG_Usable): Modified.
	(index_arch_AVX512_IFMA_Usable): Modified.
	(index_arch_AVX512_VBMI_Usable): Modified.
	(index_arch_AVX512_VBMI2_Usable): Modified.
	(index_arch_AVX512_VNNI_Usable): Modified.
	(index_arch_AVX512_VPOPCNTDQ_Usable): Modified.
	(index_arch_FMA_Usable): Modified.
	(index_arch_FMA4_Usable): Modified.
	(index_arch_VAES_Usable): Modified.
	(index_arch_VPCLMULQDQ_Usable): Modified.
	(index_arch_XOP_Usable): Modified.
	(index_arch_XSAVEC_Usable): Modified.
	(index_arch_F16C_Usable): Modified.
	(bit_arch_SSE3_Usable): Remove.
	(bit_arch_PCLMULQDQ_Usable): Remove.
	(bit_arch_SSSE3_Usable): Remove.
	(bit_arch_CMPXCHG16B_Usable): Remove.
	(bit_arch_SSE4_1_Usable): Remove.
	(bit_arch_SSE4_2_Usable): Remove.
	(bit_arch_MOVBE_Usable): Remove.
	(bit_arch_POPCNT_Usable): Remove.
	(bit_arch_AES_Usable): Remove.
	(bit_arch_XSAVE_Usable): Remove.
	(bit_arch_OSXSAVE_Usable): Remove.
	(bit_arch_RDRAND_Usable): Remove.
	(bit_arch_FPU_Usable): Remove.
	(bit_arch_TSC_Usable): Remove.
	(bit_arch_MSR_Usable): Remove.
	(bit_arch_CX8_Usable): Remove.
	(bit_arch_SEP_Usable): Remove.
	(bit_arch_CMOV_Usable): Remove.
	(bit_arch_CLFSH_Usable): Remove.
	(bit_arch_MMX_Usable): Remove.
	(bit_arch_FXSR_Usable): Remove.
	(bit_arch_SSE_Usable): Remove.
	(bit_arch_SSE2_Usable): Remove.
	(bit_arch_FSGSBASE_Usable): Remove.
	(bit_arch_BMI1_Usable): Remove.
	(bit_arch_HLE_Usable): Remove.
	(bit_arch_BMI2_Usable): Remove.
	(bit_arch_ERMS_Usable): Remove.
	(bit_arch_RTM_Usable): Remove.
	(bit_arch_RDSEED_Usable): Remove.
	(bit_arch_ADX_Usable): Remove.
	(bit_arch_CLFLUSHOPT_Usable): Remove.
	(bit_arch_CLWB_Usable): Remove.
	(bit_arch_SHA_Usable): Remove.
	(bit_arch_PREFETCHWT1_Usable): Remove.
	(bit_arch_GFNI_Usable): Remove.
	(bit_arch_RDPID_Usable): Remove.
	(bit_arch_CLDEMOTE_Usable): Remove.
	(bit_arch_MOVDIRI_Usable): Remove.
	(bit_arch_MOVDIR64B_Usable): Remove.
	(bit_arch_FSRM_Usable): Remove.
	(bit_arch_LAHF64_SAHF64_Usable): Remove.
	(bit_arch_SVM_Usable): Remove.
	(bit_arch_LZCNT_Usable): Remove.
	(bit_arch_SSE4A_Usable): Remove.
	(bit_arch_PREFETCHW_Usable): Remove.
	(bit_arch_TBM_Usable): Remove.
	(bit_arch_SYSCALL_SYSRET_Usable): Remove.
	(bit_arch_RDTSCP_Usable): Remove.
	(bit_arch_XSAVEOPT_Usable): Remove.
	(bit_arch_XGETBV_ECX_1_Usable): Remove.
	(bit_arch_XSAVES_Usable): Remove.
	(bit_arch_INVARIANT_TSC_Usable): Remove.
	(bit_arch_WBNOINVD_Usable): Remove.
	(index_arch_SSE3_Usable): Remove.
	(index_arch_PCLMULQDQ_Usable): Remove.
	(index_arch_SSSE3_Usable): Remove.
	(index_arch_CMPXCHG16B_Usable): Remove.
	(index_arch_SSE4_1_Usable): Remove.
	(index_arch_SSE4_2_Usable): Remove.
	(index_arch_MOVBE_Usable): Remove.
	(index_arch_POPCNT_Usable): Remove.
	(index_arch_AES_Usable): Remove.
	(index_arch_XSAVE_Usable): Remove.
	(index_arch_OSXSAVE_Usable): Remove.
	(index_arch_RDRAND_Usable): Remove.
	(index_arch_FPU_Usable): Remove.
	(index_arch_TSC_Usable): Remove.
	(index_arch_MSR_Usable): Remove.
	(index_arch_CX8_Usable): Remove.
	(index_arch_SEP_Usable): Remove.
	(index_arch_CMOV_Usable): Remove.
	(index_arch_CLFSH_Usable): Remove.
	(index_arch_MMX_Usable): Remove.
	(index_arch_FXSR_Usable): Remove.
	(index_arch_SSE_Usable): Remove.
	(index_arch_SSE2_Usable): Remove.
	(index_arch_FSGSBASE_Usable): Remove.
	(index_arch_BMI1_Usable): Remove.
	(index_arch_HLE_Usable): Remove.
	(index_arch_BMI2_Usable): Remove.
	(index_arch_ERMS_Usable): Remove.
	(index_arch_RTM_Usable): Remove.
	(index_arch_RDSEED_Usable): Remove.
	(index_arch_ADX_Usable): Remove.
	(index_arch_CLFLUSHOPT_Usable): Remove.
	(index_arch_CLWB_Usable): Remove.
	(index_arch_SHA_Usable): Remove.
	(index_arch_PREFETCHWT1_Usable): Remove.
	(index_arch_GFNI_Usable): Remove.
	(index_arch_RDPID_Usable): Remove.
	(index_arch_CLDEMOTE_Usable): Remove.
	(index_arch_MOVDIRI_Usable): Remove.
	(index_arch_MOVDIR64B_Usable): Remove.
	(index_arch_FSRM_Usable): Remove.
	(index_arch_LAHF64_SAHF64_Usable): Remove.
	(index_arch_LZCNT_Usable): Remove.
	(index_arch_SSE4A_Usable): Remove.
	(index_arch_PREFETCHW_Usable): Remove.
	(index_arch_TBM_Usable): Remove.
	(index_arch_SYSCALL_SYSRET_Usable): Remove.
	(index_arch_RDTSCP_Usable): Remove.
	(index_arch_XSAVEOPT_Usable): Remove.
	(index_arch_XGETBV_ECX_1_Usable): Remove.
	(index_arch_XSAVES_Usable): Remove.
	(index_arch_INVARIANT_TSC_Usable): Remove.
	(index_arch_WBNOINVD_Usable): Remove.
	(need_arch_feature_SSE3): Remove.
	(need_arch_feature_PCLMULQDQ): Remove.
	(need_arch_feature_SSSE3): Remove.
	(need_arch_feature_FMA): Remove.
	(need_arch_feature_CMPXCHG16B): Remove.
	(need_arch_feature_SSE4_1): Remove.
	(need_arch_feature_SSE4_2): Remove.
	(need_arch_feature_MOVBE): Remove.
	(need_arch_feature_POPCNT): Remove.
	(need_arch_feature_AES): Remove.
	(need_arch_feature_XSAVE): Remove.
	(need_arch_feature_OSXSAVE): Remove.
	(need_arch_feature_AVX): Remove.
	(need_arch_feature_F16C): Remove.
	(need_arch_feature_RDRAND): Remove.
	(need_arch_feature_FPU): Remove.
	(need_arch_feature_TSC): Remove.
	(need_arch_feature_MSR): Remove.
	(need_arch_feature_CX8): Remove.
	(need_arch_feature_SEP): Remove.
	(need_arch_feature_CMOV): Remove.
	(need_arch_feature_CLFSH): Remove.
	(need_arch_feature_MMX): Remove.
	(need_arch_feature_FXSR): Remove.
	(need_arch_feature_SSE): Remove.
	(need_arch_feature_SSE2): Remove.
	(need_arch_feature_FSGSBASE): Remove.
	(need_arch_feature_BMI1): Remove.
	(need_arch_feature_HLE): Remove.
	(need_arch_feature_AVX2): Remove.
	(need_arch_feature_BMI2): Remove.
	(need_arch_feature_ERMS): Remove.
	(need_arch_feature_RTM): Remove.
	(need_arch_feature_AVX512F): Remove.
	(need_arch_feature_AVX512DQ): Remove.
	(need_arch_feature_RDSEED): Remove.
	(need_arch_feature_ADX): Remove.
	(need_arch_feature_AVX512_IFMA): Remove.
	(need_arch_feature_CLFLUSHOPT): Remove.
	(need_arch_feature_CLWB): Remove.
	(need_arch_feature_AVX512PF): Remove.
	(need_arch_feature_AVX512ER): Remove.
	(need_arch_feature_AVX512CD): Remove.
	(need_arch_feature_SHA): Remove.
	(need_arch_feature_AVX512BW): Remove.
	(need_arch_feature_AVX512VL): Remove.
	(need_arch_feature_PREFETCHWT1): Remove.
	(need_arch_feature_AVX512_VBMI): Remove.
	(need_arch_feature_AVX512_VBMI2): Remove.
	(need_arch_feature_GFNI): Remove.
	(need_arch_feature_VAES): Remove.
	(need_arch_feature_VPCLMULQDQ): Remove.
	(need_arch_feature_AVX512_VNNI): Remove.
	(need_arch_feature_AVX512_BITALG): Remove.
	(need_arch_feature_AVX512_VPOPCNTDQ): Remove.
	(need_arch_feature_RDPID): Remove.
	(need_arch_feature_CLDEMOTE): Remove.
	(need_arch_feature_MOVDIRI): Remove.
	(need_arch_feature_MOVDIR64B): Remove.
	(need_arch_feature_AVX512_4VNNIW): Remove.
	(need_arch_feature_AVX512_4FMAPS): Remove.
	(need_arch_feature_FSRM): Remove.
	(need_arch_feature_LAHF64_SAHF64): Remove.
	(need_arch_feature_LZCNT): Remove.
	(need_arch_feature_SSE4A): Remove.
	(need_arch_feature_PREFETCHW): Remove.
	(need_arch_feature_XOP): Remove.
	(need_arch_feature_FMA4): Remove.
	(need_arch_feature_TBM): Remove.
	(need_arch_feature_SYSCALL_SYSRET): Remove.
	(need_arch_feature_RDTSCP): Remove.
	(need_arch_feature_XSAVEOPT): Remove.
	(need_arch_feature_XSAVEC): Remove.
	(need_arch_feature_XGETBV_ECX_1): Remove.
	(need_arch_feature_XSAVES): Remove.
	(need_arch_feature_INVARIANT_TSC): Remove.
	(need_arch_feature_WBNOINVD): Remove.
	(bit_cpu_CAPABILITIES): Remove.
	(index_cpu_CAPABILITIES): Remove.
	(reg_CAPABILITIES): Remove.
	(index_arch_Fast_Rep_String): Modified.
	(index_arch_Fast_Copy_Backward): Modified.
	(index_arch_Slow_BSF): Modified.
	(index_arch_Fast_Unaligned_Load): Modified.
	(index_arch_Prefer_PMINUB_for_stringop): Modified.
	(index_arch_Fast_Unaligned_Copy): Modified.
	(index_arch_I586): Modified.
	(index_arch_I686): Modified.
	(index_arch_Slow_SSE4_2): Modified.
	(index_arch_AVX_Fast_Unaligned_Load): Modified.
	(index_arch_Prefer_MAP_32BIT_EXEC): Modified.
	(index_arch_Prefer_No_VZEROUPPER): Modified.
	(index_arch_Prefer_ERMS): Modified.
	(index_arch_Prefer_No_AVX512): Modified.
	(index_arch_MathVec_Prefer_No_AVX512): Modified.
	(index_arch_Prefer_FSRM): Modified.
	(<anoymous>): New.
	(bit_arch_AVX512_VP2INTERSECT_Usable): New.
	(bit_arch_AVX512_BF16_Usable): New.
	(bit_arch_PKU_Usable): New.
	(index_arch_AVX512_VP2INTERSECT_Usable): New.
	(index_arch_AVX512_BF16_Usable): New.
	(index_arch_PKU_Usable): New.
	(feature_AVX_Usable): New.
	(feature_AVX2_Usable): New.
	(feature_AVX512F_Usable): New.
	(feature_AVX512CD_Usable): New.
	(feature_AVX512ER_Usable): New.
	(feature_AVX512PF_Usable): New.
	(feature_AVX512VL_Usable): New.
	(feature_AVX512BW_Usable): New.
	(feature_AVX512DQ_Usable): New.
	(feature_AVX512_4FMAPS_Usable): New.
	(feature_AVX512_4VNNIW_Usable): New.
	(feature_AVX512_BITALG_Usable): New.
	(feature_AVX512_IFMA_Usable): New.
	(feature_AVX512_VBMI_Usable): New.
	(feature_AVX512_VBMI2_Usable): New.
	(feature_AVX512_VNNI_Usable): New.
	(feature_AVX512_VPOPCNTDQ_Usable): New.
	(feature_FMA_Usable): New.
	(feature_FMA4_Usable): New.
	(feature_VAES_Usable): New.
	(feature_VPCLMULQDQ_Usable): New.
	(feature_XOP_Usable): New.
	(feature_XSAVEC_Usable): New.
	(feature_F16C_Usable): New.
	(feature_AVX512_VP2INTERSECT_Usable): New.
	(feature_AVX512_BF16_Usable): New.
	(feature_PKU_Usable): New.
	(bit_cpu_ENQCMD): New.
	(bit_cpu_PKS): New.
	(bit_cpu_AVX512_VP2INTERSECT): New.
	(bit_cpu_MD_CLEAR): New.
	(bit_cpu_SERIALIZE): New.
	(bit_cpu_HYBRID): New.
	(bit_cpu_TSXLDTRK): New.
	(bit_cpu_L1D_FLUSH): New.
	(bit_cpu_ARCH_CAPABILITIES): New.
	(bit_cpu_CORE_CAPABILITIES): New.
	(bit_cpu_AVX512_BF16): New.
	(index_cpu_ENQCMD): New.
	(index_cpu_PKS): New.
	(index_cpu_AVX512_VP2INTERSECT): New.
	(index_cpu_MD_CLEAR): New.
	(index_cpu_SERIALIZE): New.
	(index_cpu_HYBRID): New.
	(index_cpu_TSXLDTRK): New.
	(index_cpu_L1D_FLUSH): New.
	(index_cpu_ARCH_CAPABILITIES): New.
	(index_cpu_CORE_CAPABILITIES): New.
	(index_cpu_AVX512_BF16): New.
	(reg_ENQCMD): New.
	(reg_PKS): New.
	(reg_AVX512_VP2INTERSECT): New.
	(reg_MD_CLEAR): New.
	(reg_SERIALIZE): New.
	(reg_HYBRID): New.
	(reg_TSXLDTRK): New.
	(reg_L1D_FLUSH): New.
	(reg_ARCH_CAPABILITIES): New.
	(reg_CORE_CAPABILITIES): New.
	(reg_AVX512_BF16): New.
	(feature_Fast_Rep_String): New.
	(feature_Fast_Copy_Backward): New.
	(feature_Slow_BSF): New.
	(feature_Fast_Unaligned_Load): New.
	(feature_Prefer_PMINUB_for_stringop): New.
	(feature_Fast_Unaligned_Copy): New.
	(feature_I586): New.
	(feature_I686): New.
	(feature_Slow_SSE4_2): New.
	(feature_AVX_Fast_Unaligned_Load): New.
	(feature_Prefer_MAP_32BIT_EXEC): New.
	(feature_Prefer_No_VZEROUPPER): New.
	(feature_Prefer_ERMS): New.
	(feature_Prefer_No_AVX512): New.
	(feature_MathVec_Prefer_No_AVX512): New.
	(feature_Prefer_FSRM): New.
	* sysdeps/x86/cpu-tunables.c: Modified.
	(CHECK_GLIBC_IFUNC_ARCH_OFF): Modified.
	(CHECK_GLIBC_IFUNC_ARCH_BOTH): Modified.
	(CHECK_GLIBC_IFUNC_ARCH_NEED_ARCH_BOTH): Modified.
	(CHECK_GLIBC_IFUNC_ARCH_NEED_CPU_BOTH): Modified.
	* sysdeps/x86/tst-get-cpu-features.c: Modified.
	(do_test): Modified function.

2020-06-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: ea04f0213135b13d80f568ca2c4127c2ec112537
	aarch64: Remove fpu Makefile

	* sysdeps/aarch64/fpu/Makefile: Delete file.

2020-06-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 9f21672b8988ca3a95689f99eee6b485e9263da4
	m68k: Use sqrt{f} builtin for coldfire

	* sysdeps/m68k/coldfire/fpu/e_sqrt.c: Delete file.
	* sysdeps/m68k/coldfire/fpu/e_sqrtf.c: Delete file.
	* sysdeps/m68k/coldfire/fpu/math-use-builtins-sqrt.h: New file.

2020-06-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: cbf3571f49134388bc589b74445b5d6bdd21ef02
	arm: Use sqrt{f} builtin

	* sysdeps/arm/e_sqrt.c: Delete file.
	* sysdeps/arm/e_sqrtf.c: Delete file.
	* sysdeps/arm/math-use-builtins-sqrt.h: New file.

2020-06-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 9dbb3fdfb788129d20a7d456be94157f31f38800
	riscv: Use sqrt{f} builtin

	* sysdeps/riscv/rvd/e_sqrt.c: Delete file.
	* sysdeps/riscv/rvd/math-use-builtins-sqrt.h: New file.
	* sysdeps/riscv/rvf/e_sqrtf.c: Delete file.

2020-06-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 3ca05a8e9e8f13d93bd27ceb998075bdcd63d9f9
	s390: Use sqrt{f} builtin

	* sysdeps/s390/fpu/e_sqrt.c: Delete file.
	* sysdeps/s390/fpu/e_sqrtf.c: Delete file.
	* sysdeps/s390/fpu/math-use-builtins-sqrt.h: New file.

2020-06-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: c9a30f08e145c4d48af331923f471eeaa22e520f
	sparc: Use sqrt{f} builtin

	* sysdeps/sparc/fpu/math-use-builtins-sqrt.h: New file.
	* sysdeps/sparc/sparc32/e_sqrt.c: Delete file.

2020-06-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 32c65b28f37fc6c328685e252f301ed34e3d5dfc
	mips: Use sqrt{f} builtin

	* sysdeps/mips/fpu/e_sqrt.c: Delete file.
	* sysdeps/mips/fpu/e_sqrtf.c: Delete file.
	* sysdeps/mips/fpu/math-use-builtins-sqrt.h: New file.
	* sysdeps/mips/mips32/fpu/e_sqrt.c: Delete file.
	* sysdeps/mips/mips32/fpu/e_sqrtf.c: Delete file.
	* sysdeps/mips/mips64/n32/fpu/e_sqrt.c: Delete file.
	* sysdeps/mips/mips64/n32/fpu/e_sqrtf.c: Delete file.
	* sysdeps/mips/mips64/n64/fpu/e_sqrt.c: Delete file.
	* sysdeps/mips/mips64/n64/fpu/e_sqrtf.c: Delete file.

2020-06-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 8a7923b57e70ea500815d666e82156d291aa11fd
	alpha: Use builtin sqrt{f}

	* sysdeps/alpha/alphaev6/fpu/e_sqrt.S: Delete file.
	* sysdeps/alpha/alphaev6/fpu/e_sqrtf.S: Delete file.
	* sysdeps/alpha/fpu/e_sqrt.c: Modified.
	[! _IEEE_FP_INEXACT][!(SHLIB_COMPAT (libm, GLIBC_2_15, GLIBC_2_18))](__sqrt_finite): Remove.
	[! _IEEE_FP_INEXACT][SHLIB_COMPAT (libm, GLIBC_2_15, GLIBC_2_18)](__sqrt_dummy): Remove.
	[! _IEEE_FP_INEXACT](sqrt_data_struct): Remove.
	[! _IEEE_FP_INEXACT](DN): Remove.
	[! _IEEE_FP_INEXACT](__attribute_used__): Remove.
	[! _IEEE_FP_INEXACT](__ieee754_sqrt): Remove.
	[SHLIB_COMPAT (libm, GLIBC_2_15, GLIBC_2_18)](strong_alias): Remove.
	[SHLIB_COMPAT (libm, GLIBC_2_15, GLIBC_2_18)](__ieee754_sqrt): Remove.
	[SHLIB_COMPAT (libm, GLIBC_2_15, GLIBC_2_18)](compat_symbol): Remove.
	[SHLIB_COMPAT (libm, GLIBC_2_18, GLIBC_2_31)](compat_symbol): Modified.
	[SHLIB_COMPAT (libm, GLIBC_2_18, GLIBC_2_31)](strong_alias): New.
	(math.h): Remove include.
	(math_private.h): Remove include.
	(__ieee754_sqrt): Remove.
	* sysdeps/alpha/fpu/e_sqrtf.c: Modified.
	[SHLIB_COMPAT (libm, GLIBC_2_15, GLIBC_2_18)](strong_alias): Remove.
	[SHLIB_COMPAT (libm, GLIBC_2_15, GLIBC_2_18)](compat_symbol): Remove.
	[SHLIB_COMPAT (libm, GLIBC_2_18, GLIBC_2_31)](compat_symbol): Modified.
	[SHLIB_COMPAT (libm, GLIBC_2_18, GLIBC_2_31)](strong_alias): New.
	(__ieee754_sqrtf): Remove.
	* sysdeps/alpha/fpu/math-use-builtins-sqrt.h: New file.

2020-06-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: b24381e50f0f8aee1e39bf86ebcbe962b70a9247
	i386: Use builtin sqrtl

	* sysdeps/i386/fpu/e_sqrtl.c: Delete file.
	* sysdeps/x86_64/fpu/e_sqrtl.c: Move to...
	* sysdeps/x86/fpu/e_sqrtl.c: ... here.

2020-06-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: d19d25dd063af97ff04b2cb1db967a646b150332
	x86_64: Use builtin sqrt{f,l}

	* sysdeps/x86_64/fpu/e_sqrt.c: Delete file.
	* sysdeps/x86_64/fpu/e_sqrtf.c: Delete file.
	* sysdeps/x86_64/fpu/e_sqrtl.c: Modified.
	(sysdeps/i386/fpu/e_sqrtl.c): Remove include.
	(math.h): Include file.
	(libm-alias-finite.h): Include file.
	(__ieee754_sqrtl): New function.
	* sysdeps/x86_64/fpu/math-use-builtins-sqrt.h: New file.

2020-06-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 169ea8f928fc04a2824f67b2f69b6355a00153b2
	powerpc: Use sqrt{f} builtin

	* sysdeps/powerpc/fpu/e_sqrt.c: Modified.
	[! _ARCH_PPCSQ](almost_half): Remove.
	[! _ARCH_PPCSQ](a_nan): Remove.
	[! _ARCH_PPCSQ](a_inf): Remove.
	[! _ARCH_PPCSQ](two108): Remove.
	[! _ARCH_PPCSQ](twom54): Remove.
	[! _ARCH_PPCSQ](__t_sqrt): Remove.
	[! _ARCH_PPCSQ](__slow_ieee754_sqrt): Remove.
	(fenv.h): Remove include.
	(inttypes.h): Remove include.
	(stdint.h): Remove include.
	(sysdep.h): Remove include.
	(ldsodefs.h): Remove include.
	(__ieee754_sqrt): Remove.
	(__ieee754_sqrt): Modified function.
	(math-use-builtins.h): Include file.
	* sysdeps/powerpc/fpu/e_sqrtf.c: Modified.
	[! _ARCH_PPCSQ](almost_half): Remove.
	[! _ARCH_PPCSQ](a_nan): Remove.
	[! _ARCH_PPCSQ](a_inf): Remove.
	[! _ARCH_PPCSQ](two48): Remove.
	[! _ARCH_PPCSQ](twom24): Remove.
	[! _ARCH_PPCSQ](__t_sqrt): Remove.
	[! _ARCH_PPCSQ](__slow_ieee754_sqrtf): Remove.
	(fenv.h): Remove include.
	(inttypes.h): Remove include.
	(stdint.h): Remove include.
	(sysdep.h): Remove include.
	(ldsodefs.h): Remove include.
	(__ieee754_sqrtf): Remove.
	(__ieee754_sqrtf): Modified function.
	(math-use-builtins.h): Include file.
	* sysdeps/powerpc/fpu/math-use-builtins-sqrt.h: New file.

2020-06-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: a2e833667d5de877fbc0c5a221a72c68abaa1203
	s390x: Use fma{f} builtin

	* sysdeps/s390/fpu/math-use-builtins-fma.h: New file.
	* sysdeps/s390/fpu/s_fma.c: Delete file.
	* sysdeps/s390/fpu/s_fmaf.c: Delete file.

2020-06-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 271afad8f4051c81401e4d2649f35c51345b4a1b
	aarch64: Use math-use-builtins for ceil{f}

	* sysdeps/aarch64/fpu/s_ceil.c: Delete file.
	* sysdeps/aarch64/fpu/s_ceilf.c: Delete file.

2020-06-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: e80501a5c971c13f9bd72fe7b34a83aa36ec6541
	math: Decompose math-use-builtins.h

	* sysdeps/aarch64/fpu/math-use-builtins-ceil.h: New file.
	* sysdeps/aarch64/fpu/math-use-builtins-floor.h: New file.
	* sysdeps/aarch64/fpu/math-use-builtins-fma.h: New file.
	* sysdeps/aarch64/fpu/math-use-builtins-nearbyint.h: New file.
	* sysdeps/aarch64/fpu/math-use-builtins-rint.h: New file.
	* sysdeps/aarch64/fpu/math-use-builtins-round.h: New file.
	* sysdeps/aarch64/fpu/math-use-builtins-sqrt.h: New file.
	* sysdeps/aarch64/fpu/math-use-builtins-trunc.h: New file.
	* sysdeps/aarch64/fpu/math-use-builtins.h: Delete file.
	* sysdeps/generic/math-use-builtins-ceil.h: New file.
	* sysdeps/generic/math-use-builtins-copysign.h: New file.
	* sysdeps/generic/math-use-builtins-floor.h: New file.
	* sysdeps/generic/math-use-builtins-fma.h: New file.
	* sysdeps/generic/math-use-builtins-nearbyint.h: New file.
	* sysdeps/generic/math-use-builtins-rint.h: New file.
	* sysdeps/generic/math-use-builtins-round.h: New file.
	* sysdeps/generic/math-use-builtins-sqrt.h: New file.
	* sysdeps/generic/math-use-builtins-trunc.h: New file.
	* sysdeps/generic/math-use-builtins.h: Modified.
	[!(__GNUC_PREREQ (7, 0))](USE_COPYSIGNF128_BUILTIN): Remove.
	[__GNUC_PREREQ (7, 0)](USE_COPYSIGNF128_BUILTIN): Remove.
	(USE_NEARBYINT_BUILTIN): Remove.
	(USE_NEARBYINTF_BUILTIN): Remove.
	(USE_NEARBYINTL_BUILTIN): Remove.
	(USE_NEARBYINTF128_BUILTIN): Remove.
	(USE_RINT_BUILTIN): Remove.
	(USE_RINTF_BUILTIN): Remove.
	(USE_RINTL_BUILTIN): Remove.
	(USE_RINTF128_BUILTIN): Remove.
	(USE_FLOOR_BUILTIN): Remove.
	(USE_FLOORF_BUILTIN): Remove.
	(USE_FLOORL_BUILTIN): Remove.
	(USE_FLOORF128_BUILTIN): Remove.
	(USE_CEIL_BUILTIN): Remove.
	(USE_CEILF_BUILTIN): Remove.
	(USE_CEILL_BUILTIN): Remove.
	(USE_CEILF128_BUILTIN): Remove.
	(USE_TRUNC_BUILTIN): Remove.
	(USE_TRUNCF_BUILTIN): Remove.
	(USE_TRUNCL_BUILTIN): Remove.
	(USE_TRUNCF128_BUILTIN): Remove.
	(USE_ROUND_BUILTIN): Remove.
	(USE_ROUNDF_BUILTIN): Remove.
	(USE_ROUNDL_BUILTIN): Remove.
	(USE_ROUNDF128_BUILTIN): Remove.
	(USE_COPYSIGNL_BUILTIN): Remove.
	(USE_SQRT_BUILTIN): Remove.
	(USE_SQRTF_BUILTIN): Remove.
	(USE_FMA_BUILTIN): Remove.
	(USE_FMAF_BUILTIN): Remove.
	(USE_FMAL_BUILTIN): Remove.
	(USE_FMAF128_BUILTIN): Remove.
	(math-use-builtins-nearbyint.h): Include file.
	(math-use-builtins-rint.h): Include file.
	(math-use-builtins-floor.h): Include file.
	(math-use-builtins-ceil.h): Include file.
	(math-use-builtins-trunc.h): Include file.
	(math-use-builtins-round.h): Include file.
	(math-use-builtins-copysign.h): Include file.
	(math-use-builtins-sqrt.h): Include file.
	(math-use-builtins-fma.h): Include file.
	* sysdeps/powerpc/fpu/math-use-builtins-fma.h: New file.
	* sysdeps/powerpc/fpu/math-use-builtins.h: Delete file.
	* sysdeps/s390/fpu/math-use-builtins-ceil.h: New file.
	* sysdeps/s390/fpu/math-use-builtins-floor.h: New file.
	* sysdeps/s390/fpu/math-use-builtins-nearbyint.h: New file.
	* sysdeps/s390/fpu/math-use-builtins-rint.h: New file.
	* sysdeps/s390/fpu/math-use-builtins-round.h: New file.
	* sysdeps/s390/fpu/math-use-builtins-trunc.h: New file.
	* sysdeps/s390/fpu/math-use-builtins.h: Delete file.

2020-06-20  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: c013d5d3aae97c09e10c7b73a72af6086e6e1b98
	hurd: Add mremap

	* sysdeps/mach/hurd/Makefile: Modified.
	* sysdeps/mach/hurd/Versions: Modified.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/mach/hurd/mremap.c: New file.

2020-06-19  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 3297d019e108aa9d16fc5a6a5aee0854f377f289
	ia64: Use generic exp10f

	* sysdeps/ia64/fpu/e_exp10f.S: Delete file.
	* sysdeps/ia64/fpu/e_exp10f.c: New file.
	* sysdeps/ia64/fpu/e_exp2f_data.c: Delete file.
	* sysdeps/ia64/fpu/libm-test-ulps: Modified.
	* sysdeps/ia64/fpu/math_errf.c: Delete file.
	* sysdeps/ia64/fpu/w_exp10f.c: Delete file.
	* sysdeps/ia64/fpu/w_exp10f_compat.c: Delete file.

2020-06-19  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: be668a8d782ab6bf363d4cdd7086295b5eebb8ea
	New exp10f version without SVID compat wrapper

	* math/Versions: Modified.
	* math/w_exp10f.c: New file.
	* math/w_exp10f_compat.c: Modified.
	[LIBM_SVID_COMPAT][SHLIB_COMPAT (libm, GLIBC_2_1, GLIBC_2_27)](libm_alias_float): Remove.
	[LIBM_SVID_COMPAT][SHLIB_COMPAT (libm, GLIBC_2_1, GLIBC_2_27)](strong_alias): New.
	[LIBM_SVID_COMPAT][SHLIB_COMPAT (libm, GLIBC_2_1, GLIBC_2_27)](compat_symbol): New function.
	[LIBM_SVID_COMPAT](__exp10f): Remove function.
	[LIBM_SVID_COMPAT](__exp10f_compat): New function.
	[LIBM_SVID_COMPAT](compat_symbol): New function.
	* sysdeps/ia64/fpu/e_exp10f.S: Modified.
	* sysdeps/ieee754/flt-32/e_exp10f.c: Modified.
	(__ieee754_exp10f): Remove function.
	[! __exp10f][!LIBM_SVID_COMPAT](EXP10F_VERSION): New.
	[! __exp10f][!LIBM_SVID_COMPAT](libm_alias_finite): New.
	[! __exp10f][LIBM_SVID_COMPAT](EXP10F_VERSION): New.
	[! __exp10f][LIBM_SVID_COMPAT](libm_alias_finite): New.
	[! __exp10f](strong_alias): New.
	(shlib-compat.h): Include file.
	(math-svid-compat.h): Include file.
	(__exp10f): New function.
	* sysdeps/m68k/m680x0/fpu/e_exp10f.c: Modified.
	(libm-alias-float.h): Include file.
	(strong_alias): New.
	(libm_alias_finite): New function.
	* sysdeps/mach/hurd/i386/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libm.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libm.abilist: Modified.

2020-06-19  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 4b2d8e4442745a09f24804c1fcc97b7c5c4506f1
	i386: Use generic exp10f

	* sysdeps/i386/fpu/e_exp10f.S: Delete file.

2020-06-19  Paul Zimmermann  <Paul.Zimmermann@inria.fr>

	COMMIT: 6e98983c0991433fec8cef8702e2028fa6bef12d
	math: Optimized generic exp10f with wrappers

	* math/e_exp10f.c: Delete file.
	* sysdeps/ieee754/flt-32/e_exp10f.c: New file.
	* sysdeps/ieee754/flt-32/math_config.h: Modified.

2020-06-19  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 2004063fb4658095b3b0311606462430e9d0ab2d
	benchtests: Add exp10f benchmark

	* benchtests/Makefile: Modified.
	* benchtests/exp10f-inputs: New file.

2020-06-18  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 27f8864bd41f0f1b61e8e947d9a030b1a0d23df9
	x86: Update F16C detection [BZ #26133]

	* sysdeps/x86/cpu-features.c: Modified.
	(get_common_indices): Modified function.
	* sysdeps/x86/cpu-features.h: Modified.
	(bit_arch_F16C_Usable): Modified.
	(need_arch_feature_F16C): Modified.

2020-06-17  Sunil K Pandey  <skpgkp1@gmail.com>

	COMMIT: 75870237ff3bb363447b03f4b0af100227570910
	Fix avx2 strncmp offset compare condition check [BZ #25933]

	* sysdeps/x86_64/multiarch/strcmp-avx2.S: Modified.

2020-06-17  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 7a508406dfbf9121daeef2a32a3a41c7be7e5add
	nptl: Remove now-spurious tst-cancelx9 references

	* nptl/Makefile: Modified.

2020-06-17  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: a35a59036ebae3efcdf5e8167610e0656fca9770
	x86_64: Use %xmmN with vpxor to clear a vector register

	* sysdeps/x86_64/multiarch/strcmp-avx2.S: Modified.
	* sysdeps/x86_64/multiarch/strrchr-avx2.S: Modified.

2020-06-17  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: b7c9bb183b799b10c09ec32e98d1843546ea4324
	x86: Correct bit_cpu_CLFLUSHOPT [BZ #26128]

	* sysdeps/x86/cpu-features.h: Modified.
	(bit_cpu_CLFLUSHOPT): Modified.

2020-06-16  Paul E. Murphy  <murphyp@linux.vnet.ibm.com>

	COMMIT: b637306d3e3a04c065dadf390639ce9932d1d295
	powerpc64le: refactor e_sqrtf128.c

	* sysdeps/powerpc/powerpc64/le/fpu/e_sqrtf128.c: Modified.
	(__ieee754_sqrtf128): Modified function.
	(float128_private.h): Include file.
	* sysdeps/powerpc/powerpc64/le/power9/fpu/e_sqrtf128.c: Delete file.

2020-06-15  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: b67339d0bbc07911859ca8c488e1923441cd3c33
	Update syscall-names.list for Linux 5.7.

	* sysdeps/unix/sysv/linux/syscall-names.list: Modified.

2020-06-15  Vineet Gupta  <vgupta@synopsys.com>

	COMMIT: e93c2643362c1b9f47952c126ae1bcac5ad20d0d
	ieee754/dbl-64: Reduce the scope of temporary storage variables

	* sysdeps/ieee754/dbl-64/dla.h: Modified.
	[! DLA_FMS](EMULV): Modified.
	[! DLA_FMS](MUL12): Modified.
	[DLA_FMS](EMULV): Modified.
	[DLA_FMS](MUL12): Modified.
	(MUL2): Modified.
	(DIV2): Modified.
	* sysdeps/ieee754/dbl-64/doasin.c: Modified.
	(__doasin): Modified function.
	* sysdeps/ieee754/dbl-64/dosincos.c: Modified.
	(__dubsin): Modified function.
	(__dubcos): Modified function.
	* sysdeps/ieee754/dbl-64/e_atan2.c: Modified.
	(__ieee754_atan2): Modified function.
	* sysdeps/ieee754/dbl-64/e_sqrt.c: Modified.
	(__ieee754_sqrt): Modified function.
	* sysdeps/ieee754/dbl-64/s_atan.c: Modified.
	(__atan): Modified function.
	* sysdeps/ieee754/dbl-64/s_tan.c: Modified.
	(__tan): Modified function.

2020-06-15  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 27bf5e95061d05b780c629270003da2d9a1a2f52
	manual: Add pthread_attr_setsigmask_np, pthread_attr_getsigmask_np

	* manual/threads.texi: Modified.

2020-06-15  Florian Weimer  <fweimer@redhat.com>

	COMMIT: e221c512c74ec42fd47b71de2981a475b38110a4
	ld.so: Check for new cache format first and enhance corruption check

	* elf/dl-cache.c: Modified.
	(_dl_load_cache_lookup): Modified function.

2020-06-14  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: c1dcc541131bb090ddc792139545ffcd2511a1dc
	hurd: Fix __writev_nocancel_nostatus

	* sysdeps/mach/hurd/Makefile: Modified.
	* sysdeps/mach/hurd/not-cancel.h: Modified.
	[IS_IN (libc)](hidden_proto): Modified.
	[IS_IN (libc)](hidden_proto): New.
	[IS_IN (libc)](hidden_proto): New.
	(__writev_nocancel_nostatus): Remove.
	(__writev_nocancel): New.
	(__writev_nocancel_nostatus): New function.
	* sysdeps/mach/hurd/writev_nocancel_nostatus.c: New file.
	* sysdeps/posix/writev.c: Modified.
	(weak_alias): Remove.
	[! __writev](weak_alias): New.
	* sysdeps/posix/writev_nocancel.c: New file.

2020-06-14  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 0c46891442c0b4ca593691f62ad1213e022ff00b
	hurd: Make send* cancellation points

	* sysdeps/mach/hurd/send.c: Modified.
	(__send): Modified function.
	(sysdep-cancel.h): Include file.
	* sysdeps/mach/hurd/sendmsg.c: Modified.
	(__libc_sendmsg): Modified function.
	(sysdep-cancel.h): Include file.
	* sysdeps/mach/hurd/sendto.c: Modified.
	(__sendto): Modified function.
	(sysdep-cancel.h): Include file.

2020-06-14  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 45fce058fe7c9a14800a10564a7bc1970f4c7c49
	htl: Enable more cancellation tests

	* nptl/Makefile: Modified.
	* sysdeps/pthread/Makefile: Modified.
	* nptl/tst-cancel-self-cancelstate.c: Move to...
	* sysdeps/pthread/tst-cancel-self-cancelstate.c: ... here.
	* nptl/tst-cancel-self.c: Move to...
	* sysdeps/pthread/tst-cancel-self.c: ... here.
	* nptl/tst-cancel9.c: Move to...
	* sysdeps/pthread/tst-cancel9.c: ... here.
	* nptl/tst-cancelx9.c: Move to...
	* sysdeps/pthread/tst-cancelx9.c: ... here.

2020-06-14  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 662de0889a040e3ebeefcfdde547edc8a11f87d7
	hurd: Make write and pwrite64 cancellation points

	* sysdeps/mach/hurd/Makefile: Modified.
	* sysdeps/mach/hurd/Versions: Modified.
	* sysdeps/mach/hurd/dl-sysdep.c: Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(weak_alias): New.
	(check_no_hidden): New function.
	* sysdeps/mach/hurd/i386/localplt.data: Modified.
	* sysdeps/mach/hurd/not-cancel.h: Modified.
	[IS_IN (libc)](hidden_proto): Modified.
	[IS_IN (libc)](hidden_proto): New.
	[IS_IN (libc)](hidden_proto): New.
	(__write_nocancel): Remove.
	(__write_nocancel): New.
	(__pwrite64_nocancel): New.
	* sysdeps/mach/hurd/pwrite64.c: Modified.
	(errno.h): Remove include.
	(unistd.h): Remove include.
	(hurd/fd.h): Remove include.
	(__libc_pwrite64): Modified function.
	(sysdep-cancel.h): Include file.
	(not-cancel.h): Include file.
	* sysdeps/mach/hurd/pwrite64_nocancel.c: New file.
	* sysdeps/mach/hurd/write.c: Modified.
	(errno.h): Remove include.
	(unistd.h): Remove include.
	(hurd/fd.h): Remove include.
	(__libc_write): Modified function.
	(sysdep-cancel.h): Include file.
	(not-cancel.h): Include file.
	* sysdeps/mach/hurd/write_nocancel.c: New file.

2020-06-14  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 76fe4ef4be842e78e175a200f7afa4a567b57db2
	htl: Fix cleanup support for IO locking

	* sysdeps/htl/libc-lockP.h: Modified.
	[! __NO_WEAK_PTHREAD_ALIASES && !IS_IN (libpthread)][weak_extern](weak_extern): New.
	(libc-lock.h): Include file.
	(__libc_cleanup_region_start): New.
	(__libc_cleanup_region_end): New.
	(__libc_cleanup_end): New.
	* sysdeps/htl/stdio-lock.h: New file.

2020-06-14  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: a50efac19a1eb0a9dc6f5917ae299c0fbbf3c46b
	htl: Move cleanup stack to variable shared between libc and pthread

	* htl/Versions: Modified.
	* htl/forward.c: Modified.
	(dummy_list): Remove.
	(FORWARD2): Modified.
	(pt-internal.h): Include file.
	* htl/libc_pthread_init.c: Modified.
	(__pthread_cleanup_stack): New.
	* htl/pt-alloc.c: Modified.
	(initialize_pthread): Modified function.
	* htl/pt-cleanup.c: Modified.
	(__pthread_get_cleanup_stack): Modified function.
	* htl/pt-internal.h: Modified.
	(__pthread): Modified.
	(__pthread_cleanup_stack): New.

2020-06-14  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: e2b9d562d1e024fda6d10f0f272521bf20fa664f
	htl: initialize first and prevent from unloading

	* htl/Makefile: Modified.

2020-06-14  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: ea5cad3e37ad54b10f49a2d9f9c0feb1e285da77
	htl: Add noreturn attribute on __pthread_exit forward

	* sysdeps/htl/pthread-functions.h: Modified.
	(__pthread_exit): Modified.
	(pthread_functions): Modified.

2020-06-14  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 89edef7b390ab25fc0d41ef6fc618f5e22c7551b
	hurd: Make recv* cancellation points

	* sysdeps/mach/hurd/recv.c: Modified.
	(__recv): Modified function.
	(sysdep-cancel.h): Include file.
	* sysdeps/mach/hurd/recvfrom.c: Modified.
	(__recvfrom): Modified function.
	(sysdep-cancel.h): Include file.
	* sysdeps/mach/hurd/recvmsg.c: Modified.
	(__libc_recvmsg): Modified function.
	(sysdep-cancel.h): Include file.

2020-06-11  Paul E. Murphy  <murphyp@linux.vnet.ibm.com>
            Carlos Eduardo Seo  <cseo@linux.vnet.ibm.com>
            Tulio Magno Quites Machado Filho  <tuliom@linux.vnet.ibm.com>

	COMMIT: 146fea07640387c78e334933de24b6353e1f0eba
	powerpc: Automatic CPU detection in preconfigure

	* sysdeps/powerpc/preconfigure: Modified.
	* sysdeps/powerpc/preconfigure.ac: New file.

2020-06-10  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: c477beb2cc3fd0c24e3b33915dae8db5d7360ba8
	Use Linux 5.7 in build-many-glibcs.py.

	* scripts/build-many-glibcs.py: Modified.

2020-06-10  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 62d97c34320923f31380cb7851c81c5c9ce5284e
	htl: Enable more cancel tests

	* nptl/Makefile: Modified.
	* sysdeps/pthread/Makefile: Modified.
	* nptl/tst-cancel11.c: Move to...
	* sysdeps/pthread/tst-cancel11.c: ... here.
	* nptl/tst-cancel21-static.c: Move to...
	* sysdeps/pthread/tst-cancel21-static.c: ... here.
	* nptl/tst-cancel21.c: Move to...
	* sysdeps/pthread/tst-cancel21.c: ... here.
	* nptl/tst-cancel6.c: Move to...
	* sysdeps/pthread/tst-cancel6.c: ... here.
	* nptl/tst-cancelx11.c: Move to...
	* sysdeps/pthread/tst-cancelx11.c: ... here.
	* nptl/tst-cancelx21.c: Move to...
	* sysdeps/pthread/tst-cancelx21.c: ... here.
	* nptl/tst-cancelx6.c: Move to...
	* sysdeps/pthread/tst-cancelx6.c: ... here.

2020-06-10  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: bc9cf8fbe8eafe375719ad869ab81609cfc3529c
	htl: Fix linking static tests by factorizing the symbols list

	* htl/Makefile: Modified.
	* htl/libpthread.a: Modified.
	* htl/libpthread_pic.a: Modified.
	* htl/libpthread_syms.a: New file.

2020-06-09  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 533dd2acf7eefa969fb770fa782b20519bd4bc0f
	Add "%d" support to _dl_debug_vdprintf

	* elf/dl-misc.c: Modified.
	(_dl_debug_vdprintf): Modified function.

2020-06-09  Andrea Corallo  <andrea.corallo@arm.com>
            Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: a365ac45b7b51dbd9dc65629203cc2a9603420bb
	aarch64: MTE compatible strlen

	* sysdeps/aarch64/strlen.S: Modified.

2020-06-09  Andrea Corallo  <andrea.corallo@arm.com>
            Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: 49beaaec1bd333c543f7150576a0f9f6a28a4879
	aarch64: MTE compatible strchr

	* sysdeps/aarch64/strchr.S: Modified.

2020-06-09  Andrea Corallo  <andrea.corallo@arm.com>
            Wilco Dijkstra  <wilco.dijkstra@arm.com>

	COMMIT: f7de454f20c05a748b5d421ed22d96a5232b6093
	aarch64: MTE compatible strchrnul

	* sysdeps/aarch64/strchrnul.S: Modified.

2020-06-08  Krzysztof Koch  <Krzysztof.Koch@arm.com>

	COMMIT: d1f75e964484504e4f30f4623569d5889a97ac18
	AArch64: Merge Falkor memcpy and memmove implementations

	* sysdeps/aarch64/multiarch/Makefile: Modified.
	* sysdeps/aarch64/multiarch/memcpy_falkor.S: Modified.
	* sysdeps/aarch64/multiarch/memmove_falkor.S: Delete file.

2020-06-08  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: f112dcc506a6ec0aac5c34891736eec3c4f5dad6
	hurd: document that gcc&gdb look at the trampoline code

	* sysdeps/mach/hurd/i386/trampoline.c: Modified.

2020-06-08  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: dd7a8ad7ba25cb2269b306758c7d97d4a95527e6
	pthread: Move back linking rules to nptl and htl

	* htl/Makefile: Modified.
	* nptl/Makefile: Modified.
	* sysdeps/pthread/Makefile: Modified.

2020-06-07  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 314a431d37757ad179e89b83c3cb5720bae26e60
	htl: Enable more tests

	* nptl/Makefile: Modified.
	* sysdeps/pthread/Makefile: Modified.
	* nptl/tst-_res1.c: Move to...
	* sysdeps/pthread/tst-_res1.c: ... here.
	* nptl/tst-_res1mod1.c: Move to...
	* sysdeps/pthread/tst-_res1mod1.c: ... here.
	* nptl/tst-_res1mod2.c: Move to...
	* sysdeps/pthread/tst-_res1mod2.c: ... here.
	* nptl/tst-atfork2.c: Move to...
	* sysdeps/pthread/tst-atfork2.c: ... here.
	* nptl/tst-atfork2mod.c: Move to...
	* sysdeps/pthread/tst-atfork2mod.c: ... here.
	* nptl/tst-fini1.c: Move to...
	* sysdeps/pthread/tst-fini1.c: ... here.
	* nptl/tst-fini1mod.c: Move to...
	* sysdeps/pthread/tst-fini1mod.c: ... here.
	* nptl/tst-tls4.c: Move to...
	* sysdeps/pthread/tst-pt-tls4.c: ... here.
	* nptl/tst-tls4moda.c: Move to...
	* sysdeps/pthread/tst-tls4moda.c: ... here.
	* nptl/tst-tls4modb.c: Move to...
	* sysdeps/pthread/tst-tls4modb.c: ... here.

2020-06-07  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 15e995a8fb94a00d76da03756579ae6ff645b161
	htl: Fix registration of atfork handlers in modules

	* sysdeps/htl/old_pt-atfork.c: Modified.
	[SHLIB_COMPAT(libpthread, GLIBC_2_12, GLIBC_2_23)](pthread_atfork): Remove.
	[SHLIB_COMPAT(libpthread, GLIBC_2_12, GLIBC_2_23)](pthread_atfork): Remove.
	[SHLIB_COMPAT(libpthread, GLIBC_2_12, GLIBC_2_23)](__pthread_atfork): New.
	[SHLIB_COMPAT(libpthread, GLIBC_2_12, GLIBC_2_23)](__pthread_atfork): New.
	* sysdeps/htl/pt-atfork.c: Modified.
	(__pthread_atfork): Remove function.
	(weak_alias): Remove.
	[! __pthread_atfork](__pthread_atfork): New.
	[! __pthread_atfork](pthread_atfork): New.
	[! __pthread_atfork](weak_alias): New.
	[__pthread_atfork](__pthread_atfork): New.

2020-06-07  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: af27fabe405c757d372b106c8aa383a386a4a79e
	htl: Fix tls initialization for already-created threads

	* htl/pt-alloc.c: Modified.
	(__pthread_init_static_tls): New function.
	* sysdeps/htl/pthreadP.h: Modified.
	(link.h): Include file.
	(__pthread_init_static_tls): New function.
	* sysdeps/mach/hurd/htl/pt-sysdep.c: Modified.
	(_init_routine): Modified function.

2020-06-07  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 3944c61bdf5d1530d0576a396eb3e2f9a4d6caff
	hurd: Make read and pread64 cancellable

	* sysdeps/mach/hurd/Makefile: Modified.
	* sysdeps/mach/hurd/Versions: Modified.
	* sysdeps/mach/hurd/dl-sysdep.c: Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(check_no_hidden): Modified.
	(not-cancel.h): Include file.
	(weak_alias): New.
	(weak_alias): New.
	(check_no_hidden): New function.
	(check_no_hidden): New function.
	* sysdeps/mach/hurd/i386/ld.abilist: Modified.
	* sysdeps/mach/hurd/i386/localplt.data: Modified.
	* sysdeps/mach/hurd/not-cancel.h: Modified.
	[IS_IN (libc) || IS_IN (rtld)](hidden_proto): Remove.
	(__read_nocancel): Remove.
	(__pread64_nocancel): Remove.
	[IS_IN (libc)](hidden_proto): New.
	[IS_IN (libc)](hidden_proto): New.
	[IS_IN (libc)](hidden_proto): New.
	(__read_nocancel): New.
	(__pread64_nocancel): New.
	* sysdeps/mach/hurd/pread64.c: Modified.
	(errno.h): Remove include.
	(unistd.h): Remove include.
	(hurd/fd.h): Remove include.
	(__libc_pread64): Modified function.
	(sysdep-cancel.h): Include file.
	(not-cancel.h): Include file.
	* sysdeps/mach/hurd/pread64_nocancel.c: New file.
	* sysdeps/mach/hurd/read.c: Modified.
	(errno.h): Remove include.
	(unistd.h): Remove include.
	(hurd/fd.h): Remove include.
	(__libc_read): Modified function.
	(sysdep-cancel.h): Include file.
	(not-cancel.h): Include file.
	* sysdeps/mach/hurd/read_nocancel.c: New file.

2020-06-07  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 337a7b74faed2c8daf8c91cbb3038dc4984f3207
	hurd: Fix unwinding over interruptible RPC

	* sysdeps/mach/hurd/i386/intr-msg.h: Modified.
	(INTR_MSG_TRAP): Modified.

2020-06-07  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 4bab9ad854b50fab23eacf29550325552e7a9f4b
	htl: Enable but XFAIL tst-flock2, tst-signal1, tst-signal2

	* nptl/Makefile: Modified.
	* sysdeps/mach/hurd/i386/Makefile: Modified.
	* sysdeps/pthread/Makefile: Modified.
	* nptl/tst-flock2.c: Move to...
	* sysdeps/pthread/tst-flock2.c: ... here.
	* nptl/tst-signal1.c: Move to...
	* sysdeps/pthread/tst-signal1.c: ... here.
	* nptl/tst-signal2.c: Move to...
	* sysdeps/pthread/tst-signal2.c: ... here.

2020-06-07  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 7b6b18319ee6441bbec89fb0568a4bf7ba96e3d0
	hurd: XFAIL more tests that require setpshared support

	* sysdeps/mach/hurd/i386/Makefile: Modified.

2020-06-07  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: e797c57f9324187f9c154bac66c7433d8b4200bf
	hurd: Briefly document in xfails the topics of the bugzilla entries

	* sysdeps/mach/hurd/i386/Makefile: Modified.

2020-06-07  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: d6d74ec16c77126c59db264ebfa04d08d5b4c5c0
	htl: Enable more tests

	* htl/Makefile: Modified.
	* nptl/Makefile: Modified.
	* sysdeps/pthread/tst-cond22.c: Move to...
	* nptl/tst-cond22.c: ... here.
	* sysdeps/pthread/tst-cond26.c: Move to...
	* nptl/tst-cond26.c: ... here.
	* sysdeps/pthread/Makefile: Modified.
	* nptl/eintr.c: Move to...
	* sysdeps/pthread/eintr.c: ... here.
	* nptl/tst-atfork1.c: Move to...
	* sysdeps/pthread/tst-atfork1.c: ... here.
	* nptl/tst-backtrace1.c: Move to...
	* sysdeps/pthread/tst-backtrace1.c: ... here.
	* nptl/tst-bad-schedattr.c: Move to...
	* sysdeps/pthread/tst-bad-schedattr.c: ... here.
	* nptl/tst-cancel-self-canceltype.c: Move to...
	* sysdeps/pthread/tst-cancel-self-canceltype.c: ... here.
	* nptl/tst-cancel-self-cleanup.c: Move to...
	* sysdeps/pthread/tst-cancel-self-cleanup.c: ... here.
	* nptl/tst-cancel-self-testcancel.c: Move to...
	* sysdeps/pthread/tst-cancel-self-testcancel.c: ... here.
	* nptl/tst-cancel1.c: Move to...
	* sysdeps/pthread/tst-cancel1.c: ... here.
	* nptl/tst-cancel10.c: Move to...
	* sysdeps/pthread/tst-cancel10.c: ... here.
	* nptl/tst-cancel12.c: Move to...
	* sysdeps/pthread/tst-cancel12.c: ... here.
	* nptl/tst-cancel14.c: Move to...
	* sysdeps/pthread/tst-cancel14.c: ... here.
	* nptl/tst-cancel15.c: Move to...
	* sysdeps/pthread/tst-cancel15.c: ... here.
	* nptl/tst-cancel18.c: Move to...
	* sysdeps/pthread/tst-cancel18.c: ... here.
	* nptl/tst-cancel19.c: Move to...
	* sysdeps/pthread/tst-cancel19.c: ... here.
	* nptl/tst-cancel2.c: Move to...
	* sysdeps/pthread/tst-cancel2.c: ... here.
	* nptl/tst-cancel22.c: Move to...
	* sysdeps/pthread/tst-cancel22.c: ... here.
	* nptl/tst-cancel23.c: Move to...
	* sysdeps/pthread/tst-cancel23.c: ... here.
	* nptl/tst-cancel26.c: Move to...
	* sysdeps/pthread/tst-cancel26.c: ... here.
	* nptl/tst-cancel27.c: Move to...
	* sysdeps/pthread/tst-cancel27.c: ... here.
	* nptl/tst-cancel28.c: Move to...
	* sysdeps/pthread/tst-cancel28.c: ... here.
	* nptl/tst-cancel3.c: Move to...
	* sysdeps/pthread/tst-cancel3.c: ... here.
	* nptl/tst-cancel8.c: Move to...
	* sysdeps/pthread/tst-cancel8.c: ... here.
	* nptl/tst-cancelx1.c: Move to...
	* sysdeps/pthread/tst-cancelx1.c: ... here.
	* nptl/tst-cancelx10.c: Move to...
	* sysdeps/pthread/tst-cancelx10.c: ... here.
	* nptl/tst-cancelx12.c: Move to...
	* sysdeps/pthread/tst-cancelx12.c: ... here.
	* nptl/tst-cancelx14.c: Move to...
	* sysdeps/pthread/tst-cancelx14.c: ... here.
	* nptl/tst-cancelx15.c: Move to...
	* sysdeps/pthread/tst-cancelx15.c: ... here.
	* nptl/tst-cancelx18.c: Move to...
	* sysdeps/pthread/tst-cancelx18.c: ... here.
	* nptl/tst-cancelx2.c: Move to...
	* sysdeps/pthread/tst-cancelx2.c: ... here.
	* nptl/tst-cancelx3.c: Move to...
	* sysdeps/pthread/tst-cancelx3.c: ... here.
	* nptl/tst-cancelx8.c: Move to...
	* sysdeps/pthread/tst-cancelx8.c: ... here.
	* nptl/tst-cleanup0.c: Move to...
	* sysdeps/pthread/tst-cleanup0.c: ... here.
	* nptl/tst-cleanup0.expect: Move to...
	* sysdeps/pthread/tst-cleanup0.expect: ... here.
	* nptl/tst-cleanup1.c: Move to...
	* sysdeps/pthread/tst-cleanup1.c: ... here.
	* nptl/tst-cleanup2.c: Move to...
	* sysdeps/pthread/tst-cleanup2.c: ... here.
	* nptl/tst-cleanup3.c: Move to...
	* sysdeps/pthread/tst-cleanup3.c: ... here.
	* nptl/tst-cleanupx0.c: Move to...
	* sysdeps/pthread/tst-cleanupx0.c: ... here.
	* nptl/tst-cleanupx0.expect: Move to...
	* sysdeps/pthread/tst-cleanupx0.expect: ... here.
	* nptl/tst-cleanupx1.c: Move to...
	* sysdeps/pthread/tst-cleanupx1.c: ... here.
	* nptl/tst-cleanupx2.c: Move to...
	* sysdeps/pthread/tst-cleanupx2.c: ... here.
	* nptl/tst-cleanupx3.c: Move to...
	* sysdeps/pthread/tst-cleanupx3.c: ... here.
	* nptl/tst-clock1.c: Move to...
	* sysdeps/pthread/tst-clock1.c: ... here.
	* nptl/tst-create-detached.c: Move to...
	* sysdeps/pthread/tst-create-detached.c: ... here.
	* nptl/tst-detach1.c: Move to...
	* sysdeps/pthread/tst-detach1.c: ... here.
	* nptl/tst-eintr2.c: Move to...
	* sysdeps/pthread/tst-eintr2.c: ... here.
	* nptl/tst-eintr3.c: Move to...
	* sysdeps/pthread/tst-eintr3.c: ... here.
	* nptl/tst-eintr4.c: Move to...
	* sysdeps/pthread/tst-eintr4.c: ... here.
	* nptl/tst-eintr5.c: Move to...
	* sysdeps/pthread/tst-eintr5.c: ... here.
	* nptl/tst-exec1.c: Move to...
	* sysdeps/pthread/tst-exec1.c: ... here.
	* nptl/tst-exec2.c: Move to...
	* sysdeps/pthread/tst-exec2.c: ... here.
	* nptl/tst-exec3.c: Move to...
	* sysdeps/pthread/tst-exec3.c: ... here.
	* nptl/tst-exit1.c: Move to...
	* sysdeps/pthread/tst-exit1.c: ... here.
	* nptl/tst-exit2.c: Move to...
	* sysdeps/pthread/tst-exit2.c: ... here.
	* nptl/tst-exit3.c: Move to...
	* sysdeps/pthread/tst-exit3.c: ... here.
	* nptl/tst-flock1.c: Move to...
	* sysdeps/pthread/tst-flock1.c: ... here.
	* nptl/tst-fork1.c: Move to...
	* sysdeps/pthread/tst-fork1.c: ... here.
	* nptl/tst-fork2.c: Move to...
	* sysdeps/pthread/tst-fork2.c: ... here.
	* nptl/tst-fork3.c: Move to...
	* sysdeps/pthread/tst-fork3.c: ... here.
	* nptl/tst-fork4.c: Move to...
	* sysdeps/pthread/tst-fork4.c: ... here.
	* nptl/tst-getpid3.c: Move to...
	* sysdeps/pthread/tst-getpid3.c: ... here.
	* nptl/tst-kill1.c: Move to...
	* sysdeps/pthread/tst-kill1.c: ... here.
	* nptl/tst-kill2.c: Move to...
	* sysdeps/pthread/tst-kill2.c: ... here.
	* nptl/tst-kill3.c: Move to...
	* sysdeps/pthread/tst-kill3.c: ... here.
	* nptl/tst-kill4.c: Move to...
	* sysdeps/pthread/tst-kill4.c: ... here.
	* nptl/tst-kill5.c: Move to...
	* sysdeps/pthread/tst-kill5.c: ... here.
	* nptl/tst-kill6.c: Move to...
	* sysdeps/pthread/tst-kill6.c: ... here.
	* nptl/tst-locale1.c: Move to...
	* sysdeps/pthread/tst-locale1.c: ... here.
	* nptl/tst-locale2.c: Move to...
	* sysdeps/pthread/tst-locale2.c: ... here.
	* nptl/tst-memstream.c: Move to...
	* sysdeps/pthread/tst-memstream.c: ... here.
	* nptl/tst-align.c: Move to...
	* sysdeps/pthread/tst-pt-align.c: ... here.
	* nptl/tst-align3.c: Move to...
	* sysdeps/pthread/tst-pt-align3.c: ... here.
	* nptl/tst-popen1.c: Move to...
	* sysdeps/pthread/tst-pt-popen1.c: ... here.
	* nptl/tst-sysconf.c: Move to...
	* sysdeps/pthread/tst-pt-sysconf.c: ... here.
	* nptl/tst-tls1.c: Move to...
	* sysdeps/pthread/tst-pt-tls1.c: ... here.
	* nptl/tst-tls2.c: Move to...
	* sysdeps/pthread/tst-pt-tls2.c: ... here.
	* nptl/tst-vfork1.c: Move to...
	* sysdeps/pthread/tst-pt-vfork1.c: ... here.
	* nptl/tst-vfork2.c: Move to...
	* sysdeps/pthread/tst-pt-vfork2.c: ... here.
	* nptl/tst-raise1.c: Move to...
	* sysdeps/pthread/tst-raise1.c: ... here.
	* nptl/tst-setuid3.c: Move to...
	* sysdeps/pthread/tst-setuid3.c: ... here.
	* nptl/tst-signal4.c: Move to...
	* sysdeps/pthread/tst-signal4.c: ... here.
	* nptl/tst-signal5.c: Move to...
	* sysdeps/pthread/tst-signal5.c: ... here.
	* nptl/tst-signal6.c: Move to...
	* sysdeps/pthread/tst-signal6.c: ... here.
	* nptl/tst-signal8.c: Move to...
	* sysdeps/pthread/tst-signal8.c: ... here.
	* nptl/tst-stack1.c: Move to...
	* sysdeps/pthread/tst-stack1.c: ... here.
	(do_test): Modified function.
	* nptl/tst-stdio1.c: Move to...
	* sysdeps/pthread/tst-stdio1.c: ... here.
	* nptl/tst-stdio2.c: Move to...
	* sysdeps/pthread/tst-stdio2.c: ... here.
	* nptl/tst-tsd1.c: Move to...
	* sysdeps/pthread/tst-tsd1.c: ... here.
	* nptl/tst-tsd2.c: Move to...
	* sysdeps/pthread/tst-tsd2.c: ... here.
	* nptl/tst-tsd5.c: Move to...
	* sysdeps/pthread/tst-tsd5.c: ... here.
	* nptl/tst-tsd6.c: Move to...
	* sysdeps/pthread/tst-tsd6.c: ... here.
	* nptl/tst-umask1.c: Move to...
	* sysdeps/pthread/tst-umask1.c: ... here.
	* nptl/tst-unload.c: Move to...
	* sysdeps/pthread/tst-unload.c: ... here.
	* nptl/tst-unwind-thread.c: Move to...
	* sysdeps/pthread/tst-unwind-thread.c: ... here.
	* nptl/tst-vfork1x.c: Move to...
	* sysdeps/pthread/tst-vfork1x.c: ... here.
	* nptl/tst-vfork2x.c: Move to...
	* sysdeps/pthread/tst-vfork2x.c: ... here.

2020-06-07  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: be22a151f3e2c2e4b9127d4fa30b269f30a7ea2e
	htl: Add sem_clockwait support

	* htl/Versions: Modified.
	* nptl/Makefile: Modified.
	* sysdeps/htl/sem-timedwait.c: Modified.
	(__sem_timedwait_internal): Modified function.
	(__sem_timedwait): Modified function.
	(weak_alias): Modified.
	(__sem_clockwait): New function.
	(weak_alias): New function.
	* sysdeps/htl/sem-wait.c: Modified.
	(__sem_timedwait_internal): Modified.
	(__sem_wait): Modified function.
	* sysdeps/mach/hurd/i386/libpthread.abilist: Modified.
	* sysdeps/pthread/Makefile: Modified.
	* nptl/tst-sem5.c: Move to...
	* sysdeps/pthread/tst-sem5.c: ... here.

2020-06-07  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 6c5ca98d096a5f61144555c76fdfd3c2ad561082
	htl: fix register-atfork ordering

	* htl/register-atfork.c: Modified.
	(__register_atfork): Modified function.

2020-06-07  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: fab94894d5c5b25d24010f823515fb53822d6623
	hurd: Fix hang in _hurd_raise_signal from pthread_kill

	* hurd/hurd-raise.c: Modified.
	(_hurd_raise_signal): Modified function.

2020-06-07  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 785ec62dbd37b0b236c9a7fcc0ac71a2aeb472de
	hurd: Reject raising invalid signals

	* hurd/hurd-raise.c: Modified.
	(_hurd_raise_signal): Modified function.

2020-06-06  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 02937d825a71636c13b3f4229e5d6c9e54e327d5
	hurd: fix clearing SS_ONSTACK when longjmp-ing from sighandler

	* sysdeps/i386/htl/Makefile: New file.
	* sysdeps/i386/htl/tcb-offsets.sym: New file.
	* sysdeps/mach/hurd/i386/Makefile: Modified.
	* sysdeps/mach/hurd/i386/____longjmp_chk.S: Modified.
	* sysdeps/mach/hurd/i386/__longjmp.S: New file.

2020-06-06  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 8fcc772da8381476e914979fc887fdc54e62b15f
	hurd: Add pointer guard support

	* sysdeps/mach/hurd/i386/tls.h: Modified.
	[! __ASSEMBLER__](THREAD_SET_POINTER_GUARD): New.
	[! __ASSEMBLER__](THREAD_COPY_POINTER_GUARD): New.

2020-06-06  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: ecfa912f4217c0af277bb5d9cd26155010556baf
	hurd: Add stack guard support

	* sysdeps/mach/hurd/i386/ld.abilist: Modified.
	* sysdeps/mach/hurd/i386/tls.h: Modified.
	[! __ASSEMBLER__](THREAD_SET_STACK_GUARD): New.
	[! __ASSEMBLER__](THREAD_COPY_STACK_GUARD): New.

2020-06-05  Vineet Gupta  <vgupta@synopsys.com>

	COMMIT: 8dbb7a08ec52057819db4ee234f9429ab99eb4ae
	dl-runtime: reloc_{offset,index} now functions arch overide'able

	* elf/dl-runtime.c: Modified.
	[! ELF_MACHINE_RUNTIME_FIXUP_ARGS](_dl_fixup): Modified function.
	[! PROF][! ELF_MACHINE_RUNTIME_FIXUP_ARGS](_dl_fixup): Modified function.
	[! PROF][ELF_MACHINE_RUNTIME_FIXUP_ARGS](_dl_fixup): Modified function.
	[! reloc_offset](reloc_offset): Remove.
	[! reloc_offset](reloc_index): Remove.
	[ELF_MACHINE_RUNTIME_FIXUP_ARGS](_dl_fixup): Modified function.
	[PROF](_dl_fixup): Modified function.
	(dl-runtime.h): Include file.
	* elf/dl-runtime.h: New file.
	* sysdeps/hppa/dl-runtime.c: Modified.
	(reloc_offset): Remove.
	(reloc_index): Remove.
	* sysdeps/hppa/dl-runtime.h: New file.
	* sysdeps/x86_64/dl-runtime.c: Delete file.
	* sysdeps/x86_64/dl-runtime.h: New file.

2020-06-05  Paul E. Murphy  <murphyp@linux.vnet.ibm.com>

	COMMIT: a23bd00f9d810c28d9e83ce1d7cf53968375937d
	powerpc64le: add optimized strlen for P9

	* sysdeps/powerpc/powerpc64/le/power9/rtld-strlen.S: New file.
	* sysdeps/powerpc/powerpc64/le/power9/strlen.S: New file.
	* sysdeps/powerpc/powerpc64/multiarch/Makefile: Modified.
	* sysdeps/powerpc/powerpc64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/powerpc/powerpc64/multiarch/strlen-power9.S: New file.
	* sysdeps/powerpc/powerpc64/multiarch/strlen.c: Modified.
	(libc_ifunc): Remove.
	(strong_alias): Remove.
	(libc_hidden_ver): Remove.
	[! __LITTLE_ENDIAN__](libc_ifunc): New.
	[__LITTLE_ENDIAN__](libc_ifunc): New.
	(__strlen_power9): New.

2020-06-05  Paul E. Murphy  <murphyp@linux.vnet.ibm.com>

	COMMIT: 6ef422750985f7e60a8d480f07ecda59e0311fdf
	powerpc64le: use common fmaf128 implementation

	* sysdeps/powerpc/fpu/math-use-builtins.h: Modified.
	(USE_FMAF128_BUILTIN): Remove.
	[! __FP_FAST_FMAF128](USE_FMAF128_BUILTIN): New.
	[__FP_FAST_FMAF128](USE_FMAF128_BUILTIN): New.
	* sysdeps/powerpc/powerpc64/le/fpu/multiarch/s_fmaf128-power9.c: Modified.
	(sysdeps/powerpc/powerpc64/le/power9/fpu/s_fmaf128.c): Remove include.
	(strong_alias): New.
	(sysdeps/ieee754/float128/s_fmaf128.c): Include file.
	* sysdeps/powerpc/powerpc64/le/power9/fpu/s_fmaf128.c: Delete file.

2020-06-05  H.J. Lu  <hjl.tools@gmail.com>
            Wilco Dijkstra  <Wilco.Dijkstra@arm.com>

	COMMIT: e52434a2e4d1105272daaef87678da950fbec73f
	benchtests: Restore the clock_gettime option

	* benchtests/Makefile: Modified.
	* benchtests/README: Modified.
	* benchtests/bench-timing.h: Modified.
	(hp-timing.h): Remove include.
	[! USE_CLOCK_GETTIME](hp-timing.h): New.
	[USE_CLOCK_GETTIME](sysdeps/generic/hp-timing.h): New.

2020-06-05  H.J. Lu  <hjl.tools@gmail.com>
            Lukasz Majewski  <lukma@denx.de>

	COMMIT: f6070476687af9ca1b5837f8a45047acdd419b08
	Update HP_TIMING_NOW for _ISOMAC in sysdeps/generic/hp-timing.h

	* benchtests/bench-timing.h: Modified.
	(__clock_gettime): Remove.
	* sysdeps/generic/hp-timing.h: Modified.
	(HP_TIMING_NOW): Remove.
	[! _ISOMAC](HP_TIMING_NOW): New.
	[_ISOMAC](HP_TIMING_NOW): New.

2020-06-04  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 9b7424215b10ae01d680ef91e10fc10f51227177
	Replace val with __val in TUNABLE_SET_VAL_IF_VALID_RANGE

	* elf/dl-tunables.c: Modified.
	(TUNABLE_SET_VAL_IF_VALID_RANGE): Modified.

2020-06-04  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 3f6e4fc4542b5b881906bf2f83eb4b8359b0dcd4
	support: Fix detecting hole support on >2KB-block filesystems

	* support/support_descriptor_supports_holes.c: Modified.
	(support_descriptor_supports_holes): Modified function.

2020-06-04  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 6f10ff02cb04c2b1e031d7d3ba0f99e906699126
	powerpc: Fix powerpc64le due a7a3435c9a

	* sysdeps/powerpc/fpu/math-use-builtins.h: Modified.
	(USE_FMAL_BUILTIN): New.
	(USE_FMAF128_BUILTIN): New.

2020-06-03  Aurélien Aptel  <aurelien.aptel@gmail.com>

	COMMIT: 74edc05817c126212c826c1a046a9465d0efe287
	manual/jobs.texi: remove unused var from example code

	* manual/job.texi: Modified.

2020-06-03  Vineet Gupta  <vgupta@synopsys.com>

	COMMIT: a7a3435c9a0769744c7748f9d95510d0a99be7d1
	powerpc/fpu: use generic fma functions

	* sysdeps/powerpc/fpu/math-use-builtins.h: New file.
	* sysdeps/powerpc/fpu/s_fma.c: Delete file.
	* sysdeps/powerpc/fpu/s_fmaf.c: Delete file.

2020-06-03  Vineet Gupta  <vgupta@synopsys.com>

	COMMIT: c9feb1be938c3b259ece1a07ef78ddcf89194f31
	aarch/fpu: use generic builtins based math functions

	* sysdeps/aarch64/fpu/e_sqrt.c: Delete file.
	* sysdeps/aarch64/fpu/e_sqrtf.c: Delete file.
	* sysdeps/aarch64/fpu/math-use-builtins.h: New file.
	* sysdeps/aarch64/fpu/s_floor.c: Delete file.
	* sysdeps/aarch64/fpu/s_floorf.c: Delete file.
	* sysdeps/aarch64/fpu/s_fma.c: Delete file.
	* sysdeps/aarch64/fpu/s_fmaf.c: Delete file.
	* sysdeps/aarch64/fpu/s_nearbyint.c: Delete file.
	* sysdeps/aarch64/fpu/s_nearbyintf.c: Delete file.
	* sysdeps/aarch64/fpu/s_rint.c: Delete file.
	* sysdeps/aarch64/fpu/s_rintf.c: Delete file.
	* sysdeps/aarch64/fpu/s_round.c: Delete file.
	* sysdeps/aarch64/fpu/s_roundf.c: Delete file.
	* sysdeps/aarch64/fpu/s_trunc.c: Delete file.
	* sysdeps/aarch64/fpu/s_truncf.c: Delete file.

2020-06-03  Vineet Gupta  <vgupta@synopsys.com>

	COMMIT: 628d90c5f97b6f0f8b79a079b682febb1f486a38
	ieee754: provide gcc builtins based generic fma functions

	* sysdeps/generic/math-use-builtins.h: Modified.
	(USE_FMA_BUILTIN): New.
	(USE_FMAF_BUILTIN): New.
	(USE_FMAL_BUILTIN): New.
	(USE_FMAF128_BUILTIN): New.
	* sysdeps/ieee754/dbl-64/s_fma.c: Modified.
	(__fma): Modified function.
	(math-use-builtins.h): Include file.
	* sysdeps/ieee754/dbl-64/s_fmaf.c: Modified.
	(__fmaf): Modified function.
	(math-use-builtins.h): Include file.
	* sysdeps/ieee754/float128/float128_private.h: Modified.
	(USE_FMAL_BUILTIN): New.
	* sysdeps/ieee754/ldbl-128/s_fma.c: Modified.
	(__fma): Modified function.
	(math-use-builtins.h): Include file.
	* sysdeps/ieee754/ldbl-128/s_fmal.c: Modified.
	(__fmal): Modified function.
	(math-use-builtins.h): Include file.
	* sysdeps/s390/fpu/math-use-builtins.h: Modified.
	(USE_FMA_BUILTIN): New.
	(USE_FMAF_BUILTIN): New.
	(USE_FMAL_BUILTIN): New.
	(USE_FMAF128_BUILTIN): New.

2020-06-03  Vineet Gupta  <vgupta@synopsys.com>

	COMMIT: 3374868668e708581ca06e256f6122518c89a8ad
	ieee754: provide gcc builtins based generic sqrt functions

	* sysdeps/generic/math-use-builtins.h: Modified.
	(USE_SQRT_BUILTIN): New.
	(USE_SQRTF_BUILTIN): New.
	* sysdeps/ieee754/dbl-64/e_sqrt.c: Modified.
	(__ieee754_sqrt): Modified function.
	(math-use-builtins.h): Include file.
	* sysdeps/ieee754/flt-32/e_sqrtf.c: Modified.
	(one): Remove.
	(__ieee754_sqrtf): Modified function.
	(math-use-builtins.h): Include file.
	* sysdeps/s390/fpu/math-use-builtins.h: Modified.
	(USE_SQRT_BUILTIN): New.
	(USE_SQRTF_BUILTIN): New.

2020-06-02  Florian Weimer  <fweimer@redhat.com>

	COMMIT: ba9f6ee9bb8a894c9e2fb715edf693dd157b420a
	Linux: Use __pthread_attr_setsigmask_internal for timer helper thread

	* sysdeps/unix/sysv/linux/timer_routines.c: Modified.
	(__start_helper_thread): Modified function.

2020-06-02  Florian Weimer  <fweimer@redhat.com>

	COMMIT: ec41af45a6d25f70f9c7ea15cb831a2b2fea3855
	nptl: Add pthread_attr_setsigmask_np, pthread_attr_getsigmask_np

	* NEWS: Modified.
	* nptl/Makefile: Modified.
	* nptl/Versions: Modified.
	* nptl/pthreadP.h: Modified.
	(libc_hidden_proto): Modified.
	(__pthread_attr_setsigmask_internal): New function.
	(__pthread_attr_getsigmask_np): New.
	(libc_hidden_proto): New.
	(libc_hidden_proto): New.
	* nptl/pthread_attr_copy.c: Modified.
	(__pthread_attr_copy): Modified function.
	* nptl/pthread_attr_getsigmask.c: New file.
	* nptl/pthread_attr_setsigmask.c: New file.
	* nptl/pthread_attr_setsigmask_internal.c: New file.
	* nptl/pthread_create.c: Modified.
	(sigmask): Modified.
	(if): Modified function.
	(sigmask): New.
	(stopped_start): New.
	(retval): New.
	(assert): New function.
	(eventnum): New.
	(eventdata): New.
	(nextevent): New.
	(while): New function.
	(__nptl_create_event): New function.
	(retval): New.
	* nptl/tst-pthread-attr-sigmask.c: New file.
	* sysdeps/nptl/internaltypes.h: Modified.
	(pthread_attr_extension): Modified.
	* sysdeps/nptl/pthread.h: Modified.
	[__USE_GNU](pthread_attr_setsigmask_np): New function.
	[__USE_GNU](pthread_attr_getsigmask_np): New function.
	[__USE_GNU](PTHREAD_ATTR_NO_SIGMASK_NP): New.
	(bits/types/__sigset_t.h): Include file.
	* sysdeps/unix/sysv/linux/aarch64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/alpha/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/arm/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/csky/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/hppa/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/ia64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/coldfire/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/m68k/m680x0/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/microblaze/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/nios2/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/fpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/nofpu/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/riscv/rv64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/s390/s390-64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/be/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sh/le/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc32/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/sparc/sparc64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.

2020-06-02  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 7538d461134bf306e31b40e4032f0c225bb40d51
	nptl: Make pthread_attr_t dynamically extensible

	* nptl/Makefile: Modified.
	* nptl/pthreadP.h: Modified.
	(__attribute_warn_unused_result__): New.
	* nptl/pthread_attr_copy.c: Modified.
	(__pthread_attr_copy): Modified function.
	* nptl/pthread_attr_destroy.c: Modified.
	(__pthread_attr_destroy): Modified function.
	* nptl/pthread_attr_extension.c: New file.
	* nptl/pthread_attr_getaffinity.c: Modified.
	(__pthread_attr_getaffinity_new): Modified function.
	* nptl/pthread_attr_setaffinity.c: Modified.
	(__pthread_attr_setaffinity_np): Modified function.
	* nptl/pthread_create.c: Modified.
	[SHLIB_COMPAT(libpthread, GLIBC_2_0, GLIBC_2_1)](__pthread_create_2_0): Modified function.
	* sysdeps/nptl/internaltypes.h: Modified.
	(pthread_attr): Modified.
	(pthread_attr_extension): New.
	* sysdeps/unix/sysv/linux/createthread.c: Modified.
	(create_thread): Modified function.

2020-06-02  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 6993670b52daa413717e840dfb17b5322e7f4a88
	nptl: Destroy the default thread attribute as part of freeres

	* nptl/nptlfreeres.c: Modified.
